  <style type="text/css">
    ::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
  overflow-x: auto;
}
  </style>
  
  <script type="text/javascript">



function CopyMe(oFileInput, sTargetID) {



    document.getElementById(sTargetID).value = oFileInput.value;



}



</script>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Add
        <small>User</small>
      </h1>
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        <!-- left column -->
        <div class="col-md-12">
          <!-- general form elements -->
          <div class="box box-primary">
            
            <!-- /.box-header -->
            <!-- form start -->
            <form role="form" id="user_master_form_add" action="action/action_user_master.php?do=add" method="post">
              <div class="box-body">
                
                <div class="form-group col-md-12">

                  <label>Select Hospital</label>

                  <select class="form-control select2 select2-hidden-accessible user_master_hospital" multiple="" data-placeholder="Select a Hospital" style="width: 100%;" tabindex="-1" aria-hidden="true" id="hm_id" name="hm_id[]">
                    <?php 

                    $resultsHospital = get_hospitals($DB);

                    if (count($resultsHospital) > 0) {
                    foreach ($resultsHospital as $rowListHospital) {
                    
                    ?>

                    <option value="<?php echo $rowListHospital['hm_id']; ?>"><?php echo $rowListHospital['hm_name']; ?></option>
                    
                    <?php } } ?>

                  </select>

                </div>  

                <div class="form-group col-md-6">

                  <label>User Type</label>

                  <select name="ut_id" id="ut_id" class="form-control select2" style="width: 100%;">

                    <option value="" selected="selected">--Select Type --</option>

                    <?php 

                    $resultsType = get_all_active_user_type($DB);

                    if (count($resultsType) > 0) {
                    foreach ($resultsType as $rowListType) {
                    
                    ?>

                    <option value="<?php echo $rowListType['ut_id']; ?>"><?php echo $rowListType['ut_name']; ?></option>
                    
                    <?php } } ?>

                  </select>

                </div>

                <div class="form-group col-md-6">

                  <label>Department</label>

                  <select name="dp_id" id="dp_id" class="form-control select2" style="width: 100%;">

                    <option value="" selected="selected">--Select Department --</option>

                    <?php 

                    $resultsDepart = get_all_active_department($DB);

                    if (count($resultsDepart) > 0) {
                    foreach ($resultsDepart as $rowListDepart) {
                    
                    ?>

                    <option value="<?php echo $rowListDepart['dp_id']; ?>"><?php echo $rowListDepart['dp_name']; ?></option>
                    
                    <?php } } ?>

                    <option value="0">Other</option>

                  </select>

                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputEmail1">Full Name</label>
                  <input type="text" class="form-control" id="um_name" name="um_name" placeholder="Full Name">
                </div>

                <div class="form-group col-md-6 email_validation">
                  <label for="exampleInputEmail1">Username</label>
                  <input type="text" class="form-control" id="um_email" name="um_email" placeholder="Username">

                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputPassword1">Password</label>
                  <input type="password" class="form-control" name="um_password" id="um_password" placeholder="Password">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputPassword1">Phone No</label>
                  <input type="text" class="form-control" name="um_contact1" id="um_contact1" placeholder="Phone No">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputEmail1">Email</label>
                  <input type="text" class="form-control" id="um_emailid" name="um_emailid" placeholder="Email">

                </div>

                <div class="form-group col-md-6">

                  <label for="exampleInputFile">Image Upload</label>

                  <input type="text" class="form-control" name="image_name" id="txtFileName" placeholder="">

                  <input  name="file"  type="file" onchange="CopyMe(this, 'txtFileName');" id="exampleInputFile">

                </div>

                <div class="form-group col-md-6">

                  <div class="checkbox">
                      <label style="padding-left: 0px;">
                      <input type="checkbox" name="select_dec" value="1" type="checkbox" class="minimal checkdepartment" data-id="1">&nbsp&nbsp&nbspSelect OPD Department
                      </label>
                  </div>

                  <table class="table table-condensed user_department" style="display: none;">
                    <tbody>
                      <tr>
                        <th>Hospital</th>
                        <th>Department</th>
                      </tr>
                      
                        <?php 

                        $resultsHospital = get_hospitals($DB);

                        if (count($resultsHospital) > 0) {
                        foreach ($resultsHospital as $rowListHospital) {
                        
                        ?>

                        <tr>
                          <td><?php echo $rowListHospital['hm_name']; ?>
                              <input type="hidden" name="opd_hm_id[]" value="<?php echo $rowListHospital['hm_id']; ?>">
                          </td>
                          <td>
                            <select class="form-control select2 select2-hidden-accessible" data-placeholder="Select a Department" style="width: 100%;" tabindex="-1" aria-hidden="true" name="opd_dp_id[]">
                              <option value="0">-- Select Department --</option>
                              <?php 

                              $resultsDepartment = get_department_from_single_hm_id($DB,$rowListHospital['hm_id']);

                              if (count($resultsDepartment) > 0) {
                              foreach ($resultsDepartment as $rowListDepartment) {
                              
                              ?>

                              <option value="<?php echo $rowListDepartment['dp_id']; ?>"><?php echo $rowListDepartment['dp_name']; ?></option>
                              
                              <?php } } ?>

                            </select>

                          </td>
                        </tr>

                        <?php } } ?>
                    
                    </tbody>

                  </table>

                </div>

                <div class="form-group col-md-6">

                  <div class="checkbox">
                      <label style="padding-left: 0px;">
                      <input type="checkbox" name="select_admit" value="1" type="checkbox" class="minimal checkadmitdepartment" data-id="1">&nbsp&nbsp&nbspSelect Admitind Department
                      </label>
                  </div>

                  <table class="table table-condensed user_admit_department" style="display: none;">
                    <tbody>
                      <tr>
                        <th>Hospital</th>
                        <th>Department</th>
                      </tr>
                      
                        <?php 

                        $resultsHospital = get_hospitals($DB);

                        if (count($resultsHospital) > 0) {
                        foreach ($resultsHospital as $rowListHospital) {
                        
                        ?>

                        <tr>
                          <td><?php echo $rowListHospital['hm_name']; ?>
                              <input type="hidden" name="admit_hm_id[]" value="<?php echo $rowListHospital['hm_id']; ?>">
                          </td>
                          <td>
                            <select class="form-control select2 select2-hidden-accessible" data-placeholder="Select a Department" style="width: 100%;" tabindex="-1" aria-hidden="true" name="admit_dp_id[]">
                              <option value="0">-- Select Department --</option>
                              <?php 

                              $resultsDepartment = get_department_from_single_hm_id($DB,$rowListHospital['hm_id']);

                              if (count($resultsDepartment) > 0) {
                              foreach ($resultsDepartment as $rowListDepartment) {
                              
                              ?>

                              <option value="<?php echo $rowListDepartment['dp_id']; ?>"><?php echo $rowListDepartment['dp_name']; ?></option>
                              
                              <?php } } ?>

                            </select>

                          </td>
                        </tr>

                        <?php } } ?>
                    
                    </tbody>

                  </table>

                </div>
                
              </div>
                
              <!-- /.box-body -->

              <div class="box-footer">
                <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                <a href="index.php?page=list_user_master"><button type="button" class="btn btn-danger">Cancel</button></a>
                <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                <br />
                <span class="help-block" style="margin-top: 5px; color: red;"></span>
              </div>
            </form>
          </div>
          <!-- /.box -->

         </div>
        <!--/.col (left) -->
        <!-- right column -->
        
        <!--/.col (right) -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->
