  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Manage 
        <small>Pharmacy</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="index.php?page=add_pharmacy"><i class="fa fa-plus"></i>Add Pharmacy</a></li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          
          <!-- /.box -->

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example2" class="table table-bordered table-striped">
                <thead>
                <tr>
                  <th>No</th>
                  <th>Pharmacy Name</th>
                  <th>Hospital Name</th>
                  <th>PhoneNo</th>
                  <th>Area/City</th>
                  <th>DL. No</th>
                  <th>Gst No</th>
                  <th>Action</th>
                </tr>
                </thead>
                <tbody>
                
                <?php $Counter=0;  
                $ResultsList = get_all_pharmacy($DB);
                foreach ($ResultsList as $RowList) {
                $Counter++;
                $HosId = $RowList['hm_id'];
                $RowHos = get_hospital_details_from_id($DB,$HosId); 
                
                ?>

                <tr>
                  <td><?php echo $Counter; ?></td>
                  <td><?php echo $RowList['pharma_name']; ?></td>
                  <td><?php echo $RowHos['hm_name']; ?></td>
                  <td><?php echo $RowList['pharma_contact']; ?></td>
                  <td><?php echo $RowList['pharma_area']; ?>/<?php echo $RowList['pharma_city']; ?></td>
                  <td><?php echo $RowList['pharma_dlno']; ?></td>
                  <td><b>GSTIN: </b><?php echo $RowList['pharma_gstno']; ?><br />
                      <b>CGSTIN: </b><?php echo $RowList['pharma_cgstno']; ?></td>
                  <td><a href="index.php?page=edit_pharmacy&id=<?php echo $RowList['pharma_id']; ?>" title="Edit"><i class="fa fa-edit"></i></a></td>
                </tr>

                <?php } ?>
                
                </tbody>
                
              </table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  

<!-- ./wrapper -->
<!-- <div class="modal modal-danger fade" id="modal-danger-Pharmacy">
          <form action="action/action_pharmacy.php?do=delete" method="post">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Delete Pharmacy</h4>
              </div>
              <input type="hidden" name="delete_pharma_id" id="delete_pharma_id">
              <div class="modal-body delete_pharmacy_text">
                
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-outline pull-left" data-dismiss="modal">Close</button>
                <button type="submit" id="delete_pharmacy_submit" class="btn btn-outline">Delete</button>
              </div>
            </div>
           </div>
          </form>
</div> -->

<div class="modal fade" id="modal-danger-Pharmacy">
          <form action="action/action_pharmacy.php?do=delete" method="post">
          <div class="modal-dialog" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Delete Pharmacy</h4>
              </div>
              <input type="hidden" name="delete_pharma_id" id="delete_pharma_id">
              <div class="modal-body delete_pharmacy_text" style="text-align: center;">
              </div>
              <div class="modal-footer" style="text-align: center;">
                <button type="submit" class="btn btn-danger">Delete</button>
                <button type="button" class="btn btn-success" data-dismiss="modal">Do not delete</button>
              </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>



