
<?php 

function random_num ($len)
{
 $ch = "0123456789";
 $l = strlen ($ch) - 1;
 $str = "";
 for ($i=0; $i < $len; $i++)
 {
     $x = rand (0, $l);
     $str .= $ch[$x];
 }
 return $str;
}
$HosId = $_SESSION['hm_id'];
?>

  

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
   
    <section class="content-header">
     <h1>Inpatient <small>Credit Notes</small></h1>
      <ol class="breadcrumb">
        <li><a href="add_ipd_credit_notes.php" style="font-size: 22px;"><i class="fa fa-plus"></i>Add IPD Credit Notes</a></li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          
          <!-- /.box -->

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">
              <table class="table table-bordered table-striped table_data" id="example2">
                <thead>
                <tr>
                  <th>PATIENT ID</th>
                  <th>NAME</th>
                  <th>IN-PATIENT ID</th>
                  <th>CR NOTE NUMBER</th>
                  <th>DATE</th>
                  <th>AMOUNT</th>
                  <th>CREATED BY</th>
                  <th>STATUS</th>
                  <th>ACTION</th>                 
                </tr>
                </thead>
                <tbody>
                <?php
                  $out_credit = get_all_ipd_credit_notes($DB,$HosId,$Bill_Id);
                  foreach ($out_credit as $out_credit_res) {
                   $id = $out_credit_res['tbcm_id']; 
                   $pm_id = $out_credit_res['pid'];
                    $um_id = $out_credit_res['um_id'];
                    $in_pid = $out_credit_res['in_pid'];
                   $patient_data = get_single_patient_details_from_id($DB,$pm_id);
                   $sal = $patient_data['pm_salutation'];
                   $fname = $patient_data['pm_first_name'];
                   $mname = $patient_data['pm_middle_name'];
                   $lname = $patient_data['pm_last_name'];
                   $pname = $sal." ".$fname." ".$mname." ".$lname;  
                   $user_data = get_user_master_details_from_id($DB,$um_id);
                   $credit_date = $out_credit_res['tbcm_invoice_date'];
                   $cid = base64_encode($out_credit_res['pid']);

                   $atd_data = get_single_patient_details_from_atd_id($DB,$pm_id);
                    $discharge = $atd_data['tapm_discharge'];
                    $readmit = $atd_data['tapm_readmit'];
                    if($discharge !=1){                      
                      if($readmit == 0){
                        $status = "Admitted";
                      }else{
                        $status = "Ready To discharge";  
                      }
                    }else{
                      $status = "Discharge";
                    }
                ?>
                <tr id="tr_<?php echo $id;?>">
                  <td><?php echo $pm_id;?></td>    
                  <td><?php echo $pname;?></td>
                  <td><?php echo $in_pid;?></td>
                  <td><?php echo $out_credit_res['tbcm_invoice_id'];?></td>
                  <td><?php echo date("d/m/Y",strtotime($credit_date));?></td>    
                  <td><?php echo $out_credit_res['tbcm_grand_total'];?></td>
                  <td><?php echo $user_data['um_name'];?></td>
                  <td><?php echo $status;?></td>
                  <td><a href="pdf_credit_notes.php?p_id=<?php echo $id; ?>&id=<?php echo $cid;?>" target="_blank" title="View" class="btn btn-info">View</a>
                      <a href="add_ipd_credit_notes.php?uid=<?php echo $id;?>&id=<?php echo $cid;?>&action=edit"   title="Edit" class="btn btn-primary">Edit</a>
                      <a href="javascript:;" id="delete_credit_main" data-id="<?php echo $id;?>" title="Delete" class="btn btn-danger">Delete</a>
                  </td>
                </tr>
                <?php } ?>
               </tbody>
              </table>
           </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  

<!-- ./wrapper -->
<div class="modal fade" id="modal_delete_credit_main">         
        <form role="form"  method="post" id="submit_delete_credit_main" action="action/action_ipd_credit_note.php?do=delete">
          <div class="modal-dialog" role="form" style="width: 500px;">
            <div class="modal-content">                
              <div class="modal-header">
                <button type="button" class="close btn-danger-close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">×</span></button>
                <h4 class="modal-title" style="text-align: center;">Delete</h4>
              </div>
              <div class="box-body">
                    <div class="form-group col-md-12 title_validation">
                      <label for="exampleInputEmail1">Are You sure you want to Delete Credit Notes ?</label>                      
                      <input type="hidden" name="del_id" id="del_id">                      
                    </div>
              </div>              
              <div class="box-footer" style="text-align: center;">
                    <button type="submit" id="submit_button_delete" class="btn btn-primary">Submit</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                    <span class="err_register" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                    <br>
                    <span class="help-block" style="margin-top: 5px; color: red;"></span>                
              </div>              
            </div>
            <!-- /.modal-content -->
          </div>
        </form>  
          <!-- /.modal-dialog -->         
</div>