
<?php 

function random_num ($len)
{
 $ch = "0123456789";
 $l = strlen ($ch) - 1;
 $str = "";
 for ($i=0; $i < $len; $i++)
 {
     $x = rand (0, $l);
     $str .= $ch[$x];
 }
 return $str;
}

?>

  

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
   
    <section class="content-header">
     <h1>Inpatient <small>Discharged Patient</small></h1>
      <ol class="breadcrumb">

        <!-- <li><a href="add_inpatient.php" style="font-size: 22px;"><i class="fa fa-plus"></i>Add Admission</a></li> -->
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          
          <!-- /.box -->

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">
              <table class="table table-bordered table-striped table_data">
                <thead>
                <tr>
                  <th>NAME</th>
                  <th>IN-PATIENT ID</th>
                  <th>PATIENT ID</th>
                  <th>CONTACT NUMBER</th>
                  <th>DOB</th>
                  <th>BALANCE</th>
                  <th>STATUS</th>              
                </tr>
                </thead>
                <tbody>
                <?php 
                  $ipd_data = get_discharged_patient_data($DB);
                  foreach ($ipd_data as $ipd_data_res) {
                    $in_pid = $ipd_data_res['in_pid'];
                    $pid = $ipd_data_res['pm_pid'];
                    $readmit = $ipd_data_res['tapm_readmit'];
                    $discharge = $ipd_data_res['tapm_discharge'];
                    

                    $patient_data = get_single_patient_details_from_id($DB,$pid);
                    $pid = $patient_data['pm_pid'];
                    $pat_id = base64_encode($pid);
                    $phone = $patient_data['pm_contact_no'];
                    $dob = date("d/m/Y",strtotime($patient_data['pm_dob']));
                    $sal = $patient_data['pm_salutation'];
                    $fname = $patient_data['pm_first_name'];
                    $mname = $patient_data['pm_middle_name'];
                    $lname = $patient_data['pm_last_name'];
                    $pname = $sal." ".$fname." ".$mname." ".$lname;

                    $retail_data = get_amount_data_retail_ipd($DB,$in_pid);
                    $retail_amt = $retail_data['retail_amt'];
                    $invoice_data = get_amount_data_invoice_ipd($DB,$in_pid);
                    $invoice_amt = $invoice_data['invoice_amt'];
                    $receipt_data = get_amount_data_receipt_ipd($DB,$in_pid);
                    $receipt_amt = $receipt_data['receipt_amt'];
                    $advance_data = get_amount_data_advance_ipd($DB,$in_pid);
                    $advance_amt = $advance_data['advance_amt'];
                    $credit_data = get_amount_data_credit_ipd($DB,$in_pid);
                    $credit_amt = $credit_data['credit_amt'];
                    $refund_data = get_amount_data_refund_ipd($DB,$in_pid);
                    $refund_amt = $refund_data['refund_amt'];

                    $aa = $receipt_amt+$advance_amt+$credit_amt;

                    $balance = $invoice_amt+$refund_amt-$aa;

                     if($discharge == 1){                      
                        $status = "Discharged";
                    }
                ?>
                <tr>
                  <td><?php echo $pname;?></td>
                  <td><?php echo $in_pid;?></td>
                  <td><?php echo $pid;?></td>
                  <td><?php echo $phone;?></td>
                  <td><?php echo $dob;?></td>
                  <td><?php echo $balance;?></td>                  
                  <td><?php echo $status;?></td>  
                </tr>
                <?php } ?>
               </tbody>
              </table>
           </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  

<!-- ./wrapper -->

<div class="modal fade" id="modal_check_doctor_availability">
          <form action="" method="post">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Check Availability</h4>
              </div>
              <div class="modal-content" style="margin-top: 8px;">
               <h5 class="modal-title" style="float: left;margin-left: 10px;">Dr Aakash Doshi</h5>&nbsp;&nbsp;&nbsp;<small>Internal Medicine  +918454526256</small></div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                   <div class="col-md-3">
                    <i class="fa fa-angle-left col-md-3" style="font-size:30px;margin-left: 30px;" aria-hidden="true"></i>
                    </div>
                    <div class="col-md-6">
                    <input type="text" class="form-control" style="border-radius: 25px;text-align: center;" id="datepicker" value="Today">
                  </div>
                  <div class="col-md-3">
                  <i class="fa fa-angle-right" style="font-size:30px;" aria-hidden="true"></i>
                </div>
                  </div>

                  <div class="form-group col-md-12 title_validation">
                  <label for="exampleInputEmail1">Slot 1</label>
                </div>

                <div class="form-group col-md-3">
                  <input type="" name="" class="form-control"  placeholder="10:00">
                  </div>
                  <div class="form-group col-md-2">
                    <h5>To</h5>
                </div>
                  <div class="form-group col-md-3">
                   <input type="" name="" class="form-control"  placeholder="10:00">
                  </div>

                  <div class="form-group col-md-12 title_validation">
                  <label for="exampleInputEmail1">Slot 2</label>
                </div>

                <div class="form-group col-md-3">
                  <input type="" name="" class="form-control"  placeholder="NA">
                  </div>
                  <div class="form-group col-md-2">
                    <h5>To</h5>
                </div>
                  <div class="form-group col-md-3">
                   <input type="" name="" class="form-control"  placeholder="NA">
                  </div>
                </div>

                 
               

                <div class="box-footer" style="text-align: center;">
                  <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>



