
<?php 

function random_num ($len)
{
 $ch = "0123456789";
 $l = strlen ($ch) - 1;
 $str = "";
 for ($i=0; $i < $len; $i++)
 {
     $x = rand (0, $l);
     $str .= $ch[$x];
 }
 return $str;
}

?>

  

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
   
    <section class="content-header">
     <!-- <h1>Inpatient <small>Admitted Patient</small></h1> -->
      <h1>Admitted Inpatient <small>Overview</small></h1> 
      <ol class="breadcrumb">

        <!-- <li><a href="add_inpatient.php" style="font-size: 22px;"><i class="fa fa-plus"></i>Add Admission</a></li> -->
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          
          <!-- /.box -->

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">
              <table class="table table-bordered table-striped table_data">
                <thead>
                <tr>
                  <th>IN-PATIENT ID</th>
                  <th>NAME</th>                  
                  <th>PATIENT ID</th>
                  <th>CONTACT NUMBER</th>
                  <th>DOB</th>
                  <th>BALANCE</th>
                  <th>STATUS</th>
                  <th>ACTION</th>                                    
                </tr>
                </thead>
                <tbody>
                <?php 
                   $out_estimate = get_all_ipd_estimate($DB);
                   $eid = array();
                   foreach ($out_estimate as $out_estimate_res) {
                      $eid[] = $out_estimate_res['tbem_pid'];      
                   }

                   $out_reatil = get_all_ipd_retail_sale($DB);
                   $rid = array();
                   foreach ($out_reatil as $retail_res) {
                      $rid[] = $retail_res['tbrsm_pid'];      
                   }

                   if(!in_array($eid,$rid)){
                      $id = array_merge($eid,$rid);                      
                   }



                   $out_invoice = get_all_ipd_invoice($DB);
                   $inid = array();
                   foreach ($out_invoice as $invoice_res) {
                      $inid[] = $invoice_res['im_pid'];      
                   }

                  $out_receipt = get_all_ipd_receipt($DB);
                  $reid = array();
                  foreach ($out_receipt as $receipt_res) {
                        $reid[] = $receipt_res['rm_pid'];      
                  }
                   
                   if(!in_array($inid,$reid)){
                      $id1 = array_merge($inid,$reid);                      
                   }


                 
                  $out_advance = get_all_ipd_advance($DB);
                  $aid = array();
                  foreach ($out_advance as $advance_res) {
                        $aid[] = $advance_res['am_pid'];      
                  }

                  $out_credit = get_all_ipd_credit_notes($DB);
                    $cid = array();
                    foreach ($out_credit as $credit_res) {
                        $cid[] = $credit_res['pid'];      
                    }

                  if(!in_array($aid,$cid)){
                      $id2 = array_merge($aid,$cid);                     
                  }

                  
                    $out_refund = get_all_ipd_refund($DB);
                    $rdid = array();
                    foreach ($out_refund as $refund_res) {
                        $rdid[] = $refund_res['tbrm_pid'];      
                    }
                    if(!in_array($id2,$rdid)){
                      $id3 = array_merge($id2,$rdid);                      
                    }
                    
                    $id4 = array_merge($id,$id1,$id2,$id3);
                    $ids = array_unique($id4);

                  //$ipd_data = get_admitted_patient_data($DB);
                 // foreach ($ipd_data as $ipd_data_res) {
                   foreach ($ids as $value) {
                   // $in_pid = $ipd_data_res['in_pid'];
                    //$pid = $ipd_data_res['pm_pid'];
                    $pm_id = $value;
                    $patient_data = get_single_patient_details_from_id($DB,$pm_id);
                    $pid = $patient_data['pm_pid'];
                    $pat_id = base64_encode($pid);
                    $phone = $patient_data['pm_contact_no'];
                    $dob = date("d/m/Y",strtotime($patient_data['pm_dob']));
                    $sal = $patient_data['pm_salutation'];
                    $fname = $patient_data['pm_first_name'];
                    $mname = $patient_data['pm_middle_name'];
                    $lname = $patient_data['pm_last_name'];
                    $pname = $sal." ".$fname." ".$mname." ".$lname;

                    $atd_data = get_single_patient_details_from_atd_id($DB,$pm_id);
                    $in_pid = $atd_data['in_pid'];
                    $i_pid = base64_encode($in_pid);
                    $readmit = $atd_data['tapm_readmit'];
                    $discharge = $atd_data['tapm_discharge'];


                    $retail_data = get_amount_data_retail_ipd($DB,$in_pid);
                    $retail_amt = $retail_data['retail_amt'];
                    $invoice_data = get_amount_data_invoice_ipd($DB,$in_pid);
                    $invoice_amt = $invoice_data['invoice_amt'];
                    $receipt_data = get_amount_data_receipt_ipd($DB,$in_pid);
                    $receipt_amt = $receipt_data['receipt_amt'];
                    $advance_data = get_amount_data_advance_ipd($DB,$in_pid);
                    $advance_amt = $advance_data['advance_amt'];
                    $credit_data = get_amount_data_credit_ipd($DB,$in_pid);
                    $credit_amt = $credit_data['credit_amt'];
                    $refund_data = get_amount_data_refund_ipd($DB,$in_pid);
                    $refund_amt = $refund_data['refund_amt'];

                    $aa = $receipt_amt+$advance_amt+$credit_amt;

                    $balance = $invoice_amt+$refund_amt-$aa;


                    if($discharge !=1){                      
                      if($readmit == 0){
                        $status = "Admitted";
                      }else{
                        $status = "Ready To discharge";  
                      }
                    }else{
                      $status = "Discharge";
                    }
                      
                    if($discharge!=1){

                ?>
                <tr>
                  <td><?php echo $in_pid;?></td>
                  <td><?php echo $pname;?></td>                  
                  <td><?php echo $pid;?></td>
                  <td><?php echo $phone;?></td>
                  <td><?php echo $dob;?></td>
                  <td><?php echo $balance;?></td>
                  <td><?php echo $status;?></td>
                  <td><a href="view_inp_overview.php?id=<?php echo  $pat_id;?>&in_pid=<?php echo $i_pid;?>" title="Edit" class="btn btn-primary">View</a></td>
                </tr>
                <?php } } ?>
               </tbody>
              </table>
           </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  

<!-- ./wrapper -->