<style type="text/css">
.dataTables_empty
{
  text-align: center;
}
.scrollbar
{
    display: block;
    height: 180px;
    overflow-x: auto;
    border-left: 2px solid #f4f4f4;
    border-bottom: 2px solid #f4f4f4;
    padding-left: 5px;


}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}


::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
  overflow-x: auto;
}


/*
 *  STYLE 3
 */

</style>

<?php 

$CaseId = base64_decode($_GET['case_id']);
$RowCaseManager = get_single_patient_case_manager_detials($DB,$Case_Patient_Id,$CaseId);

$tca_id = $RowCaseManager['tca_id'];
$Array_tca_id = explode(",", $tca_id);

$tcv_id = $RowCaseManager['tcv_id'];
$Array_tcv_id = explode(",", $tcv_id);

$tcbc_id = $RowCaseManager['tcbc_id'];
$Array_Tcbc_id = explode(",", $tcbc_id);


$tcd_id = $RowCaseManager['tcd_id'];
$Array_Tcd_id = explode(",", $tcd_id);

$tcm_tmm_brand_name = $RowCaseManager['tcm_tmm_brand_name'];
$Array_tcm_tmm_brand_name = explode(",", $tcm_tmm_brand_name);
$CountArray = count($Array_tcm_tmm_brand_name);

$tcm_tmm_type = $RowCaseManager['tcm_tmm_type'];
$Array_tcm_tmm_type = explode(",", $tcm_tmm_type);

$tcm_tmm_strength = $RowCaseManager['tcm_tmm_strength'];
$Array_tcm_tmm_strength = explode(",", $tcm_tmm_strength);

$tcm_tmm_unit = $RowCaseManager['tcm_tmm_unit'];
$Array_tcm_tmm_unit = explode(",", $tcm_tmm_unit);

$tcm_tmm_time = $RowCaseManager['tcm_tmm_time'];
$Array_tcm_tmm_time = explode(",", $tcm_tmm_time);

$tcm_tmm_days = $RowCaseManager['tcm_tmm_days'];
$Array_tcm_tmm_days = explode(",", $tcm_tmm_days);

$tcm_tmm_duration_type = $RowCaseManager['tcm_tmm_duration_type'];
$Array_tcm_tmm_duration_type = explode(",", $tcm_tmm_duration_type);

$tcm_tmm_custom = $RowCaseManager['tcm_tmm_custom'];
$Array_tcm_tmm_custom = explode(",", $tcm_tmm_custom);

$tcm_tmm_template_id = $RowCaseManager['tcm_tmm_template_id'];
$Array_tcm_tmm_template_id = explode(",", $tcm_tmm_template_id);

$Nums_PDF = $RowCaseManager['tcm_pdf'];

?>

<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Doctor
        <small>Case Manager</small>
      </h1>
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        
        <?php if(isset($RowCaseManager['tcm_chief_com']) && !empty($RowCaseManager['tcm_chief_com'])) { ?>

        <div class="col-md-6">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">Chief Complaints</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_chief_com']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          
          <!-- /.box -->
        </div>

        <?php } ?>

        <?php if(isset($RowCaseManager['tcm_assessment_notes']) && !empty($RowCaseManager['tcm_assessment_notes'])) { ?>

        <div class="col-md-6">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">Assessment Notes</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_assessment_notes']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>

        <?php if(isset($RowCaseManager['tcm_history_pre_illness']) && !empty($RowCaseManager['tcm_history_pre_illness'])) { ?>

        <div class="col-md-6">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">History of Present Illness</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_history_pre_illness']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>

        <?php if(isset($RowCaseManager['tcm_pre_evevnt']) && !empty($RowCaseManager['tcm_pre_evevnt'])) { ?>

        <div class="col-md-6">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">Precipitating Event</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_pre_evevnt']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>

        <?php if(isset($RowCaseManager['tcm_history']) && !empty($RowCaseManager['tcm_history'])) { ?>

        <div class="col-md-12">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">History</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_history']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>

         <?php if(isset($RowCaseManager['tcm_permanent_history']) && !empty($RowCaseManager['tcm_permanent_history'])) { ?>

        <div class="col-md-12">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">Premanent History</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_permanent_history']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>

        <?php if(isset($RowCaseManager['tcm_mse']) && !empty($RowCaseManager['tcm_mse'])) { ?>

        <div class="col-md-12">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">Mental Status Examinations</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_mse']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>

        <?php if(isset($RowCaseManager['tcm_pas']) && !empty($RowCaseManager['tcm_pas'])) { ?>

        <div class="col-md-12">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">Psychiatric Assessment Scales</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_pas']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>


        <div class="col-md-6">
          <div class="box">
            
            <div class="box-body">
              
              <div class="col-md-12">
                  <div class="col-md-8" style="padding-left: 0px;"><b>Allergies</b></div>
              </div>
                
              
                <table class="table" id="example">
                    <thead>
                      <tr>
                        <th>Type</th>
                        <th style="width: 104px;">Enter BY</th>
                        <th>Date</th>
                      </tr>
                    </thead>  
                    <tbody>
                    	<?php foreach ($Array_tca_id as $RowTcaId) { 
                         $RowSingleAllergies = get_single_case_allergies_id($DB,$RowTcaId);
                         $CreateBy = $RowSingleAllergies['tca_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                      ?>  
                      <tr>
                        <td><?php echo $RowSingleAllergies['type'] ?></td>
                        <td><?php echo  $RowEnterBy['um_name'] ?></td>
                        <td><?php echo date('d-m-Y', strtotime($RowSingleAllergies['tca_created_date'])); ?></td>
                      </tr>
                      <?php } ?>  
                  
                    </tbody>
                </table>
              
            </div>
            
          </div>
        </div>

        <div class="col-md-6">
          <div class="box">
            
            <div class="box-body">
              <div class="col-md-12">
                  <div class="col-md-8" style="padding-left: 0px;"><b>Vitals</b></div>
              </div>

              <table class="table" id="example4">
                <thead>
                  <tr>
                    <th style="width: 5px">T</th>
                    <th style="width: 5px">P</th>
                    <th>RR</th>
                    <th>BP</th>
                    <th>SPO2</th>
                    <th>Date</th>
                  </tr>
                  </thead>
                  <tbody>
                  <?php 
                         if(isset($tcv_id) && !empty($tcv_id)) {
                         foreach ($Array_tcv_id as $RowTcvId) { 
                         $RowSingleVitals = get_single_case_vitals_id($DB,$RowTcvId);
                         $CreateBy = $RowSingleVitals['tcv_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?> 
                  <tr>
                    <td><?php echo $RowSingleVitals['temp'] ?></td>
                    <td><?php echo $RowSingleVitals['pres'] ?></td>
                    <td><?php echo $RowSingleVitals['resp_rate'] ?></td>
                    <td><?php echo $RowSingleVitals['blood_press'] ?></td>
                    <td><?php echo $RowSingleVitals['spo2'] ?></td>
                    <td><?php echo date('d-m-Y', strtotime($RowSingleVitals['tcv_created_date'])); ?></td>
                  </tr>
                  <?php } } ?>

                </tbody>
              </table>
            </div>
            
          </div>
        </div>

        <div class="col-md-6">
          <div class="box">
            
            <div class="box-body">

              <div class="col-md-12">
                  <div class="col-md-8" style="padding-left: 0px;"><b>Body Composition</b></div>
              </div>

              <table class="table" id="example5">
                <thead>
                  <tr>
                    <th style="width: 10px">Ht</th>
                    <th style="width: 10px">Wt</th>
                    <th>BMI</th>
                    <th>BMR</th>
                    <th>Date</th>
                  </tr>
                  </thead>
                  <tbody>
                  <?php 
                         if(isset($tcbc_id) && !empty($tcbc_id)) {
                         foreach ($Array_Tcbc_id as $RowTcbcId) { 
                         $RowSingleBodyCom = get_single_case_body_cop_id($DB,$RowTcbcId);
                         $CreateBy = $RowSingleBodyCom['tcbc_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>
                  <tr>
                    <td><?php echo $RowSingleBodyCom['height'] ?></td>
                    <td><?php echo $RowSingleBodyCom['weight'] ?></td>
                    <td><?php echo $RowSingleBodyCom['bmi'] ?></td>
                    <td><?php echo $RowSingleBodyCom['bmr'] ?></td>
                    <td><?php echo date('Y-m-d', strtotime($RowSingleBodyCom['tcbc_created_date'])); ?></td>
                  </tr>
                  <?php } } ?>
                </tbody>
              </table>
            </div>
            
          </div>
        </div>

        <div class="col-md-6">
          <div class="box">
            
            <div class="box-body">

              <div class="col-md-12">
                  <div class="col-md-8" style="padding-left: 0px;"><b>Diagnosis</b></div>
                  <div class="col-md-4" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' id="add_diagnosis" title="Add New">Add New</a></div>
              </div>

              <table class="table " id="example6">
                <thead>
                  <tr>
                    <th>Diagnosis</th>
                    <th>Type</th>
                    <th>Doctor</th>
                    <th>Date</th>
                  </tr>
                  </thead>
                  <tbody>
                  <?php 
                         if(isset($tcd_id) && !empty($tcd_id)) {
                         foreach ($Array_Tcd_id as $RowTcdId) { 
                         $RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $RowSingleDiagnosis['tcd_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>

                  <tr>
                    <td><?php echo $RowSingleDiagnosis['diagnosis']; ?></td>
                    <td><?php echo $RowSingleDiagnosis['type']; ?></td>
                    <td><?php echo $RowEnterBy['um_name']; ?></td>
                    <td><?php echo date('d-m-Y', strtotime($RowSingleDiagnosis['tcd_created_date'])); ?></td>
                  </tr>

                  <?php } } ?>
                  
                </tbody>
              </table>
            </div>
            
          </div>
        </div>

        
        <?php if($CountArray > 0) { ?>

        <div class="col-md-12">
          <div class="box box-solid">
            
            <div class="box-header with-border">
               <h3 class="box-title">Treatment</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">

            <?php 

            for ($i=0; $i < $CountArray; $i++) { 

                $tmm_brand_name = $Array_tcm_tmm_brand_name[$i];
                $tmm_type = $Array_tcm_tmm_type[$i];
                $tmm_strength = $Array_tcm_tmm_strength[$i];
                $tmm_unit = $Array_tcm_tmm_unit[$i];
                $tmm_time = $Array_tcm_tmm_time[$i];
                if($tmm_time != "None")
                {
                  $tmm_time = " (".$tmm_time.")";
                }
                else {
                    $tmm_time = "";
                }  
                $tmm_days = $Array_tcm_tmm_days[$i];
                $tmm_duration_type = $Array_tcm_tmm_duration_type[$i];
                $tmm_custom = $Array_tcm_tmm_custom[$i];
                $tmm_template_id = $Array_tcm_tmm_template_id[$i];

                $RowTemplate = get_single_custom_template_form_id($DB,$tmm_template_id);

               

                if(!empty($tmm_custom))
                {
                  $tmm_custom = "<br />".$tmm_custom;
                }
                else {
                    $tmm_custom = "";
                }

                
                $Medicine_Name = ucfirst(strtolower($tmm_type))." ".$tmm_brand_name." (".$tmm_strength." ".$tmm_unit.")";

                $Template_Title = $RowTemplate['tmi_title'];
                if(!empty($RowTemplate['tmi_english']))
                {
                 $tmi_english = "<br />".$RowTemplate['tmi_english'];
                } 
                else {
                  $tmi_english ="";                   
                } 

            ?>

            <div class="col-md-12" style="border-bottom: 2px solid #f4f4f4; padding-bottom: 10px; padding-top: 10px;">
               
               <div class="col-md-4">
                  <b><?php echo $Medicine_Name; ?></b>
               </div>

               <div class="col-md-6">
               <b>Remark :</b> <?php echo $Template_Title.$tmm_time.$tmi_english.$tmm_custom; ?>
               </div>

               <div class="col-md-2">
                  <b>Duration: </b><?php echo $tmm_days." ".$tmm_duration_type; ?>
               </div>


            </div>

            <?php } ?>

            </div>

            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>
        
        <?php if(isset($RowCaseManager['tcm_investigation']) && !empty($RowCaseManager['tcm_investigation'])) { ?>

        <div class="col-md-6">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">Investigation</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_investigation']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>


        <?php if(isset($RowCaseManager['tcm_advice']) && !empty($RowCaseManager['tcm_advice'])) { ?>


        <div class="col-md-6">
          <div class="box box-solid">
            <div class="box-header with-border">
               <h3 class="box-title">Advice</h3>
               
            </div>
            <!-- /.box-header -->
            <div class="box-body scrollbar" id="style-7">
               <?php echo $RowCaseManager['tcm_advice']; ?>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>

       

        <div class="col-md-12">
          <div class="row">
              <div class="col-md-12" style="text-align: center;">
                <a href="pdf_casemanager.php?p_id=<?php echo $Case_Patient_Id1; ?>&pdf_id=<?php echo $_GET['case_id']; ?>" target="_blank"><button type="button" id="submit_button" class="btn btn-primary">Print</button></a>
              </div>

          </div>
        </div>


    </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->



