<?php
$RowCasePatientinfo = get_single_patient_details_from_id($DB,$Case_Patient_Id); 
$RowInPatientinfo = get_single_inpatient_details_from_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);
$WardId = $RowInPatientinfo['twm_id'];
$Row_Ward = get_single_ward_data_from_id($DB,$WardId);
$RoomId = $RowInPatientinfo['twrm_id'];
$Row_Room = get_single_room_data_from_id($DB,$RoomId);

$Row_AdmitNotesConFinal = get_inpatient_admit_notes_final_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);

$CountNotes = count($Row_AdmitNotesConFinal);

$AdmitDate = date('Y-m-d', strtotime($RowInPatientinfo['tapm_admitting_date']));
$AdmitTime = strtotime(date('h:i A', strtotime($RowInPatientinfo['tapm_admitting_time'])));
$ShiftTime =  strtotime(date('h:i A', strtotime($Shift_Time)));

if($AdmitTime >= $ShiftTime)
{
  $AdmitRealDate = date('Y-m-d h:i A', strtotime($RowInPatientinfo['tapm_admitting_date']));
}

else {
  $AdmitRealDate = date('Y-m-d h:i A', strtotime('-1 day', strtotime($AdmitDate)));
}

$TimeShift = date('Y-m-d h:i A', strtotime($Shift_Time));

date_default_timezone_set('Asia/Kolkata');
//$TodayDateTime =  date('Y-m-d h:i A');
$TodayDateTime = date('Y-m-d h:i A');
if($RowInPatientinfo['tapm_discharge'] == 1 || $CountNotes > 0) {
  $CurruntDate = date('Y-m-d', strtotime($RowInPatientinfo['tapm_modify_date']));
  $CurruntRealDate = strtotime(date('Y-m-d h:i A', strtotime($RowInPatientinfo['tapm_modify_date'])));
}
else {
  $CurruntDate = date('Y-m-d');
  $CurruntRealDate = time(); 
}  
$CurruntTime = date('h:i A');

$datediff = $CurruntRealDate - strtotime($AdmitRealDate);

if($CurruntDate ==  $AdmitDate)
{
  echo $AdmitDays = round($datediff / (60 * 60 * 24)) + 1;
}

else {
  $AdmitDays = round($datediff / (60 * 60 * 24));
}

?>
<aside class="main-sidebar">

    <!-- sidebar: style can be found in sidebar.less -->

    <section class="sidebar">

     <div>

    <section class="sidebar left_custom">
     <div >

      
      <div class="user-panel" id="">

    
    <div class="user-panel">

        <div class="pull-left image">
          <a href="inpatient.php"><i class="fa fa-arrow-circle-o-left"></i> Back</a><br>
          <p><a ><h4><?php echo $RowCasePatientinfo['pm_first_name']." ".$RowCasePatientinfo['pm_last_name'] ?></h4></a></p>
          <a><?php echo $RowCasePatientinfo['pm_gender']; ?>: <?php echo $diff = (date('Y') - date('Y',strtotime($RowCasePatientinfo['pm_dob']))); ?> Years</a><br>
          <a>Bed No: <?php echo $Row_Ward['ward_name'] ?> - <?php echo $Row_Room['room_name'] ?></a><br>
          <a>IP No: <?php echo $Case_InPatient_Id; ?></a><br>
          <a>Admission Date: <?php echo date('d/m/Y', strtotime($RowInPatientinfo['tapm_admitting_date'])); ?></a><br>
          <a>Day : <?php echo $AdmitDays;?></a><br>
          
        </div>
       
    </div>
      
      <ul class="sidebar-menu" id="leftScrollDiv">
          
          

          <li><a href="inpatient_profile.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Registration Details</span></a></li>
          
          <?php if(in_array('310', $AarruserRole)) { ?>
          
            <?php if($RowInPatientinfo['tapm_discharge'] == 1 || $CountNotes > 0 && (!in_array('311', $AarruserRole))) { ?>

            <li><a href="imp_admission_file.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Admission Notes</span></a></li>
            <?php } else { ?>
            <li><a href="inpatient_admission_notes.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Admission Notes</span></a></li>
            
            <?php } ?>

          <?php } ?>

          <?php if(in_array('312', $AarruserRole)) { ?>

            <li><a href="inpatient_diagnosis.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Diagnosis</span></a></li>

          <?php } ?>

          <!-- <li><a href="inpatient_allergy.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Allergy</span></a></li> -->
          <?php if(in_array('316', $AarruserRole)) { ?>
            <li><a href="inpatient_vital_parameters.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Vital Parameters</span></a></li>
          <?php } ?>
            
          <?php if(in_array('319', $AarruserRole)) { ?>
            <li><a href="inpatient_treatment_sheet.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Treatment Sheet</span></a></li>
          <?php } ?>
          
          <?php if(in_array('323', $AarruserRole)) { ?>
            <li><a href="imp_extra_order.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Extra orders</span></a></li>
          <?php } ?>

          <?php if(in_array('327', $AarruserRole)) { ?>
            <li><a href="imp_doctor_procedure.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Procedures</span></a></li>
          <?php } ?>
          
          <?php if(in_array('330', $AarruserRole)) { ?>
            <li><a href="imp_daily_doctor_notes.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Daily Doctor Notes</span></a></li>
          <?php } ?>

          <?php if(in_array('333', $AarruserRole)) { ?>
            <li><a href="imp_daily_nurse_notes.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Daily Nurse Notes</span></a></li>
          <?php } ?>

          <?php if(in_array('336', $AarruserRole)) { ?>
            <li><a href="imp_lab_reports.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Lab Reports</span></a></li>
          <?php } ?>

          <?php if(in_array('339', $AarruserRole)) { ?>
            <li><a href="imp_radiology_report.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Radiology Reports</span></a></li>
          <?php } ?>

          <?php if(in_array('342', $AarruserRole)) { ?>
            <li><a href="imp_documents.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Other Documents</span></a></li>
          <?php } ?>

          <!-- <li><a href="imp_insurance.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Insurance</span></a></li> -->
          <?php if(in_array('345', $AarruserRole) || in_array('349', $AarruserRole)) { ?>
          <li class="treeview">
            <a href="#">
              <span>Billing Sheet</span>
              <span class="pull-right-container">
                    <i class="fa fa-angle-left pull-right"></i>
              </span>
            </a>
            <ul class="treeview-menu" style="display: none;">
              <?php if(in_array('345', $AarruserRole))  { ?>
                <li><a href="imp_doctor_billing_sheet.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>">Doctor Billing</a></li>
              <?php } ?>
              <?php if(in_array('349', $AarruserRole))  { ?>  
                <li><a href="imp_nurse_billing_sheet.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>">Nurse Billing</a></li>
              <?php } ?>
            </ul>
          </li>
          <?php } ?>

          <?php if(in_array('353', $AarruserRole))  { ?>

            <?php if($RowInPatientinfo['tapm_discharge'] == 1 && !in_array('354', $AarruserRole)) { ?>

            <li><a href="imp_discharged_file.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Discharge Summary</span></a></li>
            <?php } else { ?>
            <li><a href="imp_discharged_summary.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Discharge Summary</span></a></li>
            <?php } ?>
          
          <?php } ?>
          
          <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>

            <li><a href="imp_discharge.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"> <span>Discharge</span></a></li>

          <?php } ?>
          
          <?php if(in_array('355', $AarruserRole))  { ?>
          <li class="treeview">
            <a href="#">
              <span>Logs</span>
              <span class="pull-right-container">
                    <i class="fa fa-angle-left pull-right"></i>
              </span>
            </a>
            <ul class="treeview-menu" style="display: none;">
              <li><a href="imp_patient_activity_logs.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>">Patient Activity</a></li>
            </ul>
          </li>
         <?php } ?>
          
      </ul>
      
    </section>
    <!-- /.sidebar -->
</aside>