<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

$userLoginModuleId = $_SESSION['login_user_module_id'];
$AarruserRole = $_SESSION['login_user_role_id'];

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$popup_notes = $_POST['popup_notes'];
$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$tidn_time = $_POST['tidn_time'];

$tidn_date = $_POST['tidn_date'];
$tidn_date = str_replace('/', '-', $tidn_date);
$tidn_date = date('Y-m-d',strtotime($tidn_date));

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_doctor_notes(`pm_id`,`pm_pid`,`ip_id`,`um_id`,`tidn_notes`,`tidn_date`,`tidn_time`,`tidn_created_by`) VALUES (:pm_id,:pm_pid,:ip_id,:um_id,:tidn_notes,:tidn_date,:tidn_time,:tidn_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tidn_notes", $popup_notes);
$statement->bindValue(":tidn_date", $tidn_date);
$statement->bindValue(":tidn_time", $tidn_time);
$statement->bindValue(":tidn_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();

if(isset($_POST['pop_check']) && !empty($_POST['pop_check']))
{
  $popup_template_title = $_POST['popup_template_title'];
  $sqlT = "INSERT INTO ".$DB_Prefix."doctor_notes_template(`um_id`,`tdnt_title`,`tdnt_notes`,`tdnt_created_by`) VALUES (:um_id,:tdnt_title,:tdnt_notes,:tdnt_created_by)"; 
  $statementT = $DB->prepare($sqlT);
  $statementT->bindValue(":um_id", $created_by);
  $statementT->bindValue(":tdnt_title", $popup_template_title);
  $statementT->bindValue(":tdnt_notes", $popup_notes);
  $statementT->bindValue(":tdnt_created_by", $created_by);
  $resT = $statementT->execute();
}  

if($res) {
?>
<div class="col-md-12" id="table_tr_doctor_extra_notes_<?php echo $PID; ?>">
   <div class="box box-solid">
      <div class="box-header with-border">
         <h3 class="box-title">Seen By: <?php echo $row_User_Details['um_name']; ?>  &nbsp; &nbsp;Date: <?php echo date('d/m/Y',strtotime($tidn_date)); ?>&nbsp; &nbsp; Time: <?php echo date('h:i A',strtotime($tidn_time)); ?></h3>
         <?php if(in_array('332', $AarruserRole))  { ?>
          <a style="float: right;" href="javascript:;" class="select_edit_doctor_extra_notes" data-id="<?php echo $PID; ?>"><i class="fa fa-edit"></i>Edit</a>
          <?php } ?>
          &nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; &nbsp; 
         <a style="float: right;" href="javascript:;"><i class="fa fa-print"></i>Print</a>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
         <?php echo $popup_notes; ?>
      </div>
      <!-- /.box-body -->
   </div>
   <!-- /.box -->
</div>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tidn_id  = $_POST['delete_tidn_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_doctor_notes_id($DB,$delete_tidn_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_doctor_notes_pid_ipid($DB,$ID);

$Date = $RsList['tidn_date'];
$tidn_date = date('d/m/Y',strtotime($Date));

$tidn_time = $RsList['tidn_time'];
$tidn_time = date('h:i A',strtotime($tidn_time));

$return_arr = array("tidn_notes" => $RsList['tidn_notes'],
                    "tidn_id" => $RsList['tidn_id'],
                    "tidn_date" => $tidn_date,
                    "tidn_time" => $RsList['tidn_time'],
                    "created_by" => $RsList['tidn_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tidn_id = $_POST['tidn_id'];
$tidn_notes = $_POST['tidn_notes'];
$edit_tidn_um_id = $_POST['edit_tidn_um_id'];

$tidn_time = $_POST['tidn_time'];

$tidn_date = $_POST['tidn_date'];
$tidn_date = str_replace('/', '-', $tidn_date);
$tidn_date = date('Y-m-d',strtotime($tidn_date));


$row_User_Details = get_user_master_details_from_id($DB,$edit_tidn_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_doctor_notes SET  tidn_notes = :tidn_notes,
                  tidn_date = :tidn_date,
                  tidn_time = :tidn_time, 
                  tidn_modify_by = :tidn_modify_by
                  WHERE tidn_id ='$tidn_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tidn_notes", $tidn_notes);
   $statement_Image1->bindValue(":tidn_date", $tidn_date);
   $statement_Image1->bindValue(":tidn_time", $tidn_time);
   $statement_Image1->bindValue(":tidn_modify_by", $edit_tidn_um_id);
   $count = $statement_Image1->execute();

if($count) {

?>

   <div class="box box-solid">
      <div class="box-header with-border">
         <h3 class="box-title">Seen By: <?php echo $row_User_Details['um_name']; ?> &nbsp; &nbsp; Date: <?php echo date('d/m/Y',strtotime($tidn_date)); ?>&nbsp; &nbsp; Time: <?php echo date('h:i A',strtotime($tidn_time)); ?></h3>
         <a style="float: right;" href="javascript:;" class="select_edit_doctor_extra_notes" data-id="<?php echo $tidn_id; ?>"><i class="fa fa-edit"></i>Edit</a>&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<a style="float: right;" href="javascript:;"><i class="fa fa-print"></i>Print</a>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
         <?php echo $tidn_notes; ?>
      </div>
      <!-- /.box-body -->
   </div>
   <!-- /.box -->

<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add_template") {
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$DocId = $row_User_Details['um_id'];
$Resuluts_Doctor_Template = get_all_doctor_notes_template($DB,$DocId);
foreach ($Resuluts_Doctor_Template as $Row_Doctor_Template) {
?>
<li><a href="javascript:;" data-id="<?php echo $Row_Doctor_Template['tdnt_id']; ?>" class="select_template_doctor_notes"><?php echo $Row_Doctor_Template['tdnt_title']; ?></a></li>
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "template") {
$Id = $_POST['id'];
$row_Template_Details = get_single_doctor_notes_template_id($DB,$Id);
echo $row_Template_Details['tdnt_notes'];
} 
?>