<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

$userLoginModuleId = $_SESSION['login_user_module_id'];
$AarruserRole = $_SESSION['login_user_role_id'];


if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$admit_days = $_POST['admit_days'];

$tii_details = $_POST['tii_details'];
$tii_remark = $_POST['tii_remark'];


$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_investigation(`tii_days`,`pm_id`,`pm_pid`,`um_id`,`tii_details`,`tii_remark`,`ip_id`,`tii_created_by`) VALUES (:tii_days,:pm_id,:pm_pid,:um_id,:tii_details,:tii_remark,:ip_id,:tii_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":tii_days", $admit_days);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tii_details", $tii_details);
$statement->bindValue(":tii_remark", $tii_remark);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":tii_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {
?>
<tr id="table_tr_inp_investigation_<?php echo $PID; ?>">
   <td><?php echo $tii_details; ?></td>
   <td><?php echo $tii_remark; ?></td>
   <td><?php echo $row_User_Details['um_name']; ?></td>
   <?php if(in_array('321', $AarruserRole) || in_array('322', $AarruserRole))  { ?>
   	<td>
   		
   		<?php if(in_array('321', $AarruserRole))  { ?>
   			<a href="javascript:void(0)" class="select_edit_inpatient_investigation" ="" title="Edit" data-id="<?php echo $PID; ?>"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;
   		<?php } ?>
   		
   		<?php if(in_array('322', $AarruserRole))  { ?>	
   		<a href='javascript:void(0)' id="delete_popup_inpatient_investigation" data-id="<?php echo $PID; ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a>
   		<?php } ?>

   		</td>
   <?php } ?>
   	
</tr>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tii_id  = $_POST['delete_tii_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_investigation_id($DB,$delete_tii_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_investigation_pid_ipid($DB,$ID);
$return_arr = array("tii_details" => $RsList['tii_details'],
                    "tii_remark" => $RsList['tii_remark'],
                    "tii_id" => $RsList['tii_id'],
                    "created_by" => $RsList['tii_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tii_id = $_POST['tii_id'];
$tii_details = $_POST['tii_details'];
$tii_remark = $_POST['tii_remark'];
$edit_tii_um_id = $_POST['edit_tii_um_id'];

$email = $_SESSION['admin_user'];
$row_Edit_User_Details = get_user_master_email($DB,$email);
$tii_modify_by = $row_Edit_User_Details['um_id'];


$row_User_Details = get_user_master_details_from_id($DB,$edit_tii_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_investigation SET  tii_details = :tii_details,
                  tii_remark = :tii_remark,
                  tii_modify_by = :tii_modify_by
                  WHERE tii_id ='$tii_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tii_details", $tii_details);
   $statement_Image1->bindValue(":tii_remark", $tii_remark);
   $statement_Image1->bindValue(":tii_modify_by", $tii_modify_by);
   $count = $statement_Image1->execute();

if($count) {

?>
<td><?php echo $tii_details; ?></td>
<td><?php echo $tii_remark; ?></td>
<td><?php echo $row_User_Details['um_name']; ?></td>
<?php if(in_array('321', $AarruserRole) || in_array('322', $AarruserRole))  { ?>
	<td>
		
		<?php if(in_array('321', $AarruserRole))  { ?>
			<a href="javascript:void(0)" class="select_edit_inpatient_investigation" ="" title="Edit" data-id="<?php echo $tii_id; ?>"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;
		<?php } ?>
			
		<?php if(in_array('322', $AarruserRole))  { ?>
			<a href='javascript:void(0)' id="delete_popup_inpatient_investigation" data-id="<?php echo $tii_id; ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a>
		<?php } ?>
	</td>
<?php } ?>	
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "past_dia") {
$pm_pid = base64_decode($_POST['id']);

?>

<table class="table " id="example6">
	<thead>
	   <tr>
	      <th>Diagnosis</th>
	      <th>Type</th>
	      <th>Doctor</th>
	      <th>Date</th>
	   </tr>
	</thead>

	<tbody id="add_table_diagnosis">
		<?php 
		   $ResultsCase_Diagnosis = get_patient_case_dia_diagnosis_pid($DB,$pm_pid);
		   if(count($ResultsCase_Diagnosis) > 0) {
		   foreach ($ResultsCase_Diagnosis as $RowCase_Diagnosis) {
		   
		   $UmId = $RowCase_Diagnosis['um_id'];
		   $RowEnter = get_user_master_details_from_id($DB,$UmId);
   
   		?>

   			<tr>
			   <td><?php echo $RowCase_Diagnosis['diagnosis'] ?></td>
			   <td><?php echo $RowCase_Diagnosis['type'] ?></td>
			   <td><?php echo $RowEnter['um_name'] ?></td>
			   <td><?php echo date('d-m-Y', strtotime($RowCase_Diagnosis['tcd_created_date']));?></td>
			</tr>

		<?php } } else { ?>	
			<tr>
                <td colspan="4" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! no any past diagnosis.</em>
                </td> 
            </tr>
		<?php } ?>

	</tbody>
</table>	

<?php } ?>