<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

$userLoginModuleId = $_SESSION['login_user_module_id'];
$AarruserRole = $_SESSION['login_user_role_id'];

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$admit_days = $_POST['admit_days'];
$tiv_time = $_POST['tiv_time'];
$tiv_temp = $_POST['tiv_temp'];
$tiv_pres = $_POST['tiv_pres'];
$tiv_resp_rate = $_POST['tiv_resp_rate'];
$tiv_blood_press = $_POST['tiv_blood_press'];
$tiv_spo2 = $_POST['tiv_spo2'];


$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_vitals(`tiv_days`,`pm_id`,`pm_pid`,`um_id`,`tiv_time`,`tiv_temp`,`tiv_pres`,`tiv_resp_rate`,`tiv_blood_press`,`tiv_spo2`,`ip_id`,`tiv_created_by`) VALUES (:tiv_days,:pm_id,:pm_pid,:um_id,:tiv_time,:tiv_temp,:tiv_pres,:tiv_resp_rate,:tiv_blood_press,:tiv_spo2,:ip_id,:tiv_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":tiv_days", $admit_days);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tiv_time", $tiv_time);
$statement->bindValue(":tiv_temp", $tiv_temp);
$statement->bindValue(":tiv_pres", $tiv_pres);
$statement->bindValue(":tiv_resp_rate", $tiv_resp_rate);
$statement->bindValue(":tiv_blood_press", $tiv_blood_press);
$statement->bindValue(":tiv_spo2", $tiv_spo2);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":tiv_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {
?>
<tr id="table_tr_inp_vitals_<?php echo $PID; ?>">
   <td><?php echo date('h:i A', strtotime($tiv_time)); ?></td>
   <td><?php echo $tiv_temp; ?></td>
   <td><?php echo $tiv_pres; ?></td>
   <td><?php echo $tiv_resp_rate; ?></td>
   <td><?php echo $tiv_blood_press; ?></td>
   <td><?php echo $tiv_spo2; ?></td>
   <?php if(in_array('318', $AarruserRole))  { ?>v
    <td><a href="javascript:void(0)" class="select_edit_inpatient_vitals" title="Edit" data-id="<?php echo $PID; ?>" title="Edit"><i class="fa fa-edit"></i></a></td>
   <?php } ?>  
</tr>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tiv_id  = $_POST['delete_tiv_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_vitals_id($DB,$delete_tiv_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_vitals_pid_ipid($DB,$ID);
$return_arr = array("tiv_time" => $RsList['tiv_time'],
                    "tiv_temp" => $RsList['tiv_temp'],
                    "tiv_pres" => $RsList['tiv_pres'],
                    "tiv_resp_rate" => $RsList['tiv_resp_rate'],
                    "tiv_blood_press" => $RsList['tiv_blood_press'],
                    "tiv_spo2" => $RsList['tiv_spo2'],
                    "tiv_id" => $RsList['tiv_id'],
                    "created_by" => $RsList['tiv_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tiv_id = $_POST['tiv_id'];
$tiv_time = $_POST['tiv_time'];
$tiv_temp = $_POST['tiv_temp'];
$tiv_pres = $_POST['tiv_pres'];
$tiv_resp_rate = $_POST['tiv_resp_rate'];
$tiv_blood_press = $_POST['tiv_blood_press'];
$tiv_spo2 = $_POST['tiv_spo2'];
$edit_tiv_um_id = $_POST['edit_tiv_um_id'];

$row_User_Details = get_user_master_details_from_id($DB,$edit_tiv_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_vitals SET  tiv_time = :tiv_time, 
                  tiv_temp = :tiv_temp,
                  tiv_pres = :tiv_pres,
                  tiv_resp_rate = :tiv_resp_rate,
                  tiv_blood_press = :tiv_blood_press,
                  tiv_spo2 = :tiv_spo2
                  WHERE tiv_id ='$tiv_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tiv_time", $tiv_time);
   $statement_Image1->bindValue(":tiv_temp", $tiv_temp);
   $statement_Image1->bindValue(":tiv_pres", $tiv_pres);
   $statement_Image1->bindValue(":tiv_resp_rate", $tiv_resp_rate);
   $statement_Image1->bindValue(":tiv_blood_press", $tiv_blood_press);
   $statement_Image1->bindValue(":tiv_spo2", $tiv_spo2);
   $count = $statement_Image1->execute();

if($count) {

?>
<td><?php echo date('h:i A', strtotime($tiv_time)); ?></td>
<td><?php echo $tiv_temp; ?></td>
<td><?php echo $tiv_pres; ?></td>
<td><?php echo $tiv_resp_rate; ?></td>
<td><?php echo $tiv_blood_press; ?></td>
<td><?php echo $tiv_spo2; ?></td>
<?php if(in_array('318', $AarruserRole))  { ?>v
  <td><a href="javascript:void(0)" class="select_edit_inpatient_vitals" title="Edit" data-id="<?php echo $tiv_id; ?>" title="Edit"><i class="fa fa-edit"></i></a></td>
<?php } ?>  
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "past_dia") {
$pm_pid = base64_decode($_POST['id']);

?>

<table class="table " id="example6">
	<thead>
	   <tr>
	      <th>Diagnosis</th>
	      <th>Type</th>
	      <th>Doctor</th>
	      <th>Date</th>
	   </tr>
	</thead>

	<tbody id="add_table_diagnosis">
		<?php 
		   $ResultsCase_Diagnosis = get_patient_case_dia_diagnosis_pid($DB,$pm_pid);
		   if(count($ResultsCase_Diagnosis) > 0) {
		   foreach ($ResultsCase_Diagnosis as $RowCase_Diagnosis) {
		   
		   $UmId = $RowCase_Diagnosis['um_id'];
		   $RowEnter = get_user_master_details_from_id($DB,$UmId);
   
   		?>

   			<tr>
			   <td><?php echo $RowCase_Diagnosis['diagnosis'] ?></td>
			   <td><?php echo $RowCase_Diagnosis['type'] ?></td>
			   <td><?php echo $RowEnter['um_name'] ?></td>
			   <td><?php echo date('d-m-Y', strtotime($RowCase_Diagnosis['tcd_created_date']));?></td>
			</tr>

		<?php } } else { ?>	
			<tr>
                <td colspan="4" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! no any past diagnosis.</em>
                </td> 
            </tr>
		<?php } ?>

	</tbody>
</table>	

<?php } ?>