<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

$userLoginModuleId = $_SESSION['login_user_module_id'];
$AarruserRole = $_SESSION['login_user_role_id'];


if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$popup_notes = $_POST['popup_notes'];
$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$tinn_time = $_POST['tinn_time'];

$tinn_date = $_POST['tinn_date'];
$tinn_date = str_replace('/', '-', $tinn_date);
$tinn_date = date('Y-m-d',strtotime($tinn_date));

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_nurse_notes(`pm_id`,`pm_pid`,`ip_id`,`um_id`,`tinn_notes`,`tinn_date`,`tinn_time`,`tinn_created_by`) VALUES (:pm_id,:pm_pid,:ip_id,:um_id,:tinn_notes,:tinn_date,:tinn_time,:tinn_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tinn_notes", $popup_notes);
$statement->bindValue(":tinn_date", $tinn_date);
$statement->bindValue(":tinn_time", $tinn_time);
$statement->bindValue(":tinn_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();

if(isset($_POST['pop_check']) && !empty($_POST['pop_check']))
{
  $popup_template_title = $_POST['popup_template_title'];
  $sqlT = "INSERT INTO ".$DB_Prefix."nurse_notes_template(`um_id`,`tnnt_title`,`tnnt_notes`,`tnnt_created_by`) VALUES (:um_id,:tnnt_title,:tnnt_notes,:tnnt_created_by)"; 
  $statementT = $DB->prepare($sqlT);
  $statementT->bindValue(":um_id", $created_by);
  $statementT->bindValue(":tnnt_title", $popup_template_title);
  $statementT->bindValue(":tnnt_notes", $popup_notes);
  $statementT->bindValue(":tnnt_created_by", $created_by);
  $resT = $statementT->execute();
}  

if($res) {
?>
<div class="col-md-12" id="table_tr_nurse_extra_notes_<?php echo $PID; ?>">
   <div class="box box-solid">
      <div class="box-header with-border">
         <h3 class="box-title">Seen By: <?php echo $row_User_Details['um_name']; ?> &nbsp; &nbsp; Date: <?php echo date('d/m/Y',strtotime($tinn_date)); ?>&nbsp; &nbsp; Time: <?php echo date('h:i A',strtotime($tinn_time)); ?></h3>
         <?php if(in_array('335', $AarruserRole))  { ?>
          <a style="float: right;" href="javascript:;" class="select_edit_nurse_extra_notes" data-id="<?php echo $PID; ?>"><i class="fa fa-edit"></i>Edit</a>
          <?php } ?>
          &nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;
         <a style="float: right;" href="javascript:;"><i class="fa fa-print"></i>Print</a>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
         <?php echo $popup_notes; ?>
      </div>
      <!-- /.box-body -->
   </div>
   <!-- /.box -->
</div>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tinn_id  = $_POST['delete_tinn_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_nurse_notes_id($DB,$delete_tinn_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_nurse_notes_pid_ipid($DB,$ID);

$Date = $RsList['tinn_date'];
$tinn_date = date('d/m/Y',strtotime($Date));

$tinn_time = $RsList['tinn_time'];
$tinn_time = date('h:i A',strtotime($tinn_time));

$return_arr = array("tinn_notes" => $RsList['tinn_notes'],
                    "tinn_id" => $RsList['tinn_id'],
                    "tinn_date" => $tinn_date,
                    "tinn_time" => $RsList['tinn_time'],
                    "created_by" => $RsList['tinn_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tinn_id = $_POST['tinn_id'];
$tinn_notes = $_POST['tinn_notes'];
$edit_tinn_um_id = $_POST['edit_tinn_um_id'];

$tinn_time = $_POST['tinn_time'];

$tinn_date = $_POST['tinn_date'];
$tinn_date = str_replace('/', '-', $tinn_date);
$tinn_date = date('Y-m-d',strtotime($tinn_date));


$row_User_Details = get_user_master_details_from_id($DB,$edit_tinn_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_nurse_notes SET  tinn_notes = :tinn_notes,
                  tinn_date = :tinn_date,
                  tinn_time = :tinn_time, 
                  tinn_modify_by = :tinn_modify_by
                  WHERE tinn_id ='$tinn_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tinn_notes", $tinn_notes);
   $statement_Image1->bindValue(":tinn_date", $tinn_date);
   $statement_Image1->bindValue(":tinn_time", $tinn_time);
   $statement_Image1->bindValue(":tinn_modify_by", $edit_tinn_um_id);
   $count = $statement_Image1->execute();

if($count) {

?>

   <div class="box box-solid">
      <div class="box-header with-border">
         <h3 class="box-title">Seen By: <?php echo $row_User_Details['um_name']; ?> &nbsp; &nbsp; Date: <?php echo date('d/m/Y',strtotime($tinn_date)); ?>&nbsp; &nbsp; Time: <?php echo date('h:i A',strtotime($tinn_time)); ?></h3>
         <a style="float: right;" href="javascript:;" class="select_edit_nurse_extra_notes" data-id="<?php echo $tinn_id; ?>"><i class="fa fa-edit"></i>Edit</a>&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<a style="float: right;" href="javascript:;"><i class="fa fa-print"></i>Print</a>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
         <?php echo $tinn_notes; ?>
      </div>
      <!-- /.box-body -->
   </div>
   <!-- /.box -->
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add_template") {
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$DocId = $row_User_Details['um_id'];
$Resuluts_nurse_Template = get_all_nurse_notes_template($DB,$DocId);
foreach ($Resuluts_nurse_Template as $Row_nurse_Template) {
?>
<li><a href="javascript:;" data-id="<?php echo $Row_nurse_Template['tnnt_id']; ?>" class="select_template_nurse_notes"><?php echo $Row_nurse_Template['tnnt_title']; ?></a></li>
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "template") {
$Id = $_POST['id'];
$row_Template_Details = get_single_nurse_notes_template_id($DB,$Id);
echo $row_Template_Details['tnnt_notes'];
} 
?>