<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

$userLoginModuleId = $_SESSION['login_user_module_id'];
$AarruserRole = $_SESSION['login_user_role_id'];


if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$tirr_title = $_POST['tirr_title'];
$popup_notes = $_POST['popup_notes'];
$tirr_radiologist = $_POST['tirr_radiologist'];

$tirr_time = $_POST['tirr_time'];

$tirr_date = $_POST['tirr_date'];
$tirr_date = str_replace('/', '-', $tirr_date);
$tirr_date = date('Y-m-d',strtotime($tirr_date));

$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_radiology_report(`pm_id`,`pm_pid`,`ip_id`,`um_id`,`tirr_title`,`tirr_notes`,`tirr_radiologist`,`tirr_date`,`tirr_time`,`tirr_created_by`) VALUES (:pm_id,:pm_pid,:ip_id,:um_id,:tirr_title,:tirr_notes,:tirr_radiologist,:tirr_date,:tirr_time,:tirr_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tirr_title", $tirr_title);
$statement->bindValue(":tirr_notes", $popup_notes);
$statement->bindValue(":tirr_radiologist", $tirr_radiologist);
$statement->bindValue(":tirr_date", $tirr_date);
$statement->bindValue(":tirr_time", $tirr_time);
$statement->bindValue(":tirr_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();

if(isset($_POST['pop_check']) && !empty($_POST['pop_check']))
{
  $popup_template_title = $_POST['popup_template_title'];
  $sqlT = "INSERT INTO ".$DB_Prefix."radiology_report_template(`um_id`,`trrt_title`,`trrt_notes`,`trrt_created_by`) VALUES (:um_id,:trrt_title,:trrt_notes,:trrt_created_by)"; 
  $statementT = $DB->prepare($sqlT);
  $statementT->bindValue(":um_id", $created_by);
  $statementT->bindValue(":trrt_title", $popup_template_title);
  $statementT->bindValue(":trrt_notes", $popup_notes);
  $statementT->bindValue(":trrt_created_by", $created_by);
  $resT = $statementT->execute();
}  

if($res) {
?>
<div class="col-md-12" id="table_tr_radiology_report_<?php echo $PID; ?>">
   <div class="box box-solid">
      <div class="box-header with-border">
         <h3 class="box-title">Title: <?php echo $tirr_title; ?> &nbsp; &nbsp; Radiologist : <?php echo  $tirr_radiologist; ?>&nbsp; &nbsp; Entered By: <?php echo $row_User_Details['um_name']; ?> &nbsp; &nbsp; Date: <?php echo date('d/m/Y',strtotime($tirr_date)); ?>&nbsp; &nbsp; Time: <?php echo date('h:i A',strtotime($tirr_time)); ?></h3>
         <?php if(in_array('341', $AarruserRole))  { ?>
         <a style="float: right;" href="javascript:;" class="select_edit_radiology_report" data-id="<?php echo $PID; ?>"><i class="fa fa-edit"></i>Edit</a>
         <?php } ?>
         &nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;
         <a style="float: right;" href="javascript:;"><i class="fa fa-print"></i>Print</a>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
         <?php echo $popup_notes; ?>
      </div>
      <!-- /.box-body -->
   </div>
   <!-- /.box -->
</div>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tirr_id  = $_POST['delete_tirr_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_radiology_report_id($DB,$delete_tirr_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_radiology_report_pid_ipid($DB,$ID);

$Date = $RsList['tirr_date'];
$tirr_date = date('d/m/Y',strtotime($Date));

$tirr_time = $RsList['tirr_time'];
$tirr_time = date('h:i A',strtotime($tirr_time));

$return_arr = array("tirr_title" => $RsList['tirr_title'],
                    "tirr_notes" => $RsList['tirr_notes'],
                    "tirr_radiologist" => $RsList['tirr_radiologist'],
                    "tirr_date" => $tirr_date,
                    "tirr_time" => $RsList['tirr_time'],
                    "tirr_id" => $RsList['tirr_id'],
                    "created_by" => $RsList['tirr_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tirr_id = $_POST['tirr_id'];
$tirr_title = $_POST['tirr_title'];
$tirr_notes = $_POST['tirr_notes'];
$tirr_radiologist = $_POST['tirr_radiologist'];

$tirr_time = $_POST['tirr_time'];

$tirr_date = $_POST['tirr_date'];
$tirr_date = str_replace('/', '-', $tirr_date);
$tirr_date = date('Y-m-d',strtotime($tirr_date));


$edit_tirr_um_id = $_POST['edit_tirr_um_id'];

$row_User_Details = get_user_master_details_from_id($DB,$edit_tirr_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_radiology_report SET tirr_title = :tirr_title, 
                  tirr_notes = :tirr_notes,
                  tirr_radiologist = :tirr_radiologist,
                  tirr_date = :tirr_date,
                  tirr_time = :tirr_time, 
                  tirr_modify_by = :tirr_modify_by
                  WHERE tirr_id ='$tirr_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tirr_title", $tirr_title);
   $statement_Image1->bindValue(":tirr_notes", $tirr_notes);
   $statement_Image1->bindValue(":tirr_radiologist", $tirr_radiologist);
   $statement_Image1->bindValue(":tirr_date", $tirr_date);
   $statement_Image1->bindValue(":tirr_time", $tirr_time);
   $statement_Image1->bindValue(":tirr_modify_by", $edit_tirr_um_id);
   $count = $statement_Image1->execute();

if($count) {

?>

   <div class="box box-solid">
      <div class="box-header with-border">
         <h3 class="box-title">Title: <?php echo $tirr_title; ?>&nbsp; &nbsp;Radiologist : <?php echo  $tirr_radiologist; ?>&nbsp; &nbsp; Entered By: <?php echo $row_User_Details['um_name']; ?> &nbsp; &nbsp;Date: <?php echo date('d/m/Y',strtotime($tirr_date)); ?>&nbsp; &nbsp;Time: <?php echo date('h:i A',strtotime($tirr_time)); ?></h3>
         <a style="float: right;" href="javascript:;" class="select_edit_radiology_report" data-id="<?php echo $tirr_id; ?>"><i class="fa fa-edit"></i>Edit</a>&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;<a style="float: right;" href="javascript:;"><i class="fa fa-print"></i>Print</a>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
         <?php echo $tirr_notes; ?>
      </div>
      <!-- /.box-body -->
   </div>
   <!-- /.box -->

<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add_template") {
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$DocId = $row_User_Details['um_id'];
$Resuluts_Doctor_Template = get_all_radiology_report_template($DB,$DocId);
foreach ($Resuluts_Doctor_Template as $Row_Doctor_Template) {
?>
<li><a href="javascript:;" data-id="<?php echo $Row_Doctor_Template['trrt_id']; ?>" class="select_template_radiology_report"><?php echo $Row_Doctor_Template['trrt_title']; ?></a></li>
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "template") {
$Id = $_POST['id'];
$row_Template_Details = get_single_radiology_report_template_id($DB,$Id);
echo $row_Template_Details['trrt_notes'];
} 
?>