<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>

<?php 

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$Um_ID = $row_User_Details['um_id'];

$Pid = $_POST['Pid'];
$Case_Patient_Id = base64_decode($Pid);
$Results_Patient = get_single_patient_details_from_id($DB,$Case_Patient_Id);
$Ipid = $_POST['Ipid'];
$Case_InPatient_Id = base64_decode($Ipid);

$Row_Summary = get_all_inpatient_admit_notes_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);

if(isset($Row_Summary) && !empty($Row_Summary))
{
  $InAdId = $Row_Summary['tian_id'];
  $InAdId = base64_encode($InAdId);

  $tcm_in_chief_com = $Row_Summary['tcm_in_chief_com'];
  $tcm_in_assessment_notes = $Row_Summary['tcm_in_assessment_notes'];
  $tcm_in_history = $Row_Summary['tcm_in_history'];
  $tcm_in_remark = $Row_Summary['tcm_in_remark'];
  $tcm_in_mse = $Row_Summary['tcm_in_mse'];

}

else {
  $InAdId = "";
  $tcm_in_chief_com = "";
  $tcm_in_assessment_notes = "";
  $tcm_in_history = "";
  $tcm_in_remark = "";
  $tcm_in_mse = "";

} 

?>
<div class="box-body">
   <form role="form" id="new_inpat_admit_notes_form_add">
      <input type="hidden" id="pm_pid" name="pm_pid" value="<?php echo $Pid; ?>">
      <input type="hidden" id="pm_id" name="pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
      <input type="hidden" id="ip_id" name="ip_id" value="<?php echo $Ipid; ?>">
      <input type="hidden" id="tian_id" name="tian_id" value="<?php echo $InAdId; ?>">  
      <div class="col-md-6">
         <div class="box box-default">
            <div class="box-body">
               <div class="col-md-8">
                  <div class="col-md-10" style="padding-left: 0px;"><b>Chief Complaints</b></div>
                  <div class="col-md-2" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_chief_com">Clear</a></div>
               </div>
               <div class="col-md-4">
                  <div class="col-md-12" style="padding-left: 0px;">
                     <a href='javascript:void(0)' id="add_chief_com" title="Add New">Add New</a>
                  </div>
               </div>
               <div class="form-group col-md-8">
                  <textarea class="form-control auto_ad_cheif" id="tcm_in_chief_com" name="tcm_in_chief_com" rows="5" placeholder=""><?php echo $tcm_in_chief_com; ?></textarea>
               </div>
               <div class="form-group col-md-4 dual-list">
                  <div class="input-group">
                     <span class="input-group-addon glyphicon glyphicon-search"></span>
                     <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                  </div>
                  <div class="scrollbar" id="style-7">
                     <div class="list-unstyled">
                        <ul class="list-group" id="pre_in_chief_com_template">
                           <?php 
                              $Resuluts_template_chief_com = get_all_chief_template_details($DB,$Um_ID);
                              foreach ($Resuluts_template_chief_com as $Row_template_chief_com) {
                              
                              ?>
                           <li><a href="javascript:;" data-id="<?php echo $Row_template_chief_com['ticcm_id']; ?>" class="select_template_in_chief_com"><?php echo $Row_template_chief_com['ticcm_template_name']; ?></a></li>
                           <?php } ?>
                        </ul>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <!-- /.box -->
      </div>
      <div class="col-md-6">
         <div class="box box-default">
            <div class="box-body">
               <div class="col-md-8">
                  <div class="col-md-10" style="padding-left: 0px;"><b>Clinical Notes</b></div>
                  <div class="col-md-2" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_clinic_notes">Clear</a></div>
               </div>
               <div class="col-md-4">
                  <div class="col-md-12" style="padding-left: 0px;">
                     <a href='javascript:void(0)' id="add_clinic_notes" title="Add New">Add New</a>
                  </div>
               </div>
               <div class="form-group col-md-8">
                  <textarea class="form-control auto_ad_clinical" id="tcm_in_assessment_notes" name="tcm_in_assessment_notes" rows="5" placeholder=""><?php echo $tcm_in_assessment_notes; ?></textarea>
               </div>
               <div class="form-group col-md-4 dual-list">
                  <div class="input-group">
                     <span class="input-group-addon glyphicon glyphicon-search"></span>
                     <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                  </div>
                  <div class="scrollbar"  id="style-7">
                     <div class="list-unstyled">
                        <ul class="list-group" id="pre_in_asses_notes_template">
                           <?php 
                              $Resuluts_asses_notes = get_all_clinical_template_details($DB,$Um_ID);
                              foreach ($Resuluts_asses_notes as $Row_asses_notes) {
                              
                              ?>
                           <li><a href="javascript:;" data-id="<?php echo $Row_asses_notes['ticnm_id']; ?>" class="select_template_in_asses_notes"><?php echo $Row_asses_notes['ticnm_template_name'] ?></a></li>
                           <?php } ?>
                        </ul>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <!-- /.box -->
      </div>
      <div class="col-md-6">
         <div class="box box-default">
            <div class="box-body">
               <div class="col-md-8">
                  <div class="col-md-9" style="padding-left: 0px;"><b>History</b></div>
                  <div class="col-md-3" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_hostory">Clear</a></div>
               </div>
               <div class="col-md-4">
                  <div class="col-md-12" style="padding-left: 0px;">
                     <a href='javascript:void(0)' id="add_hostory" title="Add New">Add New</a>
                  </div>
               </div>
               <div class="form-group col-md-8">
                  <textarea class="form-control auto_ad_history" id="tcm_in_history" name="tcm_in_history" rows="5" placeholder=""><?php echo $tcm_in_history; ?></textarea>
               </div>
               <div class="form-group col-md-4 dual-list">
                  <div class="input-group">
                     <span class="input-group-addon glyphicon glyphicon-search"></span>
                     <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                  </div>
                  <div class="scrollbar"  id="style-7">
                     <div class="list-unstyled">
                        <ul class="list-group" id="pre_in_history_template">
                           <?php 
                              $Resuluts_template_history = get_all_histroy_template_details($DB,$Um_ID);
                              foreach ($Resuluts_template_history as $Row_template_history) {
                              
                              ?>
                           <li><a href="javascript:;" data-id="<?php echo $Row_template_history['tihm_id']; ?>" class="select_template_in_history"><?php echo $Row_template_history['tihm_template_name']; ?></a></li>
                           <?php } ?>
                        </ul>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <!-- /.box -->
      </div>
      <div class="col-md-6">
         <div class="box box-default">
            <div class="box-body">
               <div class="col-md-8">
                  <div class="col-md-9" style="padding-left: 0px;"><b>Examinations</b></div>
                  <div class="col-md-3" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_examination">Clear</a></div>
               </div>
               <div class="col-md-4">
                  <div class="col-md-12" style="padding-left: 0px;">
                     <a href='javascript:void(0)' id="add_examination" title="Add New">Add New</a>
                  </div>
               </div>
               <div class="form-group col-md-8">
                  <textarea class="form-control auto_ad_exam" id="tcm_in_mse" name="tcm_in_mse" rows="5" placeholder=""><?php echo $tcm_in_mse; ?></textarea>
               </div>
               <div class="form-group col-md-4 dual-list">
                  <div class="input-group">
                     <span class="input-group-addon glyphicon glyphicon-search"></span>
                     <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                  </div>
                  <div class="scrollbar"  id="style-7">
                     <div class="list-unstyled">
                        <ul class="list-group" id="pre_in_men_status_exam_template">
                           <?php 
                              $Resuluts_template_men_status_exam = get_all_examination_template_details($DB,$Um_ID);
                              foreach ($Resuluts_template_men_status_exam as $Row_template_men_status_exam) {
                              
                              ?>
                           <li><a href="javascript:;" data-id="<?php echo $Row_template_men_status_exam['tiem_id']; ?>" class="select_template_in_men_status_exam"><?php echo $Row_template_men_status_exam['tiem_template_name'] ?></a></li>
                           <?php } ?>
                        </ul>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <!-- /.box -->
      </div>
      <div class="col-md-6">
         <div class="box">
            <div class="box-body">
               <div class="col-md-12">
                  <div class="col-md-8" style="padding-left: 0px;"><b>Allergies</b></div>
                  <div class="col-md-4" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' id="add_allergies" title="Add New">Add New</a></div>
               </div>
               <table class="table" id="example">
                  <thead>
                     <tr>
                        <th>Type</th>
                        <th>Enter By</th>
                        <th>Date</th>
                     </tr>
                  </thead>
                  <tbody id="add_table_allergies">
                     <?php 
                        $ResultsCase_Allergies = get_patient_case_allergies($DB,$Results_Patient['pm_id'],$Um_ID);
                        foreach ($ResultsCase_Allergies as $RowCase_Allergies) {
                        
                        $UmId = $RowCase_Allergies['um_id'];
                        $RowEnter = get_user_master_details_from_id($DB,$UmId);
                        
                        ?>
                     <tr id="tr_case_allergies_<?php echo $RowCase_Allergies['tca_id']; ?>">
                        <td><?php echo $RowCase_Allergies['type']; ?></td>
                        <td><?php echo $RowEnter['um_name'] ?></td>
                        <td><?php echo date('d-m-Y', strtotime($RowCase_Allergies['tca_created_date']));  ?></td>
                     </tr>
                     <?php } ?>
                  </tbody>
               </table>
            </div>
         </div>
      </div>
      <div class="col-md-6">
         <div class="box box-default">
            <div class="box-body">
               <div class="col-md-8">
                  <div class="col-md-9" style="padding-left: 0px;"><b>Remarks</b></div>
                  <div class="col-md-3" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_imp_remark">Clear</a></div>
               </div>
               <div class="col-md-4">
                  <div class="col-md-12" style="padding-left: 0px;">
                     <a href='javascript:void(0)' id="add_imp_remark" title="Add New">Add New</a>
                  </div>
               </div>
               <div class="form-group col-md-8">
                  <textarea class="form-control auto_ad_remarks" id="tcm_in_remark" name="tcm_in_remark" rows="5" placeholder=""><?php echo $tcm_in_remark; ?></textarea>
               </div>
               <div class="form-group col-md-4 dual-list">
                  <div class="input-group">
                     <span class="input-group-addon glyphicon glyphicon-search"></span>
                     <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                  </div>
                  <div class="scrollbar"  id="style-7">
                     <div class="list-unstyled">
                        <ul class="list-group" id="pre_in_remarks_template">
                           <?php 
                              $Resuluts_template_remark_scles = get_all_remarks_template_details($DB,$Um_ID);
                              foreach ($Resuluts_template_remark_scles as $Row_template_remark_scles) {
                              
                              ?>
                           <li><a href="javascript:;" data-id="<?php echo $Row_template_remark_scles['tirm_id']; ?>" class="select_template_in_remark"><?php echo $Row_template_remark_scles['tirm_template_name']; ?></a></li>
                           <?php } ?>
                        </ul>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <!-- /.box -->
      </div>
      <div class="col-md-12">
         <div class="row">
            <div class="col-md-6" style="text-align: right;">
               <button type="reset" id="" class="btn btn-primary">Reset</button>
               <button type="button" id="submit_button" class="btn btn-primary">Delete</button>
            </div>
            <div class="col-md-6">
               <!-- <label><input type="checkbox">  Print </label> -->
               <button style="margin-left: 10px;" type="button" id="submit_button_inpatient_admit_notes" class="btn btn-primary">Save</button>
               <!-- <button style="margin-left: 10px;" type="button" id="submit_button_inpatient_admit_notes_final" class="btn btn-primary">Finalize</button> -->
            </div>
         </div>
      </div>
      <div class="col-md-12" id="status_message" style="text-align: center; color: green; margin-top: 10px; display: none;">
         <label>
         Your data successfully saved
         </label>
      </div>
   </form>
</div>