<?php 
if(!in_array("3", $ArrayModuleMenu) || !in_array("311", $AarruserRole))
{
  header("Location: ".$Main_Site_Url);
  exit;
}
?>

<style type="text/css">

.scrollbar
{
    display: block;
    height: 85px;
    overflow-x: auto;
    border: 2px solid #f4f4f4;
    /*border-bottom: 2px solid #f4f4f4;*/
    /*padding-left: 5px;*/


}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}

::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
  overflow-x: auto;
}

.list-group
{
  font-size: 14px;
}
.list-group li{
    border: 1px solid #F5F5F5;
    padding:5px;
    border-radius: 20px;
    margin: 0px;
}

/*
 *  STYLE 3
 */
</style>

<?php 

$Row_Summary = get_all_inpatient_admit_notes_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);

if(isset($Row_Summary) && !empty($Row_Summary))
{
  $InAdId = $Row_Summary['tian_id'];
  $InAdId = base64_encode($InAdId);

  $tcm_in_chief_com = $Row_Summary['tcm_in_chief_com'];
  $tcm_in_assessment_notes = $Row_Summary['tcm_in_assessment_notes'];
  $tcm_in_history = $Row_Summary['tcm_in_history'];
  $tcm_in_remark = $Row_Summary['tcm_in_remark'];
  $tcm_in_mse = $Row_Summary['tcm_in_mse'];

}

else {
  $InAdId = "";
  $tcm_in_chief_com = "";
  $tcm_in_assessment_notes = "";
  $tcm_in_history = "";
  $tcm_in_remark = "";
  $tcm_in_mse = "";

} 
?>


<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Admission
        <small>Notes</small>
      </h1>
    </section>
    
    <!-- Main content -->
    <section class="content content-popup">
      <div class="row">
        
        <div class="overlay-popup"><div class="overlay-content-popup"><img src="<?php echo $Main_Site_Url; ?>img/ajax-loading.gif" alt="Loading..."/></div></div>

        <form role="form" id="new_inpat_admit_notes_form_add">

          <input type="hidden" id="pm_pid" name="pm_pid" value="<?php echo $Case_Patient_Id1; ?>">
          <input type="hidden" id="pm_id" name="pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
          <input type="hidden" id="ip_id" name="ip_id" value="<?php echo $Case_InPatient_Id1; ?>">
          <input type="hidden" id="tian_id" name="tian_id" value="<?php echo $InAdId; ?>">  
          
          <div class="col-md-6">
            <div class="box box-default">
              
              <div class="box-body">
                

                  <div class="col-md-8">
                    <div class="col-md-10" style="padding-left: 0px;"><b>Chief Complaints</b></div>
                    <div class="col-md-2" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_chief_com">Clear</a></div>
                  </div>
                  
                  <div class="col-md-4">
                    <div class="col-md-12" style="padding-left: 0px;">
                      <a href='javascript:void(0)' id="add_chief_com" title="Add New">Add New</a>
                    </div>
                  </div>

                  <div class="form-group col-md-8">
                    <textarea class="form-control auto_ad_cheif" id="tcm_in_chief_com" name="tcm_in_chief_com" rows="5" placeholder=""><?php echo $tcm_in_chief_com; ?></textarea>
                  </div>
                  <div class="form-group col-md-4 dual-list">
                    
                    
                    <div class="input-group">
                        <span class="input-group-addon glyphicon glyphicon-search"></span>
                        <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                    </div>
                    
                    <div class="scrollbar" id="style-7">
                      <div class="list-unstyled">
                        <ul class="list-group" id="pre_in_chief_com_template">
                        <?php 
                         $Resuluts_template_chief_com = get_all_chief_template_details($DB,$Um_ID);
                         foreach ($Resuluts_template_chief_com as $Row_template_chief_com) {
                         
                        ?>
                        <li><a href="javascript:;" data-id="<?php echo $Row_template_chief_com['ticcm_id']; ?>" class="select_template_in_chief_com"><?php echo $Row_template_chief_com['ticcm_template_name']; ?></a></li>
                        <?php } ?>
                      </ul>
                      </div>
                    </div>

                  </div>
                 
              </div>
            </div>
            <!-- /.box -->
          </div>

          <div class="col-md-6">
            <div class="box box-default">
              

              <div class="box-body">
               

                  <div class="col-md-8">
                    <div class="col-md-10" style="padding-left: 0px;"><b>Clinical Notes</b></div>
                    <div class="col-md-2" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_clinic_notes">Clear</a></div>
                  </div>
                  
                  <div class="col-md-4">
                    <div class="col-md-12" style="padding-left: 0px;">
                      <a href='javascript:void(0)' id="add_clinic_notes" title="Add New">Add New</a>
                    </div>
                  </div>

                  <div class="form-group col-md-8">
                    <textarea class="form-control auto_ad_clinical" id="tcm_in_assessment_notes" name="tcm_in_assessment_notes" rows="5" placeholder=""><?php echo $tcm_in_assessment_notes; ?></textarea>
                  </div>
                  <div class="form-group col-md-4 dual-list">
                    
                    
                    <div class="input-group">
                        <span class="input-group-addon glyphicon glyphicon-search"></span>
                        <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                    </div>
                    
                    <div class="scrollbar"  id="style-7">
                    <div class="list-unstyled">
                      <ul class="list-group" id="pre_in_asses_notes_template">
                      <?php 
                         $Resuluts_asses_notes = get_all_clinical_template_details($DB,$Um_ID);
                         foreach ($Resuluts_asses_notes as $Row_asses_notes) {
                         
                        ?>
                      <li><a href="javascript:;" data-id="<?php echo $Row_asses_notes['ticnm_id']; ?>" class="select_template_in_asses_notes"><?php echo $Row_asses_notes['ticnm_template_name'] ?></a></li>
                      <?php } ?>
                    </ul>
                    </div>
                    </div>

                  </div>
                 
              </div>
            </div>
            <!-- /.box -->
          </div>

          <div class="col-md-6">
            <div class="box box-default">

              <div class="box-body">
               
                  <div class="col-md-8">
                    <div class="col-md-9" style="padding-left: 0px;"><b>History</b></div>
                    <div class="col-md-3" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_hostory">Clear</a></div>
                  </div>
                  
                  <div class="col-md-4">
                    <div class="col-md-12" style="padding-left: 0px;">
                      <a href='javascript:void(0)' id="add_hostory" title="Add New">Add New</a>
                    </div>
                  </div>

                  <div class="form-group col-md-8">
                    <textarea class="form-control auto_ad_history" id="tcm_in_history" name="tcm_in_history" rows="5" placeholder=""><?php echo $tcm_in_history; ?></textarea>
                  </div>
                  <div class="form-group col-md-4 dual-list">
                    
                    
                    <div class="input-group">
                        <span class="input-group-addon glyphicon glyphicon-search"></span>
                        <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                    </div>
                    
                    <div class="scrollbar"  id="style-7">
                    <div class="list-unstyled">
                      <ul class="list-group" id="pre_in_history_template">
                      <?php 
                         $Resuluts_template_history = get_all_histroy_template_details($DB,$Um_ID);
                         foreach ($Resuluts_template_history as $Row_template_history) {
                         
                      ?>
                      <li><a href="javascript:;" data-id="<?php echo $Row_template_history['tihm_id']; ?>" class="select_template_in_history"><?php echo $Row_template_history['tihm_template_name']; ?></a></li>
                      <?php } ?>
                    </ul>
                    </div>
                    </div>

                  </div>
                
              </div>
            </div>
            <!-- /.box -->
          </div>

          <div class="col-md-6">
            <div class="box box-default">
              
              <div class="box-body">
                
                  <div class="col-md-8">
                    <div class="col-md-9" style="padding-left: 0px;"><b>Examinations</b></div>
                    <div class="col-md-3" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_examination">Clear</a></div>
                  </div>
                  
                  <div class="col-md-4">
                    <div class="col-md-12" style="padding-left: 0px;">
                      <a href='javascript:void(0)' id="add_examination" title="Add New">Add New</a>
                    </div>
                  </div>

                  <div class="form-group col-md-8">
                    <textarea class="form-control auto_ad_exam" id="tcm_in_mse" name="tcm_in_mse" rows="5" placeholder=""><?php echo $tcm_in_mse; ?></textarea>
                  </div>
                  <div class="form-group col-md-4 dual-list">
                    
                    
                    <div class="input-group">
                        <span class="input-group-addon glyphicon glyphicon-search"></span>
                        <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                    </div>
                    
                    <div class="scrollbar"  id="style-7">
                    <div class="list-unstyled">
                      <ul class="list-group" id="pre_in_men_status_exam_template">
                      <?php 
                         $Resuluts_template_men_status_exam = get_all_examination_template_details($DB,$Um_ID);
                         foreach ($Resuluts_template_men_status_exam as $Row_template_men_status_exam) {
                         
                      ?>
                      <li><a href="javascript:;" data-id="<?php echo $Row_template_men_status_exam['tiem_id']; ?>" class="select_template_in_men_status_exam"><?php echo $Row_template_men_status_exam['tiem_template_name'] ?></a></li>
                      <?php } ?>
                    </ul>
                    </div>
                    </div>

                  </div>
                 
              </div>
            </div>
            <!-- /.box -->
          </div>


          <div class="col-md-6">
            <div class="box">
              
              <div class="box-body">
                
                <div class="col-md-12">
                    <div class="col-md-8" style="padding-left: 0px;"><b>Allergies</b></div>
                    <div class="col-md-4" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' id="add_allergies" title="Add New">Add New</a></div>
                </div>
                  
                
                  <table class="table" id="example">
                      <thead>
                        <tr>
                          <th>Type</th>
                          <th>Enter By</th>
                          <th>Date</th>
                        </tr>
                      </thead>  
                      <tbody id="add_table_allergies">
                        <?php 
                          $ResultsCase_Allergies = get_patient_case_allergies($DB,$Results_Patient['pm_id'],$Um_ID);
                         foreach ($ResultsCase_Allergies as $RowCase_Allergies) {

                          $UmId = $RowCase_Allergies['um_id'];
                          $RowEnter = get_user_master_details_from_id($DB,$UmId);

                        ?>
                        <tr id="tr_case_allergies_<?php echo $RowCase_Allergies['tca_id']; ?>">
                          <td><?php echo $RowCase_Allergies['type']; ?></td>
                          <td><?php echo $RowEnter['um_name'] ?></td>
                          <td><?php echo date('d-m-Y', strtotime($RowCase_Allergies['tca_created_date']));  ?></td>
                        </tr>
                        <?php } ?>
                      </tbody>
                  </table>
                
              </div>
              
            </div>
          </div>

          <div class="col-md-6">
            <div class="box box-default">
              
              <div class="box-body">
                
                  <div class="col-md-8">
                    <div class="col-md-9" style="padding-left: 0px;"><b>Remarks</b></div>
                    <div class="col-md-3" style="padding-right: 0px;text-align: right;"><a href='javascript:void(0)' class="clear_in_imp_remark">Clear</a></div>
                  </div>
                  
                  <div class="col-md-4">
                    <div class="col-md-12" style="padding-left: 0px;">
                      <a href='javascript:void(0)' id="add_imp_remark" title="Add New">Add New</a>
                    </div>
                  </div>

                  <div class="form-group col-md-8">
                    <textarea class="form-control auto_ad_remarks" id="tcm_in_remark" name="tcm_in_remark" rows="5" placeholder=""><?php echo $tcm_in_remark; ?></textarea>
                  </div>
                  <div class="form-group col-md-4 dual-list">
                    
                    
                    <div class="input-group">
                        <span class="input-group-addon glyphicon glyphicon-search"></span>
                        <input type="text" name="SearchDualList" class="form-control" placeholder="Search">
                    </div>
                    
                    <div class="scrollbar"  id="style-7">
                    <div class="list-unstyled">
                      <ul class="list-group" id="pre_in_remarks_template">
                      <?php 
                         $Resuluts_template_remark_scles = get_all_remarks_template_details($DB,$Um_ID);
                         foreach ($Resuluts_template_remark_scles as $Row_template_remark_scles) {
                         
                        ?>
                      <li><a href="javascript:;" data-id="<?php echo $Row_template_remark_scles['tirm_id']; ?>" class="select_template_in_remark"><?php echo $Row_template_remark_scles['tirm_template_name']; ?></a></li>
                      <?php } ?>
                    </ul>
                    </div>
                    </div>

                  </div>
                
              </div>
            </div>
            <!-- /.box -->
          </div>

          
          <div class="col-md-12">
            <div class="row">
                <div class="col-md-6" style="text-align: right;">
                  <button type="reset" id="" class="btn btn-primary">Reset</button>
                  <button type="button" id="submit_button" class="btn btn-primary">Delete</button>
                </div>

                <div class="col-md-6">
                  
                  <!-- <label><input type="checkbox">  Print </label> -->
                  
                  <button style="margin-left: 10px;" type="button" id="submit_button_inpatient_admit_notes" class="btn btn-primary">Save</button>

                  <!-- <button style="margin-left: 10px;" type="button" id="submit_button_inpatient_admit_notes_final" class="btn btn-primary">Finalize</button> -->

                </div>

            </div>
          </div>

          <div class="col-md-12" id="status_message" style="text-align: center; color: green; margin-top: 10px; display: none;">
            <label>
                 Your data successfully saved
            </label>
          </div> 

        </form> 


    </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->

<div class="modal fade" id="modal_chief_com">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Chief Complaints</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Title</label>
                    <input type="text" class="form-control" id="temp_chief_com_title" name="temp_chief_com_title" placeholder="Title">
                  </div>
                  <div class="form-group col-md-12 title_validation">
                  <label for="exampleInputEmail1">Content</label>
                  <textarea class="form-control" id="temp_chief_com_content" name="temp_chief_com_content" rows="5" placeholder=""></textarea>
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_button_in_chief_com" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          
</div>

<div class="modal fade" id="modal_add_clinic_notes">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Clinic Notes</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Title</label>
                    <input type="text" class="form-control" id="ticnm_template_name" name="ticnm_template_name" placeholder="Title">
                  </div>
                  <div class="form-group col-md-12 title_validation">
                  <label for="exampleInputEmail1">Notes</label>
                  <textarea class="form-control" id="ticnm_template_content" name="ticnm_template_content" rows="5" placeholder=""></textarea>
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_button_in_asses_notes" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          
</div>

<div class="modal fade" id="modal_add_hostory">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New History</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Title</label>
                    <input type="text" class="form-control" id="tihm_template_name" name="tihm_template_name" placeholder="Title">
                  </div>
                  <div class="form-group col-md-12 title_validation">
                  <label for="exampleInputEmail1">History</label>
                  <textarea class="form-control" id="tihm_template_content" name="tihm_template_content" rows="5" placeholder=""></textarea>
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_button_in_history" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          
</div>

<div class="modal fade" id="modal_add_examination">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Examination</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Title</label>
                    <input type="text" class="form-control" id="tiem_template_name" name="tiem_template_name" placeholder="Title">
                  </div>
                  <div class="form-group col-md-12 title_validation">
                  <label for="exampleInputEmail1">Notes</label>
                  <textarea class="form-control" id="tiem_template_content" name="tiem_template_content" rows="5" placeholder=""></textarea>
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_button_in_men_status_exam" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          
</div>

<!-- <div class="modal fade" id="modal_add_allergies">
          <form action="" method="post">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Allergy</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Type</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Type">
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
           
         </div>
          
          </form>
</div> --> 

<div class="modal fade" id="modal_add_vitals">
          <form action="" method="post">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Vitals</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Temperature</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Temperature">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Pressure</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Pressure">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Resp. Rate</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Resp. Rate">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Blood Pressure</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Blood Pressure">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Spo2</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Spo2">
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>

<div class="modal fade" id="modal_add_body_com">
          <form action="" method="post">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Body Composition</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Height</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Height">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Weight</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Weight">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">BMI</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="BMI">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">BMR</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="BMR">
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>

<div class="modal fade" id="modal_add_diagnosis">
          <form action="" method="post">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Diagnosis</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Diagnosis</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Diagnosis">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Type</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Type">
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>

<div class="modal fade" id="modal_add_investigation">
          <form action="" method="post">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Investigation</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Title</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Title">
                  </div>
                  <div class="form-group col-md-12 title_validation">
                  <label for="exampleInputEmail1">Notes</label>
                  <textarea class="form-control" rows="5" placeholder=""></textarea>
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>

<div class="modal fade" id="modal_add_treatment">
          <form action="" method="post">
          <div class="modal-dialog" role="form" style="width: 700px;">
            
          <div class="modal-content">
            
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title medicine_title" style="text-align: center;">Add New Medicine</h4>
            </div>

            <div class="box-body">
              <div class="form-group col-md-12" style="margin-bottom: 0px;">
               
              <div class="radio">
                  Select: &nbsp;&nbsp;&nbsp;<label>
                    <input type="radio" id="option_medicine" checked="" class="opt_medicine" value="Medicine" name="option_medicine">Medicine &nbsp;&nbsp;&nbsp;
                  </label>
                  <label>
                    <input type="radio" id="option_medicine" class="opt_medicine" value="Template" name="option_medicine">Template
                  </label>
                </div>

              </div>
            </div>  

            <div class="medicine_template"> 

              <div class="box-body">
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Brand Name</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Brand Name">
                  </div>
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Type</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Type">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Strength</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Strength">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Unit</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Unit">
                  </div>
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Generic</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Generic">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Company</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Company">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Morning</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Morning">
                  </div>
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Noon</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Noon">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Night</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Night">
                  </div>

                  <div class="form-group col-md-12" style="text-align: center;">
                    <label>Or</label>
                  </div>

                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Custom</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Custom">
                  </div>

                  <div class="form-group col-md-12" style="text-align: center;">
                     <div class="radio">
                       <label><input type="radio" id="food" name="tablet_time"> Before Food &nbsp;&nbsp;&nbsp;</label>
                       <label><input type="radio" id="food" name="tablet_time"> Before Sleeping &nbsp;&nbsp;&nbsp;</label>
                       <label><input type="radio" id="food" name="tablet_time"> After Food</label>
                     </div>
                  </div>


                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Instructions</label>
                    <textarea class="form-control" rows="5" placeholder=""></textarea>
                  </div>

              </div>

              <div class="box-footer" style="text-align: center;">
                  <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
              </div>

            </div> 

            <div class="custom_medicine_template" style="display: none;"> 

              <div class="box-body">
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Brand Name</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Brand Name">
                  </div>
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Type</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Type">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Strength</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Strength">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Unit</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Unit">
                  </div>
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Generic</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Generic">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Company</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Company">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Morning</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Morning">
                  </div>
                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Noon</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Noon">
                  </div>

                  <div class="form-group col-md-4 title_validation">
                    <label for="exampleInputEmail1">Night</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Night">
                  </div>

                  <div class="form-group col-md-12" style="text-align: center;">
                    <label>Or</label>
                  </div>

                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Custom</label>
                    <input type="text" class="form-control" id="ut_name" name="ut_name" placeholder="Custom">
                  </div>

                  <div class="form-group col-md-12" style="text-align: center;">
                     <div class="radio">
                       <label><input type="radio" id="food" name="tablet_time"> Before Food &nbsp;&nbsp;&nbsp;</label>
                       <label><input type="radio" id="food" name="tablet_time"> Before Sleeping &nbsp;&nbsp;&nbsp;</label>
                       <label><input type="radio" id="food" name="tablet_time"> After Food</label>
                     </div>
                  </div>


                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Instructions</label>
                    <textarea class="form-control" rows="5" placeholder=""></textarea>
                  </div>

              </div>

              <div class="box-footer" style="text-align: center;">
                  <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
              </div>

            </div> 
                
          </div>

          </div>
          <!-- /.modal-dialog -->
          </form>
</div>

<div class="modal fade" id="modal_add_impremark">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Remark</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Title</label>
                    <input type="text" class="form-control" id="tirm_template_name" name="tirm_template_name" placeholder="Title">
                  </div>
                  <div class="form-group col-md-12 title_validation">
                  <label for="exampleInputEmail1">Remark</label>
                  <textarea class="form-control" id="tirm_template_content" name="tirm_template_content" rows="5" placeholder=""></textarea>
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_button_in_remark" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          
</div>

<div class="modal fade" id="modle_imp_show_past_allergies">
          <form id="popup_show_past_allergies"" action="action/action_inpatient_allergies.php?do=use_allergies" method="post">
          <input type="hidden" id="use_pm_pid" name="use_pm_pid" value="<?php echo $Case_Patient_Id1; ?>">
          <input type="hidden" id="use_pm_id" name="use_pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
          <input type="hidden" id="use_ip_id" name="use_ip_id" value="<?php echo $Case_InPatient_Id1; ?>">

          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Past Allergies</h4>
              </div>
                <div class="box-body" id="case_show_past_allergies">
                
                </div>  
                
                <div class="box-footer" style="text-align: center;">
                  <div class="checkbox icheck">
                    <label>
                      <input type="checkbox" value="1" id="use_allergies" name="use_allergies"> Use
                    </label>
                    <button style="margin-left: 5px;" type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                  </div>
                  
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>

<div class="modal fade" id="modal_add_allergies">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Allergy</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Type</label>
                    <input type="text" class="form-control" id="case_allergy_type" name="case_allergy_type" placeholder="Type">
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_case_allergies" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
         
</div>

