<style type="text/css">

.scrollbar
{
    display: block;
    height: 112px;
    overflow-x: auto;

}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}

/*
 *  STYLE 3
 */

</style>

<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Master Data 
        <small>Out Patient Data</small>
      </h1>
    </section>
<?php
$Row_details = get_all_outpatient($DB,$ward_id);
$count = count($Row_details);
?>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">        
         <div class="col-md-12">
          <div class="box box-default">
            <div class="box-header with-border">
              <div class="col-md-11">
              <label>Total Patient : <?php echo $count; ?> </label>              
              </div>
              <div class="col-md-1">
               <a href="javascript:;" class="btn btn-primary" id="send_sms_database_bulk">Send SMS</a>
               </div>
            </div>
            <div class="box-body">
              <div id="data_tbl" >
                  <table  id="example2" class="table table-bordered table-striped dataTable no-footer" role="grid" aria-describedby="example2_info">
                      <thead>
                      <tr>
                        <th class="no_print">
                          <div class="checkbox_effect" >
                              <label class="label">
                                <input  class="checkbox_finish_db checkbox_finish " name="chkval" type="checkbox" id="ckbCheckAll1" value="" />
                              </label>
                          </div>
                        </th>
                        <th>SR.NO</th>
                        <th>NAME</th>
                        <th>PATIENT ID</th>
                        <th>AGE</th>
                        <th>SEX</th>
                        <th>CASE</th>
                        <th>LAST VISIT</th>
                        <th>TOTAL VISIT</th>             
                        <th>PRINT</th>                                  
                      </tr>
                      </thead>
                      <tbody>
                      <?php
                         $Counter = 0;
                         if(count($Row_details) > 0){
                         foreach ($Row_details as $Results_patient) { 
                          //print_r($Results_atd);
                            $Counter++;
                            $dob1 = $Results_patient['pm_dob'];
                            $age = (date('Y') - date('Y',strtotime($dob1)));  

                            $Patient_Id = $Results_patient['pm_pid']; 
                            $Results_last_visit = get_last_visit_appointment($DB,$Patient_Id);
                            $last_app_date = date('d/m/Y', strtotime($Results_last_visit['pam_app_date']));

                            $Results_all_visit = get_total_visit_appointment($DB,$Patient_Id);
                      ?>
                      <div id="checkboxlist">
                      <tr>
                        <td class="no_print">
                            <div class="checkbox_effect">
                                <label class="label">
                                    <input  class="checkbox_finish_db checkBoxClass" type="checkbox" name="chkval" value="<?php echo $Results_patient['pm_pid'];?>" id="chk1" />
                                </label>
                            </div>
                        </td>
                        <td><?php echo $Counter; ?></td>
                        <td><a href="<?php echo $CaseManager_Site_Url; ?>patient_profile.php?id=<?php echo base64_encode($Patient_Id); ?>"><?php echo $Results_patient['pm_first_name'].' '.$Results_patient['pm_last_name']; ?></a></td>
                        <td><?php echo $Results_patient['pm_pid']; ?></td>
                        <td><?php echo $age;  ?></td>
                        <td><?php echo $Results_patient['pm_gender']; ?></td>
                        <td><?php echo $Results_patient['pm_case_type']; ?></td>
                        <td><?php echo $last_app_date; ?></td>
                        <td><?php echo $Results_all_visit; ?></td>
                        <td><a href="pdf_patient_profile.php?p_id=<?php echo base64_encode($Patient_Id); ?>" target="_blank" title="Print"><i class="fa fa-print" aria-hidden="true"></i></a></td>
                      </tr>
                      </div>
                     <?php } } else { ?>
                        <tr>
                           <td colspan="9" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! you do not have patient.</em>
                           </td> 
                        </tr>
                      <?php } ?>
                     </tbody>
                  </table>
              </div>              
            </div>
            </div>  
              </div>      
    </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->
<div class="modal fade" id="modal_send_sms_database_bulk">
          <form  method="post" id="send_sms" action="action/action_out_patient_master.php?do=send_msg">
          <div class="modal-dialog" role="form" style="width: 600px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close btn-danger-close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Send SMS</h4>
              </div>
              <form method="post">
                <div class="box-body">
                    <div class="col-md-12">
                    <label>Message</label>
                    <input type="text"  name="send_bulk_db_txt" placeholder="Write Message" class="form-control">
                    <input type="hidden" name="chk_val" id="chk_val" value="">
                    </div>
                </div>
                <div class="box-footer">
                      <button type="submit" id="submit_new_pdd" class="btn btn-primary">Submit</button>
                      <button type="button" data-dismiss="modal" class="btn btn-danger">Cancel</button>
                      <span class="err_register_new" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                      <br>
                      <span class="help-block" style="margin-top: 5px; color: red;"></span>
                    </div>
                </form>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>