<!DOCTYPE html>
<html>

<head>
  <title>Master Database</title>
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  
  <style type="text/css">
    
  body {
        width: 100%;
        height: 100%;
        /*font-family: 'hind, DejaVu Sans, arial';*/
        font-family: '"Lucida Console", Monaco, monospace';
    }
    
    
    @page {
            margin-top: 10mm;
            margin-left: 5mm;
            
            /*margin-bottom: 9mm;*/
          }

    .subpage1 {
      /*border-top: 1px #d2d6de solid;*/
    }  
     .subpage {

        float: left;
        width: 105mm;
        height: 39.8mm;
        /*border: 1px #d2d6de solid;*/
        /*border-radius: 10px;*/
        font-size: 13px;
        padding-top: 12px;
        padding-left: 5px;
        border-bottom: 1px #d2d6de solid
    }
          
    @media print {
      


      .page-break  { display: block; page-break-before: always; }

    }  
        
    div.clear{clear: both;}
    
    .innerdiv{margin-top: 10px;}

    .baarcodeimg{width: : 40px;
                 height: 30px;
     }
     .baarcodeimgcls{
      margin-top: -5px;
      margin-left: -17px;
     }
</style>

</head>
<body>


  <?php

//error_reporting(0); 
$Results_Patient = get_single_patient_details_from_id($DB,$p_id);

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);

$rm_id = $Results_Patient['rm_id'];
$other_ref = $Results_Patient['other_ref'];

if(isset($rm_id) && !empty($rm_id))
{ 

  if($Results_Patient['other_ref'] == 1)
  {
    
    $ROWPD = get_single_patient_details_from_primary_id($DB,$rm_id);
    $dr_reference_name = $ROWPD['pm_salutation']." ".$ROWPD['pm_first_name']." ".$ROWPD['pm_last_name']." - ".$ROWPD['pm_pid'];
    
  }

  else {

    $RowRef = get_all_referance_details_id($DB,$rm_id);
    $dr_reference_name = $RowRef['rm_name'];
  } 
}

else {
  $dr_reference_name = "";
}

$hos_id = $_SESSION['hm_id'];
$RowHospital = get_hospital_details_from_id($DB,$hos_id);
 $count = count($Results_Patient);

?>


<div class="book">
    
    <div class="page">
        
        

        
          <?php if (in_array(1,$printoptionlablearray)){ ?>
           <div class="subpage " >
            <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?> 
          
          <?php if (in_array(2,$printoptionlablearray)){ ?>
           <div class="subpage">
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?> 

           <div class="subpage"></div>
           <div class="clear"></div>
           <div style="width: 100%; height: 3mm !important;"></div>
          
           <?php if (in_array(3,$printoptionlablearray)){ ?>
           <div class="subpage " >
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?> 
          
          <?php if (in_array(4,$printoptionlablearray)){ ?>
           <div class="subpage">
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div> 
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?>


          <div class="subpage"></div>
           <div class="clear"></div>
           <div style="width: 100%; height: 3mm !important;"></div>
          
           <?php if (in_array(5,$printoptionlablearray)){ ?>
           <div class="subpage " >
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?> 
          
          <?php if (in_array(6,$printoptionlablearray)){ ?>
           <div class="subpage">
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?>


          <div class="subpage"></div>
           <div class="clear"></div>
           <div style="width: 100%; height: 3mm !important;"></div>
          
           <?php if (in_array(7,$printoptionlablearray)){ ?>
           <div class="subpage " >
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?> 
          
          <?php if (in_array(8,$printoptionlablearray)){ ?>
           <div class="subpage">
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?>
          
          <div class="subpage"></div>
           <div class="clear"></div>
           <div style="width: 100%; height: 3mm !important;"></div>
          
           <?php if (in_array(9,$printoptionlablearray)){ ?>
           <div class="subpage " >
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?> 
          
          <?php if (in_array(10,$printoptionlablearray)){ ?>
           <div class="subpage">
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?>
          
          
           <div class="subpage"></div>
           <div class="clear"></div>
           <div style="width: 100%; height: 3mm !important;"></div>
          
           <?php if (in_array(11,$printoptionlablearray)){ ?>
           <div class="subpage " >
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?> 
          
          <?php if (in_array(12,$printoptionlablearray)){ ?>
           <div class="subpage">
           <?php if (file_exists('../barcode/'.$Results_Patient['pm_barcode_image']) && $Results_Patient['pm_barcode_image']!=''){ ?>
            <div class="baarcodeimgcls">
            <img src="../barcode/<?php echo $Results_Patient['pm_barcode_image']; ?>" class="baarcodeimg">
            </div><?php } ?>
            <div class="innerdiv"><b>CaseId: <?php echo $Results_Patient['pm_pid']; ?></b></div>
            <div><?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></div>
            <div><?php echo $Results_Patient['pm_address']; ?></div>
            <div><?php echo $Results_Patient['pm_area']; ?></div>
            <div><?php echo $Results_Patient['pm_city']; ?> <?php echo $Results_Patient['pm_pincode']; ?></div>
           </div>
          <?php }else{ ?>
            <div class="subpage"></div>
          <?php } ?>
          
          
           




    </div>

    
</div>





</body>
</html>