  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Add
        <small>Hospital</small>
      </h1>
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        <!-- left column -->
        <div class="col-md-12">
          <!-- general form elements -->
          <div class="box box-primary">
            
            <!-- /.box-header -->
            <!-- form start -->
            <form role="form" id="hospital_form_add" action="action/action_hospital.php?do=add" method="post">
              <div class="box-body">
                
                <div class="form-group col-md-6">
                  <label for="exampleInputEmail1">Hospital Name</label>
                  <input type="text" class="form-control" id="hm_name" name="hm_name" placeholder="Hospital Name">
                </div>

                <div class="form-group col-md-6">

                <label>Type</label>

                <select name="ht_id" id="ht_id" class="form-control select2" style="width: 100%;">

                  <option value="" selected="selected">--Select Type --</option>

                  <?php 

                  $resultsType = get_all_hospital_type($DB);

                  if (count($resultsType) > 0) {
                  foreach ($resultsType as $rowListType) {
                  
                  ?>

                  <option value="<?php echo $rowListType['ht_id']; ?>"><?php echo $rowListType['ht_name']; ?></option>
                  
                  <?php } } ?>

                </select>

              </div>

                <div class="form-group col-md-6 email_validation">
                  <label for="exampleInputEmail1">Email</label>
                  <input type="text" class="form-control" id="hm_email" name="hm_email" placeholder="Email">

                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputPassword1">Password</label>
                  <input type="password" class="form-control" name="hm_password" id="hm_password" placeholder="Password">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputPassword1">Contact No 1</label>
                  <input type="text" class="form-control" name="hm_contact1" id="hm_contact1" placeholder="Contact No 1">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputPassword1">Contact No 2</label>
                  <input type="text" class="form-control" name="hm_contact2" id="hm_contact2" placeholder="Contact No 2">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputEmail1">Address Line 1</label>
                  <input type="text" class="form-control" name="hm_address1" id="hm_address1" placeholder="Address Line 1">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputEmail1">Address Line 2</label>
                  <input type="text" class="form-control" name="hm_address2" id="hm_address2" placeholder="Address Line 2">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputPassword1">Area</label>
                  <input type="text" class="form-control" name="hm_area" id="hm_area" placeholder="Area">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputEmail1">Pincode</label>
                  <input type="text" class="form-control" name="hm_pincode" id="hm_pincode" placeholder="Pincode">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputEmail1">City</label>
                  <input type="text" class="form-control" name="hm_city" id="hm_city" placeholder="City">
                </div>

                <div class="form-group col-md-6">
                  <label for="exampleInputPassword1">State</label>
                  <input type="text" class="form-control" name="hm_state" id="hm_state" placeholder="State">
                </div>

              <!-- /.box-body -->

              <div class="box-footer">
                <button type="submit" id="submit_button" class="btn btn-primary">Submit</button>
                <a href="index.php?page=list_hospital"><button type="button" class="btn btn-danger">Cancel</button></a>
                <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                <br />
                <span class="help-block" style="margin-top: 5px; color: red;"></span>
              </div>
            </form>
          </div>
          <!-- /.box -->

         </div>
        <!--/.col (left) -->
        <!-- right column -->
        
        <!--/.col (right) -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->
