-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Jul 18, 2018 at 01:49 PM
-- Server version: 10.1.9-MariaDB
-- PHP Version: 5.6.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `parth`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_pharmacy`
--

CREATE TABLE `tbl_pharmacy` (
  `pharma_id` int(11) NOT NULL,
  `pharma_name` varchar(250) NOT NULL,
  `hm_id` int(11) NOT NULL,
  `mm_home_folder` varchar(125) NOT NULL,
  `pharma_contact` varchar(150) NOT NULL,
  `pharma_address1` varchar(250) NOT NULL,
  `pharma_address2` varchar(250) NOT NULL,
  `pharma_area` varchar(150) NOT NULL,
  `pharma_city` varchar(150) NOT NULL,
  `pharma_state` varchar(150) NOT NULL,
  `pharma_pincode` varchar(35) NOT NULL,
  `pharma_del` int(11) NOT NULL DEFAULT '0',
  `pharma_create_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `pharma_modify_date` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_pharmacy`
--

INSERT INTO `tbl_pharmacy` (`pharma_id`, `pharma_name`, `hm_id`, `mm_home_folder`, `pharma_contact`, `pharma_address1`, `pharma_address2`, `pharma_area`, `pharma_city`, `pharma_state`, `pharma_pincode`, `pharma_del`, `pharma_create_date`, `pharma_modify_date`) VALUES
(1, 'Ellis Bridge Pharmacy', 1, 'pharmacy', '079-224578', 'Below Karanavati Hospital Building', 'Opposite Town Hall', 'Ellis bridge', 'Ahmedabad', 'Gujarat', '380006', 0, '2018-07-11 18:37:37', '2018-07-18 12:21:35'),
(3, 'Samvedana Pharmacy', 3, 'pharmacy02', '079-333333', '3rd Floor,Satya One Complex', ' Opp. Manav Mandir,Near Helmet Circle', 'Memnagar', 'Ahmedabad', 'Gujarat', '380052', 0, '2018-07-11 18:37:37', '2018-07-18 12:23:32'),
(4, 'Happiness Pharmacy', 3, 'pharmacy03', '079-222222', '3rd Floor,Satya One Complex', ' Opp. Manav Mandir,Near Helmet Circle', 'Memnagar', 'Ahmedabad', 'Gujarat', '380052', 0, '2018-07-11 18:37:37', '2018-07-18 12:23:33');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_schedule_msg`
--

CREATE TABLE `tbl_schedule_msg` (
  `tsm_id` int(11) NOT NULL,
  `hm_id` int(11) DEFAULT NULL,
  `um_id` int(11) DEFAULT NULL,
  `tsm_schedule_val` text,
  `tsm_treatment_day` text,
  `tsm_auto_day` text,
  `tsm_created_by` int(11) DEFAULT NULL,
  `tsm_modify_by` int(11) DEFAULT NULL,
  `tsm_delete_by` int(11) DEFAULT NULL,
  `tsm_created_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `tsm_modify_date` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_schedule_msg`
--

INSERT INTO `tbl_schedule_msg` (`tsm_id`, `hm_id`, `um_id`, `tsm_schedule_val`, `tsm_treatment_day`, `tsm_auto_day`, `tsm_created_by`, `tsm_modify_by`, `tsm_delete_by`, `tsm_created_date`, `tsm_modify_date`) VALUES
(1, 1, 1, 'auto', '5', '1', 1, NULL, NULL, '2018-07-18 14:45:10', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_user_master`
--

CREATE TABLE `tbl_user_master` (
  `um_id` int(11) NOT NULL,
  `ut_id` int(11) DEFAULT NULL,
  `dp_id` int(11) NOT NULL DEFAULT '0',
  `mm_id` varchar(150) NOT NULL,
  `home_mm_id` int(11) NOT NULL,
  `doctor_id` int(11) NOT NULL,
  `pharma_id` int(11) NOT NULL DEFAULT '0',
  `um_name` varchar(150) DEFAULT NULL,
  `um_email` varchar(500) DEFAULT NULL,
  `um_password` varchar(500) DEFAULT NULL,
  `um_contact1` varchar(150) DEFAULT NULL,
  `um_contact2` varchar(150) DEFAULT NULL,
  `image` varchar(500) NOT NULL,
  `gmc_no` varchar(250) DEFAULT NULL,
  `um_del` int(11) NOT NULL DEFAULT '0',
  `um_created_by` int(11) DEFAULT NULL,
  `um_modify_by` int(11) DEFAULT NULL,
  `um_delete_by` int(11) NOT NULL DEFAULT '0',
  `um_created_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `um_modify_date` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_user_master`
--

INSERT INTO `tbl_user_master` (`um_id`, `ut_id`, `dp_id`, `mm_id`, `home_mm_id`, `doctor_id`, `pharma_id`, `um_name`, `um_email`, `um_password`, `um_contact1`, `um_contact2`, `image`, `gmc_no`, `um_del`, `um_created_by`, `um_modify_by`, `um_delete_by`, `um_created_date`, `um_modify_date`) VALUES
(1, 1, 6, '1,2,3,4,5,6,8,9,10,11,13,14', 1, 1, 0, 'Parth Vaishnav', 'parth@admin.com', '1592f4a6f03dfdf4dca29de2a7874507', '7567566777', '', 'parth-vaishnav.jpg', 'G20260', 0, 1, 1, 0, '2018-06-29 12:20:31', '2018-07-17 14:57:37'),
(2, 1, 6, '1,2,3,4,5,6,7,8,9,10,11', 1, 1, 0, 'Vidhi Vaishnav', 'vidhi@admin.com', '417434084cc1ebc55311e61c6ceeb36c', '8141379731', '', 'VidhiVaishnav.jpeg', 'G22021', 0, 1, 1, 0, '2018-06-29 12:21:53', '2018-07-17 14:58:30'),
(3, 1, 6, '1,2,3,4,5,6,7,8,10,11', 1, 1, 0, 'Mrugesh Vaishnav', 'mrugesh@admin.com', 'd2395b7990d3212d6692088a8505de98', '9825767565', '', 'mrugesh.jpeg', 'G11058', 0, 1, 1, 0, '2018-06-29 12:23:23', '2018-07-17 14:58:16'),
(4, 7, 0, '1,2,3,4,5,6,7,8,9,10,11', 2, 0, 0, 'Vandana', 'vanda@admin.com', '0c75eeddc3c4f47a0bffe1049cce0fd6', '7777777777', '', 'default.png', '', 0, 1, NULL, 0, '2018-06-29 12:24:21', '2018-07-13 11:18:24'),
(5, 2, 0, '2,5,6,8', 2, 0, 0, 'Reception 1', 'reception1@admin.com', '8b72be3204b7c66142fb2e6029881161', '7774441110', '', 'default.png', '', 0, 1, 1, 0, '2018-06-29 12:25:20', '2018-07-13 11:18:28'),
(6, 2, 0, '2,5,6,8', 2, 0, 0, ' Reception 2', 'reception2@admin.com', 'e75ca9462224f62b730e87d8157095e6', '2221110001', '', 'default.png', '', 0, 1, 1, 0, '2018-06-29 12:27:16', '2018-07-13 11:18:29'),
(7, 8, 0, '6,8', 8, 0, 0, 'Accounts 1', 'accounts@admin.com', 'aa9cf02432b76bc61a0b60142b4f88a1', '4567891230', '', 'default.png', '', 0, 1, NULL, 0, '2018-06-29 12:28:46', '2018-07-13 11:18:30'),
(8, 2, 0, '2,3,5,6,9,13,14', 2, 0, 0, 'Gajanan', 'gajanan@admin.com', '31b38f1243c1d07e867799c283cfccca', '5552222225', '', 'default.png', '', 0, 1, 1, 0, '2018-06-29 12:29:42', '2018-07-14 11:38:09'),
(9, 3, 0, '5', 5, 0, 0, 'Nursing', 'nursing@admin.com', '62f645a7750e8dd501900101b3d06117', '55588877744', '', 'default.png', '', 0, 1, 1, 0, '2018-06-29 12:30:40', '2018-07-13 11:18:34');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_pharmacy`
--
ALTER TABLE `tbl_pharmacy`
  ADD PRIMARY KEY (`pharma_id`);

--
-- Indexes for table `tbl_schedule_msg`
--
ALTER TABLE `tbl_schedule_msg`
  ADD PRIMARY KEY (`tsm_id`);

--
-- Indexes for table `tbl_user_master`
--
ALTER TABLE `tbl_user_master`
  ADD PRIMARY KEY (`um_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_pharmacy`
--
ALTER TABLE `tbl_pharmacy`
  MODIFY `pharma_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `tbl_schedule_msg`
--
ALTER TABLE `tbl_schedule_msg`
  MODIFY `tsm_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
