<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>
<?php
		if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add"){

			$HosId = $_SESSION['hm_id'];
			//$DocId = $_SESSION['doc_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$pat_cat = $_POST['pat_cat'];			
			$service_name = $_POST['service_name'];	
			$price = $_POST['price'];	
			$note = $_POST['note'];	

			$sql = "INSERT INTO ".$DB_Prefix."bill_main_service(`hm_id`, `um_id`, `tbpc_id`, `tbms_service_name`, `tbms_price`, `tbms_note`, `tbms_del`, `tbms_created_by`) VALUES (:hm_id, :um_id, :tbpc_id, :tbms_service_name, :tbms_price, :tbms_note, :tbms_del, :tbms_created_by)"; 
			$statement = $DB->prepare($sql);
			$statement->bindValue(":hm_id", $HosId);
			$statement->bindValue(":um_id", $created_by);
			$statement->bindValue(":tbpc_id", $pat_cat);
			$statement->bindValue(":tbms_service_name", $service_name);
			$statement->bindValue(":tbms_price", $price);
			$statement->bindValue(":tbms_note", $note);
			$statement->bindValue(":tbms_del", '0');
			$statement->bindValue(":tbms_created_by", $created_by);
			$res = $statement->execute();
			$PID = $DB->lastInsertId();
			$service_data = get_single_patient_category($DB,$pat_cat);
			if($res) { ?>
			    <tr id="tr_<?php echo $PID; ?>">
                  <td><?php echo $service_data['tbpc_patient_category']; ?></td>
                  <td><?php echo $service_name; ?></td>
                  <td><?php echo $price; ?></td>
                  <td><?php echo $note; ?></td>
                  <td><a href="javascript:void(0)" id="edit_medicine" data-id="<?php echo $PID;?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="javascript:void(0)" id="delete_medicine" data-id="<?php echo $PID;?>"  title="Delete"><i class="fa fa-trash" style="color: red;"></i></a>
                  </td>                  
                </tr>
			<?php } ?>


		<?php }
		else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_popup"){
			$id = $_POST['dataId'];

			$single_data = get_single_service($DB,$id);
			$pat_cat = $single_data['tbms_service_name'];
			$main_id = $single_data['tbpc_id'];
			$price = $single_data['tbms_price'];
			$note = $single_data['tbms_note'];

			$main_data = get_single_patient_category($DB,$main_id);
			$m_cat = $main_data['tbpc_patient_category'];

			echo $id.'@@@'.$main_id.'@@@'.$pat_cat.'@@@'.$price.'@@@'.$note.'@@@'.$m_cat;

		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit"){
			
			$HosId = $_SESSION['hm_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$id = $_POST['id'];
			$main_id = $_POST['mid'];
			$edit_service = $_POST['edit_service'];
			$edit_price = $_POST['edit_price'];
			$note = $_POST['note'];
			
			$sql_edit = "UPDATE ".$DB_Prefix."bill_main_service SET tbms_service_name=:tbms_service_name,
																	tbms_price=:tbms_price,	
																	tbms_note=:tbms_note,			
																  	tbms_modify_by=:tbms_modify_by
																 	WHERE tbms_id='$main_id'"; 

			$statement_edit = $DB->prepare($sql_edit);
			$statement_edit->bindValue(":tbms_service_name", $edit_service);
			$statement_edit->bindValue(":tbms_price", $edit_price);
			$statement_edit->bindValue(":tbms_note", $note);
			$statement_edit->bindValue(":tbms_modify_by", $created_by);
			$res1 = $statement_edit->execute();

			$service_data = get_single_patient_category($DB,$id);

			if($res1){ ?>
				  <td><?php echo $service_data['tbpc_patient_category']; ?></td>
				  <td><?php echo $edit_service; ?></td>
				  <td><?php echo $edit_price; ?></td>
				  <td><?php echo $note; ?></td>
                  <td><a href="javascript:void(0)" id="edit_bill_services" data-id="<?php echo $main_id;?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="javascript:void(0)" id="delete_medicine" data-id="<?php echo $main_id;?>"  title="Delete"><i class="fa fa-trash" style="color: red;"></i></a>
                  </td>
                  <?php } ?>
	<?php

		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete"){ 
			$id = $_POST['id'];	
			$email = $_SESSION['admin_user'];
			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$sql_edit = "UPDATE ".$DB_Prefix."bill_main_service SET tbms_del=:tbms_del,
																    tbms_delete_by=:tbms_delete_by
																    WHERE tbms_id='$id'"; 

			$statement_edit = $DB->prepare($sql_edit);
			$statement_edit->bindValue(":tbms_del", '1');
			$statement_edit->bindValue(":tbms_delete_by", $created_by);
			$res1 = $statement_edit->execute();
			echo $res1;
		}
?>

