
<?php 

function random_num ($len)
{
 $ch = "0123456789";
 $l = strlen ($ch) - 1;
 $str = "";
 for ($i=0; $i < $len; $i++)
 {
     $x = rand (0, $l);
     $str .= $ch[$x];
 }
 return $str;
}

?>

  

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
   
    <section class="content-header">
     <h1>Outpatient <small>Billing Overview</small></h1>
      <ol class="breadcrumb">

        <!-- <li><a href="add_inpatient.php" style="font-size: 22px;"><i class="fa fa-plus"></i>Add Admission</a></li> -->
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          
          <!-- /.box -->

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example2" class="table table-bordered table-striped table_data">
                <thead>
                <tr>
                  <th>PATIENT ID</th>
                  <th>NAME</th>
                  <th>CONTACT NUMBER</th>
                  <th>DOB</th>
                  <th>BALANCE</th>
                  <th>ACTION</th>                 
                </tr>
                </thead>
                <tbody>
                <?php 
                   $out_reatil = get_all_out_retail_sale($DB);
                   $rid = array();
                   foreach ($out_reatil as $retail_res) {
                      $rid[] = $retail_res['tbrsm_pid'];      
                   }
                   $out_invoice = get_all_out_invoice($DB);
                   $inid = array();
                   foreach ($out_invoice as $invoice_res) {
                      $inid[] = $invoice_res['im_pid'];      
                   }
                   
                    if(!in_array($rid,$inid)){
                      $id = array_merge($rid,$inid);                      
                    }


                    $out_receipt = get_all_out_receipt($DB);
                    $reid = array();
                    foreach ($out_receipt as $receipt_res) {
                        $reid[] = $receipt_res['rm_pid'];      
                    }
                    $out_advance = get_all_out_advance($DB);
                    $aid = array();
                    foreach ($out_advance as $advance_res) {
                        $aid[] = $advance_res['am_pid'];      
                    }
                    if(!in_array($reid,$aid)){
                      $id2 = array_merge($reid,$aid);                     
                    }


                    $out_credit = get_all_out_receipt($DB);
                    $cid = array();
                    foreach ($out_credit as $credit_res) {
                        $cid[] = $credit_res['rm_pid'];      
                    }
                    $out_refund = get_all_out_advance($DB);
                    $rdid = array();
                    foreach ($out_refund as $refund_res) {
                        $rdid[] = $refund_res['am_pid'];      
                    }
                    if(!in_array($cid,$rdid)){
                      $id3 = array_merge($cid,$rdid);                      
                    }
                    
                    $id4 = array_merge($id,$id2,$id3);
                    $ids = array_unique($id4);

                    foreach ($ids as $value) {
                        $pm_id = $value;
                        $patient_data = get_single_patient_details_from_id($DB,$pm_id);
                        $pid = $patient_data['pm_pid'];
                        //$pid = '201805004';
                        $pat_id = base64_encode($pid);
                        $phone = $patient_data['pm_contact_no'];
                        $dob = date("d/m/Y",strtotime($patient_data['pm_dob']));
                        $sal = $patient_data['pm_salutation'];
                        $fname = $patient_data['pm_first_name'];
                        $mname = $patient_data['pm_middle_name'];
                        $lname = $patient_data['pm_last_name'];
                        $pname = $sal." ".$fname." ".$mname." ".$lname;

                        $retail_data = get_amount_data_retail($DB,$pid);
                        $retail_amt = $retail_data['retail_amt'];
                        $invoice_data = get_amount_data_invoice($DB,$pid);
                        $invoice_amt = $invoice_data['invoice_amt'];
                        $receipt_data = get_amount_data_receipt($DB,$pid);
                        $receipt_amt = $receipt_data['receipt_amt'];
                        $advance_data = get_amount_data_advance($DB,$pid);
                        $advance_amt = $advance_data['advance_amt'];
                        $credit_data = get_amount_data_credit($DB,$pid);
                        $credit_amt = $credit_data['credit_amt'];
                        $refund_data = get_amount_data_refund($DB,$pid);
                        $refund_amt = $refund_data['refund_amt'];

                        $aa = $receipt_amt+$advance_amt+$credit_amt;

                        $balance = $invoice_amt+$refund_amt-$aa;
                ?>
                <tr>
                  <td><?php echo $pid;?></td>
                  <td><?php echo $pname;?></td>
                  <td><?php echo $phone;?></td>
                  <td><?php echo $dob;?></td>
                  <td><?php echo $balance;?></td>
                  <td><a href="view_out_overview.php?id=<?php echo  $pat_id;?>" target="_blank" title="Edit" class="btn btn-primary">View</a></td>
                </tr>
                <?php } ?>
               </tbody>
              </table>
           </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  

<!-- ./wrapper -->