<?php
session_start();
include("../../include/db_con.php");
include("../../function.php");
include("../../function_atd.php");
include("../../function_reception.php");
include("../../function_casemanager.php");
include("../../function_settings.php");
include("../../function_inpatient.php");
include("../../function_ward.php");
?>
<?php
		if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add_temp_cm"){
			$HosId = $_SESSION['hm_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$temp_name  = $_POST['sel_temp'];
			$temp_desc  = $_POST['temp_desc'];
			$sdate11 = $_POST['sdate'];
			$sdate1 = str_replace('/', '-', $sdate11);
			$sdate = date("Y-m-d",strtotime($sdate1));
			$pid = $_POST['pid'];


			$sql = "INSERT INTO ".$DB_Prefix."casemanager_followup_care(`hm_id`, `um_id`, `pm_pid`, `tcfc_temp_name`, `tcfc_temp_msg`, `tcfc_schedule_date`, `tcfc_created_by`) VALUES (:hm_id,:um_id, :pm_pid, :tcfc_temp_name, :tcfc_temp_msg,:tcfc_schedule_date,:tcfc_created_by)"; 
			
			$statement = $DB->prepare($sql);
			$statement->bindValue(":hm_id", $HosId);
			$statement->bindValue(":um_id", $created_by);
			$statement->bindValue(":pm_pid", $pid);
			$statement->bindValue(":tcfc_temp_name", $temp_name);
			$statement->bindValue(":tcfc_temp_msg", $temp_desc);
			$statement->bindValue(":tcfc_schedule_date", $sdate);
			$statement->bindValue(":tcfc_created_by", $created_by);
			$res = $statement->execute();

			$PID = $DB->lastInsertId();

			$patient_data = get_single_patient_details_from_id($DB,$pid);
			$mobileNumber = $patient_data['pm_contact_no'];
			
			$today = date('d/m/Y');
			if($today == $sdate11){
				sendsms_followup($DB,$mobileNumber,$temp_desc,$PID);			  
			}
			 
	
			if($res) { 
				$get_single_data = get_single_tempalte_details_from_id($DB,$PID);
			 	 $sdate1 = $get_single_data['tcfc_schedule_date'];
                 $sdate = date("d/m/Y",strtotime($sdate1));
			 	 $msg_action = $get_single_data['tcfc_msg_action'];
                 $msg_status = $get_single_data['tcfc_msg_message'];
			?>
			 <tr id="tr_fl_<?php echo $PID;?>">
                  <td><?php echo $temp_desc; ?></td>
                  <td><?php echo $sdate; ?></td>
                  <td><?php if($msg_action == 0){
                              echo "Scheduled";
                             }else{
                              echo $msg_status;
                             } ?>
                  </td>
                  <td>
                    <?php
                         if($msg_action == 0){ ?>
                     <a href="javascript:void(0)" id="edit_followup_cm_template" data-id="<?php echo $PID;?>" data-type="One Day" data-dtype="Full Day" title="Edit"><i class="fa fa-edit"></i></a>
                     <?php }?>
                     <a href="javascript:void(0)" id="delete_followup_cm_template" data-id="<?php echo $PID;?>" title="Delete"><i class="fa fa-trash" style="color: red;"></i></a>
                  </td>                  
                </tr>			
			 <?php }

		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_popup"){
			$id = $_POST['dataId'];
			$get_single_data = get_single_tempalte_details_from_id($DB,$id);
			$edit_temp_name = $get_single_data['tcfc_temp_name'];
			$edit_temp_desc = $get_single_data['tcfc_temp_msg'];
			$edit_sdate = $get_single_data['tcfc_schedule_date'];
			$edit_sdate = date('d/m/Y',strtotime($edit_sdate));

			echo $edit_temp_name.'@@@'.$edit_temp_desc.'@@@'.$edit_sdate.'@@@'.$id;

		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit"){
			$e_id = $_POST['id'];
			$e_temp_name = $_POST['edit_temp_name'];
			$e_temp_desc = $_POST['edit_temp_desc'];
			$edit_sdate = $_POST['edit_sdate'];
			$edit_sdate = str_replace('/', '-', $edit_sdate);
			$edate = date("Y-m-d",strtotime($edit_sdate));

			$email = $_SESSION['admin_user'];
			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];
			$sql = "UPDATE ".$DB_Prefix."casemanager_followup_care SET tcfc_temp_name=:tcfc_temp_name, 
																	  tcfc_temp_msg=:tcfc_temp_msg, 
																	  tcfc_schedule_date=:tcfc_schedule_date, 
																	  tcfc_modify_by=:tcfc_modify_by
																	  WHERE tcfc_id='$e_id'"; 
			
			$statement = $DB->prepare($sql);
			$statement->bindValue(":tcfc_temp_name", $e_temp_name);
			$statement->bindValue(":tcfc_temp_msg", $e_temp_desc);
			$statement->bindValue(":tcfc_schedule_date", $edate);
			$statement->bindValue(":tcfc_modify_by", $created_by);
			$res = $statement->execute();

			 if($res) { 
			 	$get_single_data = get_single_tempalte_details_from_id($DB,$e_id);
			 	 $sdate1 = $get_single_data['tcfc_schedule_date'];
                 $sdate = date("d/m/Y",strtotime($sdate1));
			 	 $msg_action = $get_single_data['tcfc_msg_action'];
                 $msg_status = $get_single_data['tcfc_msg_message'];
			 	?>
			      <td><?php echo $e_temp_desc;?></td>
                  <td><?php echo $sdate; ?></td>
                  <td><?php if($msg_action == 0){
                              echo "Scheduled";
                             }else{
                              echo $msg_status;
                             } ?>
                  </td>
                  <td>
                    <?php
                         if($msg_action == 0){ ?>
                     <a href="javascript:void(0)" id="edit_followup_cm_template" data-id="<?php echo $e_id;?>" data-type="One Day" data-dtype="Full Day" title="Edit"><i class="fa fa-edit"></i></a>
                     <?php }?>
                     <a href="javascript:void(0)" id="delete_followup_cm_template" data-id="<?php echo $e_id;?>" title="Delete"><i class="fa fa-trash" style="color: red;"></i></a>
                  </td>              
			 <?php }		
		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete"){
			$id = $_POST['id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$sql = "UPDATE ".$DB_Prefix."casemanager_followup_care SET 	tcfc_del=:tcfc_del, 
																	  tcfc_delete_by=:tcfc_delete_by 
																	  WHERE tcfc_id='$id'"; 
			
			$statement = $DB->prepare($sql);
			$statement->bindValue(":tcfc_del", '1');
			$statement->bindValue(":tcfc_delete_by", $created_by);			
			$res = $statement->execute();
			//echo 1;
		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add_new_temp"){
			$HosId = $_SESSION['hm_id'];
			$email = $_SESSION['admin_user'];
			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$n_temp_name = $_POST['temp_name'];
			$n_temp_desc = $_POST['temp_desc'];

			$chk_temp = check_template_main_table($DB,$n_temp_name);
			$chk_temp_name = $chk_temp['tftm_title'];
			if($chk_temp_name != $n_temp_name){
				
				$sql = "INSERT INTO ".$DB_Prefix."followup_template_master(`hm_id`, `um_id`, `tftm_title`, `tftm_desc`, `tftm_created_by`) VALUES (:hm_id, :um_id, :tftm_title, :tftm_desc,:tftm_created_by)"; 
				
				$statement = $DB->prepare($sql);
				$statement->bindValue(":hm_id", $HosId);
				$statement->bindValue(":um_id", $created_by);
				$statement->bindValue(":tftm_title", $n_temp_name);
				$statement->bindValue(":tftm_desc", $n_temp_desc);
				$statement->bindValue(":tftm_created_by", $created_by);
				$res = $statement->execute();
				echo $n_temp_name.'@@@'.$n_temp_desc;
			}

			else {
				echo $chk_temp_name.'@@@'.$chk_temp['tftm_desc'];
			}
		}
	?>