<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>
<?php
		if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add"){

			$HosId = $_SESSION['hm_id'];
			//$DocId = $_SESSION['doc_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$tmm_medicine_name = $_POST['tmm_medicine_name'];
			$tmm_generic = $_POST['tmm_generic'];
			$tmm_company = $_POST['tmm_company'];

			if(isset($_POST['tmm_generic']) && !empty($_POST['tmm_generic']))
                  {
                    $Generic1 = $_POST['tmm_generic'];
                  }
            else {
                    $Generic1 = "-";
                  }

            if(isset($_POST['tmm_company']) && !empty($_POST['tmm_company']))
                  {
                    $Company1 = $_POST['tmm_company'];
                  }
            else {
                    $Company1 = "-";
                  }
     


			$sql = "INSERT INTO ".$DB_Prefix."medicine_master(`hm_id`, `um_id`, `tmm_medicine_name`, `tmm_generic`, `tmm_company`, `tmm_created_by`) VALUES (:hm_id, :um_id, :tmm_medicine_name,:tmm_generic,:tmm_company,:tmm_created_by)"; 
			$statement = $DB->prepare($sql);
			$statement->bindValue(":hm_id", $HosId);
			$statement->bindValue(":um_id", $created_by);
			$statement->bindValue(":tmm_medicine_name", $tmm_medicine_name);
			$statement->bindValue(":tmm_generic", $tmm_generic);
			$statement->bindValue(":tmm_company", $tmm_company);
			$statement->bindValue(":tmm_created_by", $created_by);
			$res = $statement->execute();
			$PID = $DB->lastInsertId();
			if($res) { ?>
			    <li><a href="javascript:;" data-id="<?php echo $PID; ?>" class="select_case_medicine_name"><?php echo $tmm_medicine_name; ?></a></li>
			<?php } ?>


		<?php }

		else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit"){
			
			$HosId = $_SESSION['hm_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$id = $_POST['m_id'];		
			$drug_name = $_POST['drug_name'];
			$strength = $_POST['strength'];
			$strength_mg = $_POST['strength_mg'];
			$duration = $_POST['duration'];
			$duration_days = $_POST['duration_days'];
			$morning = $_POST['morning'];
			$noon = $_POST['noon'];
			$night = $_POST['night'];
			$taken_time = $_POST['taken_time'];
			$instructions = $_POST['instructions'];
			$medicine_taken_time = $_POST['edit_medicine_taken_time'];

			$sql_edit = "UPDATE ".$DB_Prefix."medicine_master SET tmm_medicine_name=:tmm_medicine_name,
																  tmm_type=:tmm_type,
																  tmm_strength=:tmm_strength,
																  tmm_duration=:tmm_duration,
																  tmm_duration_days=:tmm_duration_days,
																  tmm_company=:tmm_company,
																  tmm_noon=:tmm_noon,
																  tmm_night=:tmm_night,
																  tmm_taken_time=:tmm_taken_time,
																  tmm_insrtuctions=:tmm_insrtuctions,
																  tmm_insrtuctions_time=:tmm_insrtuctions_time,
																  tmm_modify_by=:tmm_modify_by
																  WHERE tmm_id='$id'"; 

			$statement_edit = $DB->prepare($sql_edit);
			$statement_edit->bindValue(":tmm_medicine_name", $tmm_medicine_name);
			$statement_edit->bindValue(":tmm_type", $tmm_type);
			$statement_edit->bindValue(":tmm_strength", $tmm_strength);
			$statement_edit->bindValue(":tmm_duration", $duration);
			$statement_edit->bindValue(":tmm_duration_days", $duration_days);
			$statement_edit->bindValue(":tmm_company", $tmm_company);
			$statement_edit->bindValue(":tmm_noon", $noon);
			$statement_edit->bindValue(":tmm_night", $night);
			$statement_edit->bindValue(":tmm_taken_time", $taken_time);
			$statement_edit->bindValue(":tmm_insrtuctions", $instructions);
			$statement_edit->bindValue(":tmm_insrtuctions_time", $medicine_taken_time);
			$statement_edit->bindValue(":tmm_modify_by", $created_by);
			$res1 = $statement_edit->execute();
			echo $res1;
		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete"){ 
			$id = $_POST['id'];	
			$email = $_SESSION['admin_user'];
			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$sql_edit = "UPDATE ".$DB_Prefix."medicine_master SET tmm_del=:tmm_del,
																  tmm_delete_by=:tmm_delete_by
																  WHERE tmm_id='$id'"; 

			$statement_edit = $DB->prepare($sql_edit);
			$statement_edit->bindValue(":tmm_del", '1');
			$statement_edit->bindValue(":tmm_delete_by", $created_by);
			$res1 = $statement_edit->execute();
			echo $res1;
		}
?>

