<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>

<?php

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$Um_ID = $row_User_Details['um_id'];

$Pid = $_POST['Pid'];
$Case_Patient_Id = base64_decode($Pid);
$Results_Patient = get_single_patient_details_from_id($DB,$Case_Patient_Id);

?>
<div class="box-body">

<div class="col-md-12" style="text-align: right; margin-bottom: 10px;">
  <a a href="javascript:void(0)" id="add_new_folloup_casemanager_template"><i class="fa fa-plus"></i>Add Followup Care</a>
</div>

<div class="col-xs-12">
          
          <!-- /.box -->

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example4" class="table table-hover">
                <thead>
                <tr>
                  <th>No</th>
                  <th>Status</th>
                  <th>Schedule By</th>
                  <th>Schedule On</th>
                  <th>Branch</th>
                </tr>
                </thead>
                <tbody>
                <?php
                $counter = 0;
                
                $Row_visit_log = get_visit_log($DB,$Case_Patient_Id);
                foreach ($Row_visit_log as $Result_visit_log) {
                  $counter++;

                  $date1 = $Result_visit_log['tpvl_created_date'];
                  $date = date('d/m/Y', strtotime($date1));
                  $time = date('h:i A', strtotime($date1));

                  $day = date('l', strtotime($date1));

                  $hos_id = $Result_visit_log['hm_id'];
                  $Row_hos_data = get_hospital_data_id($DB,$hos_id);

                  $hos_name = $Row_hos_data['hm_name'];


                  $create_by = $Result_visit_log['tpvl_created_by'];
                  $Row_created_by = get_user_master_details($DB,$create_by);
                  if($Result_visit_log['status'] == "0"){
                      
                      $status = "The patient has been <b>Scheduled on ".$day." at ".$time."</b>";
                    }else if($Result_visit_log['status'] == "1"){
                      
                      $status = "The patient has been <b>Arrived at ".$time." on ".$day."</b>";
                    }else if($Result_visit_log['status'] == "3"){
                    
                      $status = "Patient <b>Finished</b> an appointment at ".$time." on ".$day;
                    }else if($Result_visit_log['status'] == "4"){
                     
                      $status = "The patient has <b>Cancelled</b> his appointment <b>on ".$day." at ".$time."</b>";
                    }else{

                     
                      $status = "The patient has been <b>Rescheduled on ".$day." at ".$time."</b>";
                    }

                ?>
                <tr>
                  <td><?php echo $counter; ?></td>
                  <td><?php echo $status; ?></td>
                  <td><?php echo $Row_created_by['um_name']; ?></td>
                  <td><?php echo $date; ?></td>
                  <td><?php echo $hos_name; ?></td>
                </tr>
                <?php } ?>

                </tbody>
                
              </table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
</div>
