<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

$userLoginModuleId = $_SESSION['login_user_module_id'];
$AarruserRole = $_SESSION['login_user_role_id'];

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$tibc_height1 = $_POST['tibc_height'];
$tibc_weight1 = $_POST['tibc_weight'];
// $tibc_bmi = $_POST['tibc_bmi'];
// $tibc_bmr = $_POST['tibc_bmr'];

if($tibc_height1 == ""){
   $tibc_height="1";
}else{
   $tibc_height = $tibc_height1;
}

if($tibc_weight1 == ""){
   $tibc_weight="1";
}else{
   $tibc_weight = $tibc_weight1;
}


$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

// $height_in_meter = $tibc_height*30.48/100;
// $tibc_bmi = $tibc_weight / ($tibc_height * $tibc_height);
$tp1 = $tibc_weight/$tibc_height/$tibc_height;
 $tibc_bmi = $tp1 * 10000;

$get_patient_details = get_single_patient_details_from_id($DB,$pm_pid);
$gen = $get_patient_details['pm_gender'];
$dob = $get_patient_details['pm_dob'];
$age = (date('Y') - date('Y',strtotime($dob)));

$height_in_meter = $tibc_height*0.3048;
if($gen == 'Male'){
   //$tibc_bmr = 66.4730 + (13.7516 * $tibc_weight) + (5.0033 * ($tibc_height* 100.0)) - (6.7550 * $age);
    $tibc_bmr = (10 * $tibc_weight) + (6.25 * $tibc_height) - (5 * $age) + 5;
}else{
   //$tibc_bmr = 655.0955 + (9.5634 * $tibc_weight) + (1.8496 * ($tibc_height* 100.0)) - (4.6756 * $age);
   $tibc_bmr = (10 * $tibc_weight) + (6.25 * $tibc_height) - (5 * $age) - 161;
}

$height_in_cm = $tibc_height*30.48;
//$tibc_bsa = sqrt($tibc_weight * $height_in_cm / 3600);
$tibc_bsa = sqrt($tibc_height * $tibc_weight / 3600);

$sql = "INSERT INTO ".$DB_Prefix."inpatient_body_com(`pm_id`,`pm_pid`,`um_id`,`tibc_height`,`tibc_weight`,`tibc_bmi`,`tibc_bmr`,`tibc_bsa`,`ip_id`,`tibc_created_by`) VALUES (:pm_id,:pm_pid,:um_id,:tibc_height,:tibc_weight,:tibc_bmi,:tibc_bmr,:tibc_bsa,:ip_id,:tibc_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tibc_height", $tibc_height);
$statement->bindValue(":tibc_weight", $tibc_weight);
$statement->bindValue(":tibc_bmi", $tibc_bmi);
$statement->bindValue(":tibc_bmr", $tibc_bmr);
$statement->bindValue(":tibc_bsa", $tibc_bsa);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":tibc_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {
?>
<tr id="table_tr_inp_body_com_<?php echo $PID; ?>">
   <td><?php echo $tibc_height; ?></td>
   <td><?php echo $tibc_weight; ?></td>
   <td><?php echo round($tibc_bmi,2); ?></td>
   <td><?php echo round($tibc_bmr,2); ?></td>
   <td><?php echo round($tibc_bsa,2); ?></td>
   <td><?php echo date('d-m-Y'); ?></td>
   <?php if(in_array('318', $AarruserRole))  { ?>
    <td><a href="javascript:void(0)" class="select_edit_inpatient_body_com" ="" title="Edit" data-id="<?php echo $PID; ?>"><i class="fa fa-edit"></i></a></td>
   <?php } ?> 
</tr>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tibc_id  = $_POST['delete_tibc_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_body_com_id($DB,$delete_tibc_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_body_com_pid_ipid($DB,$ID);
$return_arr = array("tibc_height" => $RsList['tibc_height'],
                    "tibc_weight" => $RsList['tibc_weight'],
                    "tibc_bmi" => $RsList['tibc_bmi'],
                    "tibc_bmr" => $RsList['tibc_bmr'],
                    "tibc_id" => $RsList['tibc_id'],
                    "created_by" => $RsList['tibc_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tibc_id = $_POST['tibc_id'];
$tibc_height1 = $_POST['tibc_height'];
$tibc_weight1 = $_POST['tibc_weight'];

if($tibc_height1 == ""){
   $tibc_height="1";
}else{
   $tibc_height = $tibc_height1;
}

if($tibc_weight1 == ""){
   $tibc_weight="1";
}else{
   $tibc_weight = $tibc_weight1;
}

// $tibc_bmi = $_POST['tibc_bmi'];
// $tibc_bmr = $_POST['tibc_bmr'];
$edit_tibc_um_id = $_POST['edit_tibc_um_id'];
$pm_pid = base64_decode($_POST['edit_pm_pid']);

$row_User_Details = get_user_master_details_from_id($DB,$edit_tibc_um_id);

$height_in_meter = $tibc_height*30.48/100;
//$tibc_bmi = $tibc_weight / ($tibc_height * $tibc_height);
$tp1 = $tibc_weight/$tibc_height/$tibc_height;
 $tibc_bmi = $tp1 * 10000;

$get_patient_details = get_single_patient_details_from_id($DB,$pm_pid);
$gen = $get_patient_details['pm_gender'];
$dob = $get_patient_details['pm_dob'];
$age = (date('Y') - date('Y',strtotime($dob)));

$height_in_meter = $tibc_height*0.3048;
if($gen == 'Male'){
   //$tibc_bmr = 66.4730 + (13.7516 * $tibc_weight) + (5.0033 * ($tibc_height* 100.0)) - (6.7550 * $age);
    $tibc_bmr = (10 * $tibc_weight) + (6.25 * $tibc_height) - (5 * $age) + 5;   
}else{
   //$tibc_bmr = 655.0955 + (9.5634 * $tibc_weight) + (1.8496 * ($tibc_height* 100.0)) - (4.6756 * $age);
   $tibc_bmr = (10 * $tibc_weight) + (6.25 * $tibc_height) - (5 * $age) - 161;
}


$height_in_cm = $tibc_height*30.48;
//$tibc_bsa = sqrt($tibc_weight * $height_in_cm / 3600);
$tibc_bsa = sqrt($tibc_height * $tibc_weight / 3600);


$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_body_com SET  tibc_height = :tibc_height, 
                  tibc_weight = :tibc_weight,
                  tibc_bmi = :tibc_bmi,
                  tibc_bmr = :tibc_bmr,
                  tibc_bsa = :tibc_bsa
                  WHERE tibc_id ='$tibc_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tibc_height", $tibc_height);
   $statement_Image1->bindValue(":tibc_weight", $tibc_weight);
   $statement_Image1->bindValue(":tibc_bmi", $tibc_bmi);
   $statement_Image1->bindValue(":tibc_bmr", $tibc_bmr);
   $statement_Image1->bindValue(":tibc_bsa", $tibc_bsa);
   $count = $statement_Image1->execute();

if($count) {

?>
<td><?php echo $tibc_height; ?></td>
<td><?php echo $tibc_weight; ?></td>
<td><?php echo round($tibc_bmi,2); ?></td>
<td><?php echo round($tibc_bmr,2); ?></td>
<td><?php echo round($tibc_bsa,2); ?></td>
<td><?php echo date('d-m-Y'); ?></td>
<td><a href="javascript:void(0)" class="select_edit_inpatient_body_com" ="" title="Edit" data-id="<?php echo $tibc_id; ?>"><i class="fa fa-edit"></i></a></td>
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "past_dia") {
$pm_pid = base64_decode($_POST['id']);

?>

<table class="table " id="example6">
	<thead>
	   <tr>
	      <th>Diagnosis</th>
	      <th>Type</th>
	      <th>Doctor</th>
	      <th>Date</th>
	   </tr>
	</thead>

	<tbody id="add_table_diagnosis">
		<?php 
		   $ResultsCase_Diagnosis = get_patient_case_dia_diagnosis_pid($DB,$pm_pid);
		   if(count($ResultsCase_Diagnosis) > 0) {
		   foreach ($ResultsCase_Diagnosis as $RowCase_Diagnosis) {
		   
		   $UmId = $RowCase_Diagnosis['um_id'];
		   $RowEnter = get_user_master_details_from_id($DB,$UmId);
   
   		?>

   			<tr>
			   <td><?php echo $RowCase_Diagnosis['diagnosis'] ?></td>
			   <td><?php echo $RowCase_Diagnosis['type'] ?></td>
			   <td><?php echo $RowEnter['um_name'] ?></td>
			   <td><?php echo date('d-m-Y', strtotime($RowCase_Diagnosis['tcd_created_date']));?></td>
			</tr>

		<?php } } else { ?>	
			<tr>
                <td colspan="4" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! no any past diagnosis.</em>
                </td> 
            </tr>
		<?php } ?>

	</tbody>
</table>	

<?php } ?>