<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

$userLoginModuleId = $_SESSION['login_user_module_id'];
$AarruserRole = $_SESSION['login_user_role_id'];

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$admit_days = $_POST['admit_days'];
$tioc_time = $_POST['tioc_time'];
$tioc_temp = $_POST['tioc_temp'];
$tioc_output = $_POST['tioc_output'];
$tioc_drain_output = $_POST['tioc_drain_output'];



$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_in_out_chart(`tioc_days`,`pm_id`,`pm_pid`,`um_id`,`tioc_time`,`tioc_temp`,`tioc_output`,`tioc_drain_output`,`ip_id`,`tioc_created_by`) VALUES (:tioc_days,:pm_id,:pm_pid,:um_id,:tioc_time,:tioc_temp,:tioc_output,:tioc_drain_output,:ip_id,:tioc_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":tioc_days", $admit_days);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tioc_time", $tioc_time);
$statement->bindValue(":tioc_temp", $tioc_temp);
$statement->bindValue(":tioc_output", $tioc_output);
$statement->bindValue(":tioc_drain_output", $tioc_drain_output);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":tioc_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {
?>
<?php 
  $ResultsInoutCharts = get_all_inpatient_in_out_chart_pid_ipid_date($DB,$pm_pid,$ip_id,$admit_days);
  foreach ($ResultsInoutCharts as $RowInoutCharts) { 
    
    //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
  $CreateBy = $RowInoutCharts['tioc_created_by']; 
  $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
?>
<tr id="table_tr_inp_in_out_chart_<?php echo $RowInoutCharts['tioc_id']; ?>">
   <td><?php echo date('h:i A', strtotime($RowInoutCharts['tioc_time']));; ?></td>
   <td><?php echo $RowInoutCharts['tioc_temp']; ?></td>
   <td><?php echo $RowInoutCharts['tioc_output']; ?></td>
   <td><?php echo $RowInoutCharts['tioc_drain_output']; ?></td>
   <?php if(in_array('318', $AarruserRole))  { ?>
    <td><a href="javascript:void(0)" class="select_edit_inpatient_in_out_chart" ="" title="Edit" data-id="<?php echo $RowInoutCharts['tioc_id']; ?>"><i class="fa fa-fw 
    fa-edit"></i></a></td>
   <?php } ?> 
</tr>
<?php } ?>
<tr id="">
   <td><b>Total: </b></td>
   <td><b><?php echo $TotalInput = get_daily_all_inputchart_value_from_pid_ipid($DB,$pm_pid,$ip_id,$admit_days); ?></b></td>
   <td><b><?php echo $TotalOut = get_daily_all_outchart_value_from_pid_ipid($DB,$pm_pid,$ip_id,$admit_days); ?></b></td>
   <td><b><?php echo $TotalDOutput = get_daily_all_drainoutchart_value_from_pid_ipid($DB,$pm_pid,$ip_id,$admit_days); ?></b></td>
   <?php $Daily_Bal = abs($TotalInput) - abs($TotalOut); ?>
   <?php if(in_array('318', $AarruserRole))  { ?>
    <td>-</td>
   <?php } ?> 
   <?php 
      if($Daily_Bal > 0) 
      {
        $Classtr = "classtr_pos";
      }
      else {
        $Classtr = "classtr_nag";
      } 
      $Cu_Bal = get_total_cumulative_value_from_pid_ipid($DB,$pm_pid,$ip_id,$admit_days);
      
      if($Cu_Bal > 0) 
      {
        $Classtr = "classtr_pos";
      }
      else {
        $Classtr = "classtr_nag";
      }
      
      ?>
</tr>
<tr id="">
   <td><b>Daily Balance: </b></td>
   <td class="<?php echo $Classtr; ?>"><b><?php echo abs($TotalInput) - abs($TotalOut); ?></b></td>
   <td>-</td>
   <td>-</td>
   <?php if(in_array('318', $AarruserRole))  { ?>
    <td>-</td>
   <?php } ?>  
</tr>
<tr id="">
   <td><b>Cumulative Balance: </b></td>
   <td class="<?php echo $Classtr; ?>"><b><?php echo $Cu_Bal; ?></b></td>
   <td>-</td>
   <td>-</td>
   <?php if(in_array('318', $AarruserRole))  { ?>
    <td>-</td>
   <?php } ?> 
</tr>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tioc_id  = $_POST['delete_tioc_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_in_out_chart_id($DB,$delete_tioc_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_in_out_chart_pid_ipid($DB,$ID);
$return_arr = array("tioc_time" => $RsList['tioc_time'],
                    "tioc_temp" => $RsList['tioc_temp'],
                    "tioc_output" => $RsList['tioc_output'],
                    "tioc_drain_output" => $RsList['tioc_drain_output'],
                    "tioc_id" => $RsList['tioc_id'],
                    "created_by" => $RsList['tioc_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tioc_id = $_POST['tioc_id'];
$tioc_time = $_POST['tioc_time'];
$tioc_temp = $_POST['tioc_temp'];
$tioc_output = $_POST['tioc_output'];
$tioc_drain_output = $_POST['tioc_drain_output'];

$edit_tioc_um_id = $_POST['edit_tioc_um_id'];

$RowIOC = get_single_inpatient_in_out_chart_pid_ipid($DB,$tioc_id);
$pm_pid = $RowIOC['pm_pid'];
$ip_id = $RowIOC['ip_id'];
$admit_days = $RowIOC['tioc_days'];

$row_User_Details = get_user_master_details_from_id($DB,$edit_tioc_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_in_out_chart SET  tioc_time = :tioc_time, 
                  tioc_temp = :tioc_temp,
                  tioc_output = :tioc_output,
                  tioc_drain_output = :tioc_drain_output
                  WHERE tioc_id ='$tioc_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tioc_time", $tioc_time);
   $statement_Image1->bindValue(":tioc_temp", $tioc_temp);
   $statement_Image1->bindValue(":tioc_output", $tioc_output);
   $statement_Image1->bindValue(":tioc_drain_output", $tioc_drain_output);
   $count = $statement_Image1->execute();

if($count) {

?>
<?php 
  $ResultsInoutCharts = get_all_inpatient_in_out_chart_pid_ipid_date($DB,$pm_pid,$ip_id,$admit_days);
  foreach ($ResultsInoutCharts as $RowInoutCharts) { 
    
    //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
  $CreateBy = $RowInoutCharts['tioc_created_by']; 
  $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
?>
<tr id="table_tr_inp_in_out_chart_<?php echo $RowInoutCharts['tioc_id']; ?>">
   <td><?php echo date('h:i A', strtotime($RowInoutCharts['tioc_time']));; ?></td>
   <td><?php echo $RowInoutCharts['tioc_temp']; ?></td>
   <td><?php echo $RowInoutCharts['tioc_output']; ?></td>
   <td><?php echo $RowInoutCharts['tioc_drain_output']; ?></td>
   <td><a href="javascript:void(0)" class="select_edit_inpatient_in_out_chart" ="" title="Edit" data-id="<?php echo $RowInoutCharts['tioc_id']; ?>"><i class="fa fa-fw fa-edit"></i></a></td>
</tr>
<?php } ?>
<tr id="">
   <td><b>Total: </b></td>
   <td><b><?php echo $TotalInput = get_daily_all_inputchart_value_from_pid_ipid($DB,$pm_pid,$ip_id,$admit_days); ?></b></td>
   <td><b><?php echo $TotalOut = get_daily_all_outchart_value_from_pid_ipid($DB,$pm_pid,$ip_id,$admit_days); ?></b></td>
   <td><b><?php echo $TotalDOutput = get_daily_all_drainoutchart_value_from_pid_ipid($DB,$pm_pid,$ip_id,$admit_days); ?></b></td>
   <td><?php $Daily_Bal = abs($TotalInput) - abs($TotalOut); ?>-</td>
   <?php 
      if($Daily_Bal > 0) 
      {
        $Classtr = "classtr_pos";
      }
      else {
        $Classtr = "classtr_nag";
      } 
      $Cu_Bal = get_total_cumulative_value_from_pid_ipid($DB,$pm_pid,$ip_id,$admit_days);
      
      if($Cu_Bal > 0) 
      {
        $Classtr = "classtr_pos";
      }
      else {
        $Classtr = "classtr_nag";
      }
      
      ?>
</tr>
<tr id="">
   <td><b>Daily Balance: </b></td>
   <td class="<?php echo $Classtr; ?>"><b><?php echo abs($TotalInput) - abs($TotalOut); ?></b></td>
   <td>-</td>
   <td>-</td>
   <td>-</td>
</tr>
<tr id="">
   <td><b>Cumulative Balance: </b></td>
   <td class="<?php echo $Classtr; ?>"><b><?php echo $Cu_Bal; ?></b></td>
   <td>-</td>
   <td>-</td>
   <td>-</td>
</tr>
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "past_dia") {
$pm_pid = base64_decode($_POST['id']);

?>

<table class="table " id="example6">
	<thead>
	   <tr>
	      <th>Diagnosis</th>
	      <th>Type</th>
	      <th>Doctor</th>
	      <th>Date</th>
	   </tr>
	</thead>

	<tbody id="add_table_diagnosis">
		<?php 
		   $ResultsCase_Diagnosis = get_patient_case_dia_diagnosis_pid($DB,$pm_pid);
		   if(count($ResultsCase_Diagnosis) > 0) {
		   foreach ($ResultsCase_Diagnosis as $RowCase_Diagnosis) {
		   
		   $UmId = $RowCase_Diagnosis['um_id'];
		   $RowEnter = get_user_master_details_from_id($DB,$UmId);
   
   		?>

   			<tr>
			   <td><?php echo $RowCase_Diagnosis['diagnosis'] ?></td>
			   <td><?php echo $RowCase_Diagnosis['type'] ?></td>
			   <td><?php echo $RowEnter['um_name'] ?></td>
			   <td><?php echo date('d-m-Y', strtotime($RowCase_Diagnosis['tcd_created_date']));?></td>
			</tr>

		<?php } } else { ?>	
			<tr>
                <td colspan="4" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! no any past diagnosis.</em>
                </td> 
            </tr>
		<?php } ?>

	</tbody>
</table>	

<?php } ?>