
<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>

<?php 

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$Um_ID = $row_User_Details['um_id'];

$Pid = $_POST['Pid'];
$Case_Patient_Id = base64_decode($Pid);
$Results_Patient = get_single_patient_details_from_id($DB,$Case_Patient_Id);
$Ipid = $_POST['Ipid'];
$Case_InPatient_Id = base64_decode($Ipid);

$RowInPatientinfo = get_single_inpatient_details_from_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);

$AdmitDate = date('Y-m-d', strtotime($RowInPatientinfo['tapm_admitting_date']));
$AdmitTime = strtotime(date('h:i A', strtotime($RowInPatientinfo['tapm_admitting_time'])));
$ShiftTime =  strtotime(date('h:i A', strtotime($Shift_Time)));

if($AdmitTime >= $ShiftTime)
{
  $AdmitRealDate = date('Y-m-d h:i A', strtotime($RowInPatientinfo['tapm_created_date']));
}

else {
  $AdmitRealDate = date('Y-m-d h:i A', strtotime('-1 day', strtotime($AdmitDate)));
}

$TimeShift = date('Y-m-d h:i A', strtotime($Shift_Time));

date_default_timezone_set('Asia/Kolkata');
//$TodayDateTime =  date('Y-m-d h:i A');
$TodayDateTime = date('Y-m-d h:i A');
$CurruntDate = date('Y-m-d');
$CurruntTime = date('h:i A');

$datediff = time() - strtotime($AdmitRealDate);

if($CurruntDate ==  $AdmitDate)
{
  $AdmitDays = round($datediff / (60 * 60 * 24)) + 1;
}

else {
  $AdmitDays = round($datediff / (60 * 60 * 24));
}

?>
<div class="box-body">
   
    <input type="hidden" id="pm_pid" name="pm_pid" value="<?php echo $Pid; ?>">
    <input type="hidden" id="pm_id" name="pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
    <input type="hidden" id="ip_id" name="ip_id" value="<?php echo $Ipid; ?>">

    <input type="hidden" id="total_admit_days" name="total_admit_days" value="<?php echo $AdmitDays; ?>">
    
    <input type="hidden" id="admit_days" name="admit_days" value="<?php echo $AdmitDays; ?>">


        <div class="col-md-12 form-group title_validation">
          <div class="col-md-5" style="text-align: right;">
             <a href="javascript:void(0)" <?php if($AdmitDays == 1) { ?> style="display: none;" <?php } ?> class="extra_order_data_pre" data-case-p ="<?php echo $Case_Patient_Id; ?>" data-case-inp= "<?php echo $Case_InPatient_Id; ?>"><i class="fa fa-angle-left" style="font-size:30px;" aria-hidden="true"></i></a>
          </div>
          <div class="col-md-2">
            <input type="text" class="form-control" disabled="" data-case-p ="<?php echo $Case_Patient_Id; ?>" data-case-inp= "<?php echo $Case_InPatient_Id; ?>" id="extra_medicine_date" style="border-radius: 25px;text-align: center;background-color: #fff;opacity: 1;" value="<?php echo "Day: ".$AdmitDays; ?>">
          </div>
          <div class="col-md-5">
             <a href="javascript:void(0)" style="display: none;" data-case-p ="<?php echo $Case_Patient_Id; ?>" data-case-inp= "<?php echo $Case_InPatient_Id; ?>" class="extra_order_data_next"><i class="fa fa-angle-right" style="font-size:30px;" aria-hidden="true"></i></a>
          </div>
        </div>

        <div class="col-md-12">
          <div class="box">
            
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">Extra Medication</h3>
              <h6 class="col-md-4" style="padding-right: 0px;text-align: right;">
              <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
              <a href="javascript:void(0)" id="add_inpatient_extra_medication" title="Add New"><i class="fa fa-plus"></i></a>
              <?php } ?>
              </h6>
            </div>
            
            <div class="box-body">
              <table class="table table-bordered" id="extra_medicine">
                <thead>
                  <tr>
                    <th>Medicine</th>
                    <th>Time</th>
                    <th>Reason</th>
                    <th>Remark</th>
                    <th>Enterd By</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>Actions</th>
                    <?php } ?>
                  </tr>
                  </thead>
                  <tbody id="add_table_inp_extra_medication">
                    <?php 

                         $today = date('Y-m-d');
                         $Results_Extra_Medi = get_all_inpatient_extra_medication_pid_ipid_date($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays);
                         if(count($Results_Extra_Medi) > 0) {
                         foreach ($Results_Extra_Medi as $Row_Extra_Medi) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $Row_Extra_Medi['tiem_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>
                    <tr id="table_tr_inp_extra_medication_<?php echo $Row_Extra_Medi['tiem_id']; ?>">
                      <td><?php echo $Row_Extra_Medi['tiem_medicine']; ?></td>
                      <td><?php echo date('h:i A', strtotime($Row_Extra_Medi['tiem_time']));; ?></td>
                      <td><?php echo $Row_Extra_Medi['tiem_reason']; ?></td>
                      <td><?php echo $Row_Extra_Medi['tiem_remark']; ?></td>
                      <td><?php echo $RowEnterBy['um_name']; ?></td>
                      <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                      <td><a href="javascript:void(0)" class="select_edit_inpatient_extra_medication" ="" title="Edit" data-id="<?php echo $Row_Extra_Medi['tiem_id']; ?>"><i class="fa fa-fw fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_extra_medication" data-id="<?php echo $Row_Extra_Medi['tiem_id'] ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td>
                      <?php } ?>
                    </tr>
                  <?php } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan="6" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any Extra Medicine.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?> 
                </tbody>
              </table>
            </div>
            
          </div>
        </div>

        <div class="col-md-12">
          <div class="box">
            
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">Extra Orders</h3>
              <h6 class="col-md-4" style="padding-right: 0px;text-align: right;">
              <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
              <a href="javascript:void(0)" id="add_inpatient_extra_order" title="Add New"><i class="fa fa-plus"></i></a>
              <?php } ?>
              </h6>
            </div>
            
            <div class="box-body">
              <table class="table table-bordered" id="extra_order">
                <thead>
                  <tr>
                    <th>Details</th>
                    <th>Time</th>
                    <th>Remark</th>
                    <th>Enterd By</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>Actions</th>
                    <?php } ?>
                  </tr>
                  </thead>
                  <tbody id="add_table_inp_extra_order" >
                    <?php 
                          $today = date('Y-m-d');
                         $Results_Extra_Order = get_all_inpatient_extra_order_pid_ipid_date($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays);
                         if(count($Results_Extra_Order) > 0) {
                         foreach ($Results_Extra_Order as $Row_Extra_Order) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $Row_Extra_Order['tieo_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>
                    <tr id="table_tr_inp_extra_order_<?php echo $Row_Extra_Order['tieo_id']; ?>">
                      <td><?php echo $Row_Extra_Order['tieo_details']; ?></td>
                      <td><?php echo date('h:i A', strtotime($Row_Extra_Order['tieo_time']));; ?></td>
                      <td><?php echo $Row_Extra_Order['tieo_remark']; ?></td>
                      <td><?php echo $RowEnterBy['um_name']; ?></td>
                      <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                      <td><a href="javascript:void(0)" class="select_edit_inpatient_extra_order" ="" title="Edit" data-id="<?php echo $Row_Extra_Order['tieo_id']; ?>"><i class="fa fa-fw fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_extra_order" data-id="<?php echo $Row_Extra_Order['tieo_id'] ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td>
                      <?php } ?>
                    </tr>
                  <?php } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan="5" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any Extra Order.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?> 
                </tbody>
              </table>
            </div>
            
          </div>
        </div>
</div>