<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>

<?php 

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$Um_ID = $row_User_Details['um_id'];

$Pid = $_POST['Pid'];
$Case_Patient_Id = base64_decode($Pid);
$Results_Patient = get_single_patient_details_from_id($DB,$Case_Patient_Id);
$Ipid = $_POST['Ipid'];
$Case_InPatient_Id = base64_decode($Ipid);

$RowInPatientinfo = get_single_inpatient_details_from_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);

?>
<div class="box-body">
   
   <input type="hidden" id="pm_pid" name="pm_pid" value="<?php echo $Pid; ?>">
   <input type="hidden" id="pm_id" name="pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
   <input type="hidden" id="ip_id" name="ip_id" value="<?php echo $Ipid; ?>">

   <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
   <div class="col-md-12" style="text-align: right; margin-bottom: 10px;">
      <button type="submit" style="padding: 0px 10px;" id="imp_show_past_diagnosis" class="btn btn-primary">Past Diagnosis</button>
   </div>
   <?php } ?>

   <div class="col-md-12">
          <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">On Admission Diagnosis</h3>

              <h6 class="col-md-4" style="padding-right: 7px;text-align: right;">
              <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?><a href='javascript:void(0)' id="add_inpatient_onadmit_dia" title="Add New"><i class="fa fa-fw fa-plus"></i></a>
              <?php } ?>  
              </h6>
            </div>

            <table class="table table-bordered">
                <thead>
                  <tr>
                    <th>Type</th>
                    <th>Diagnosis</th>
                    <th>Doctor</th>
                    <th>Date</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>Action</th>
                    <?php } ?>
                  </tr>
                </thead>
                <tbody id="add_table_inp_onadmit_dia">
                  
                  <?php 
                         $ResultsSingleDiagnosis = get_all_inpatient_admit_diagnosis_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);
                         if(count($ResultsSingleDiagnosis) > 0) {
                          foreach ($ResultsSingleDiagnosis as $RowSingleDiagnosis) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $RowSingleDiagnosis['tiod_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>
                  <tr id="table_tr_inp_onadmit_dia_<?php echo $RowSingleDiagnosis['tiod_id']; ?>">
                    <td><?php echo $RowSingleDiagnosis['tiod_type']; ?></td>
                    <td><?php echo $RowSingleDiagnosis['tiod_diagnosis']; ?></td>
                    <td><?php echo $RowEnterBy['um_name']; ?></td>
                    <td><?php echo  date('d-m-Y', strtotime($RowSingleDiagnosis['tiod_created_date']));?></td>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <td><a href="javascript:void(0)" class="select_edit_inp_onadmit_dia" ="" title="Edit" data-id="<?php echo $RowSingleDiagnosis['tiod_id']; ?>"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_admit_dia" data-id="<?php echo $RowSingleDiagnosis['tiod_id']; ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td>
                    <?php } ?>
                  </tr>
                  <?php } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan="5" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any On Admission Diagnosis.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?>
               
                </tbody>
            </table>
          </div>
          <!-- /.box -->
   </div>

   <div class="col-md-12">
          <div class="box box-default">
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">Discharge Diagnosis</h3>

              <h6 class="col-md-4" style="padding-right: 7px;text-align: right;">
              <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?><a href='javascript:void(0)' id="add_inpatient_discharge_dia" title="Add New"><i class="fa fa-fw fa-plus"></i></a><?php } ?></h6>
            </div>

            <table class="table table-bordered">
              <thead>
                  <tr>
                    <th>Type</th>
                    <th>Diagnosis</th>
                    <th>Doctor</th>
                    <th>Date</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?><th>Action</th><?php } ?>
                  </tr>
              </thead>
              <tbody id="add_table_inp_discharge_dia">
                  
                  <?php 
                         $ResultsDischargeDiagnosis = get_all_inpatient_discharge_diagnosis_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);
                         if(count($ResultsDischargeDiagnosis) > 0) {
                          foreach ($ResultsDischargeDiagnosis as $RowDischargeDiagnosis) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $RowDischargeDiagnosis['tidd_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>
                  <tr id="table_tr_inp_discharge_dia_<?php echo $RowDischargeDiagnosis['tidd_id'] ?>">
                    <td><?php echo $RowDischargeDiagnosis['tidd_type']; ?></td>
                    <td><?php echo $RowDischargeDiagnosis['tidd_diagnosis']; ?></td>
                    <td><?php echo $RowEnterBy['um_name']; ?></td>
                    <td><?php echo  date('d-m-Y', strtotime($RowDischargeDiagnosis['tidd_created_date']));?></td>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?><td><a href="javascript:void(0)" class="select_edit_inp_discharge_dia" ="" title="Edit" data-id="<?php echo $RowDischargeDiagnosis['tidd_id']; ?>"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_discharge_dia" data-id="<?php echo $RowDischargeDiagnosis['tidd_id'] ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td><?php } ?>
                  </tr>
                  <?php } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan="5" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any Discharge Diagnosis.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?>
               
                </tbody>    
            </table>
          </div>
          <!-- /.box -->
   </div>

</div>