<?php 
if(!in_array("3", $ArrayModuleMenu) || !in_array("310", $AarruserRole))
{
  header("Location: ".$Main_Site_Url);
  exit;
}
?>


<style type="text/css">
.dataTables_empty
{
  text-align: center;
}
.scrollbar
{
    display: block;
    height: 178px;
    overflow-x: auto;
    border-left: 2px solid #f4f4f4;
    border-bottom: 2px solid #f4f4f4;
    padding-left: 5px;


}

.scrollbar1
{
    display: block;
    height: 178px;
    overflow-x: auto;
    border-left: 2px solid #f4f4f4;
    border-bottom: 2px solid #f4f4f4;
    padding-left: 5px;


}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}

/*
 *  STYLE 3
 */

</style>
<?php 

function random_num ($len)
{
 $ch = "0123456789";
 $l = strlen ($ch) - 1;
 $str = "";
 for ($i=0; $i < $len; $i++)
 {
     $x = rand (0, $l);
     $str .= $ch[$x];
 }
 return $str;
}

$Row_Summary = get_all_inpatient_admit_notes_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);
$InAdId = $Row_Summary['tian_id'];
$InAdId = base64_encode($InAdId);
$tcm_in_chief_com = $Row_Summary['tcm_in_chief_com'];
$tcm_in_assessment_notes = $Row_Summary['tcm_in_assessment_notes'];
$tcm_in_history = $Row_Summary['tcm_in_history'];
$tcm_in_remark = $Row_Summary['tcm_in_remark'];
$tcm_in_mse = $Row_Summary['tcm_in_mse'];
?>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Admission
        <small>Notes</small>
      </h1>
      <ol class="breadcrumb">
       <!--  <li><a href="add_patient.php"><i class="fa fa-plus"></i>Add Patient</a></li> -->
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <?php 

      if(isset($Row_Summary) && !empty($Row_Summary))
        {
      ?>
          
      <div class="row">
        
        <div class="col-md-12">
          <div class="box box-solid">
            
            <div class="box-body">
              <dl>
                
                <?php if($tcm_in_chief_com != '') { ?>

                <dt>Chief Complaints</dt>
                <dd style="margin-bottom: 10px;"><?php echo $tcm_in_chief_com; ?></dd>

                <?php } ?>


                <?php if($tcm_in_assessment_notes != '') { ?>

                <dt>Clinical Notes</dt>
                <dd style="margin-bottom: 10px;"><?php echo $tcm_in_assessment_notes; ?></dd>
                
                <?php } ?>

                <?php if($tcm_in_history != '') { ?>

                <dt>History</dt>
                <dd style="margin-bottom: 10px;"><?php echo $tcm_in_history; ?></dd>
                
                <?php } ?>

                <?php if($tcm_in_mse != '') { ?>

                <dt>Examinations</dt>
                <dd style="margin-bottom: 10px;"><?php echo $tcm_in_mse; ?></dd>
                
                <?php } ?>

                <?php if($tcm_in_remark != '') { ?>

                <dt>History</dt>
                <dd style="margin-bottom: 10px;"><?php echo $tcm_in_remark; ?></dd>
                
                <?php } ?>

                <?php 
                    $ResultsCase_Allergies = get_patient_case_allergies($DB,$Results_Patient['pm_id'],$Um_ID);

                    if(count($ResultsCase_Allergies) > 0) {
                ?>

                <dt>Allergies</dt>
                
                    
                <dd style="margin-bottom: 10px; margin-left: 10px;">
                  <?php foreach ($ResultsCase_Allergies as $RowCase_Allergies) {

                    $UmId = $RowCase_Allergies['um_id'];
                    $RowEnter = get_user_master_details_from_id($DB,$UmId);
                  ?>
                    <b style="font-size: 12px;"><?php echo $RowCase_Allergies['type'] ?></b> Recorded on <b style="font-size: 12px;"><?php echo date('d-m-Y', strtotime($RowCase_Allergies['tca_created_date'])); ?></b> by <b style="font-size: 12px;"><?php echo $RowEnter['um_name']; ?></b>
                    <br />
                  <?php } ?>  
                </dd>
                
                <?php } ?>

                
              </dl>
            </div>
            
            <!-- /.box-body -->
          </div>
          
          <!-- /.box -->
        </div>
      
      </div>

      <!-- <div class="col-md-12">
          <div class="row">
              <div class="col-md-12" style="text-align: center;">
                <a href="pdf_casemanager.php?p_id=MjAxODA0MDA0&amp;pdf_id=NQ==" target="_blank"><button type="button" id="submit_button" class="btn btn-primary">Print</button></a>
              </div>

          </div>
        </div> -->
        

      <?php } else { ?> 

      <div class="row">

        <div class="col-md-12 dis_text">

          <div class="box">
            <div class="box-body">
            <h4 style="text-align: center;">Sorry!!</h4>

            <p style="text-align: center;">This patient do not have any Admission Notes</p>
            </div>
          </div>
        
        </div>

      </div> 

      <?php } ?>

      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>

<div class="modal fade" id="model_submit_discharge">         
          <div class="modal-dialog" role="form" style="width: 500px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Discharge</h4>
              </div>
              <form method="post" id="discharge" action="action/action_discharge.php?do=discharge">
              <input type="hidden" name="in_id" id="in_id" value="<?php echo $Results_InPatient['in_pid'];?>">
                <div class="box-body">
                  <label>Are you sure you want to Discharge the patient?</label>                 
                </div>
                <div class="box-footer" style="text-align: center;">
                  <button type="submit" id="submit_button_discharge" name="readmit" class="btn btn-primary">Yes</button>
                  <button type="submit" id="submit_button" name="readmit" class="btn btn-primary">No</button>
                  <span class="err_register" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                  <br>
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                </form>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->         
</div>