<style type="text/css">
    body {
        font-family: 'Arial'
    }
    
    @page { margin: 80px 20px 50px 20px; }
    #header { position: fixed; left: 0px; top: -80px; right: 0px; height: auto; text-align: center;  }
    #footer { position: fixed; left: 0px; bottom: -50px; right: 0px; height: 50px; text-align: center; }
    #footer .page:after { content: counter(page); }

    #watermark {
        position: fixed;
        top: 30%;
        width: 100%;
        text-align: center;
        opacity: .6;
        /*transform: rotate(10deg);*/
        transform-origin: 50% 50%;
        z-index: -1000;
    }

    .patient_table {
       border-bottom: 1px solid grey;
       text-align: left;
       padding-left: 3px;
       font-size: 12px;
       margin-bottom: 10px;
       padding-bottom: 10px;
    }

    .maintable td, th {
      border: 1px solid grey;
      text-align: left;
      padding-left: 3px;
      font-size: 12px;

    }

    .maintable th {
      text-transform: uppercase;
      font-size: 10px;
    }

    .maintable {
      border-collapse: collapse;
    }

    .sign_table {
       width: 100%; 
       margin-top: 65px;
       font-size: 12px; 
    }
    
</style>

<?php

error_reporting(0); 

$UmId = $RowRetailSale['um_id'];
$RowEnterBy = get_user_master_details_from_id($DB,$UmId);
$p_id = $RowRetailSale['pm_pid'];
$dd = $RowRetailSale['tpsr_date'];
$da = date("d/m//Y",strtotime($dd));
$Results_Patient = get_single_patient_details_from_id($DB,$p_id);

$hos_id = $_SESSION['hm_id'];
$RowHospital = get_hospital_details_from_id($DB,$hos_id);

$sale_id = $RowRetailSale['tpsi_pid'];

$ModuleId = $RowRetailSale['pharma_id'];

$RowModule = get_single_module_detials_from_id($DB,$ModuleId);
$Pharma_Id = $RowModule['pharma_id'];
$RowPharma = get_pharmacy_from_pharm_id($DB,$Pharma_Id);

/**/
//print_r($RowRetailSale);
//$RowRetailSale

/**/
?>



<div id="header">
   <div style="width: 100%; font-size: 12px; padding-bottom: 10px; padding-right: 10px; border-bottom: 1px solid #000;" >
      <h2 style=" margin-bottom: 4px;"><?php echo $RowPharma['pharma_name']; ?></h2>
      <?php echo $RowPharma['pharma_address1'].", ".$RowPharma['pharma_address2'].", ".$RowPharma['pharma_area'].", ".$RowPharma['pharma_city'].", ".$RowPharma['pharma_state'].", ".$RowPharma['pharma_pincode']; ?>
   </div>
</div>

<div id="footer">
    <div style="width: 100%; font-size: 12px; border-top: 1px dashed #000; text-align: left; padding-top: 8px;" >
        <span>SUBJECT To Ahmedabad JURISDICTION <br /> E.&.O.E</span>
        <!-- <p>Page: <span class="page"></span></p> -->
        
    </div>
</div>

<table class="patient_table" style="width: 100%;">

    <tr >
      <td width="33%"><strong>Sale Return ID: </strong> <?php echo $RowRetailSale['tpsr_main_id']; ?></td>
      <td width="33%"><strong>Sale Invoice ID: </strong> <?php echo $sale_id; ?></td>
      <td width="33%"><strong>Patient Name: </strong> <?php echo $Results_Patient['pm_first_name']." ".$Results_Patient['pm_middle_name']." ".$Results_Patient['pm_last_name']; ?></td>
      

   </tr>
   <tr style="padding: 5px 5px 5px 5px;">
      <td width="33%"><strong>Patient Id: </strong> <?php echo $Results_Patient['pm_pid']; ?></td>
      <td  width="33%"><strong>Age: </strong> <?php echo $diff = (date('Y') - date('Y',strtotime($Results_Patient['pm_dob']))); ?> Year(s) <?php echo $Results_Patient['pm_gender']; ?></td>
      <td width="33%"><strong>Date: </strong> <?php echo $da ;?></td>
   </tr>
</table>

<table class="maintable" style="width: 100%;">
  <thead>
    <tr style="padding: 5px 5px 5px 5px;">
      <th>Medicine Name</th>
      <th>Batch</th>
      <th>Expiry Date</th>
      <th>Qty</th>
      <th>Gst</th>
      <th>Discount(%)</th>
      <th>Total</th>
    </tr>
  </thead>
  <tbody>
      <?php
         $service = get_single_sale_return_data($DB,$pid);
         $numItems = count($service);
         $j=0;
         foreach ($service as $su_ser) {
            // print_r($su_ser);
           $medi_id = $su_ser['tpm_id'];
           $batch_id = $su_ser['tpmb_id'];
         
           $medi_data = get_single_medicine_name_by_id($DB,$medi_id);
           //print_r($medi_data);
           $batch_data = get_single_medicine_batch_name_by_id($DB,$batch_id);
           //print_r($batch_data);
                 ++$j;
                
         // $get_service1 = get_only_single_service_id($DB,$service_id);
         ?>
      <tr id="row<?php echo $j;?>">
         <td width="15%"><?php echo $medi_data['tpm_name'];?></td>
         <td><?php echo $batch_data['tpmb_name'];?></td>
         <td><?php echo $su_ser['tpsrq_exp_date'];?></td>
         <td><?php echo $su_ser['tpsrq_qty'];?></td>
         <td><?php echo number_decimal($su_ser['tpsrq_gst_rate']);?></td>
         <td><?php echo number_decimal($su_ser['tpsrq_dis_rate']);?></td>
         <td><?php echo number_decimal($su_ser['tpsrq_total']);?></td>
      </tr>
      <?php } ?>
      <tr>
         <td style="text-align: right; padding-right: 10px; text-transform: uppercase; font-size: 10px;" colspan="6"><b>Subtotal</b></td>
         <td><?php echo number_decimal($RowRetailSale['tpsr_sub_total']);?></td>
      </tr>
      <tr>
         <td style="text-align: right; padding-right: 10px; text-transform: uppercase; font-size: 10px;" colspan="6"><b>cgst</b></td>
         <td class="sub_total"><?php echo number_decimal($RowRetailSale['tpsr_gst_total']);?></td>
      </tr>
      <tr>
         <td style="text-align: right; padding-right: 10px; text-transform: uppercase; font-size: 10px;" colspan="6"><b>sgst</b></td>
         <td class="sub_total"><?php echo number_decimal($RowRetailSale['tpsr_sgst_total']);?></td>
      </tr>
      <tr>
         <td style="text-align: right; padding-right: 10px; text-transform: uppercase; font-size: 10px;" colspan="6"><b>Dis</b></td>
         <td class="sub_total"><?php echo number_decimal($RowRetailSale['tpsr_dis_total']);?></td>
      </tr>
      <tr>
         <td style="text-align: right; padding-right: 10px; text-transform: uppercase; font-size: 10px;" colspan="6"><b>Rebate</b></td>
         <td><?php echo number_decimal($RowRetailSale['tpsr_rebate_amount']);?></td>
      </tr>
      <tr>
         <td style="text-align: right; padding-right: 10px; text-transform: uppercase; font-size: 10px;" colspan="5"><b><?php echo convertToIndianCurrency($RowRetailSale['tpsr_grand_total'])." Only";?></b></td>
         <td style="text-align: right; padding-right: 10px; text-transform: uppercase; font-size: 10px;"><b>Grand Total</b></td>
         <td><?php echo number_decimal($RowRetailSale['tpsr_grand_total']);?></td>
      </tr>            
   </tbody>
</table>

<table class="sign_table">
  <tr style="text-align: right;">
    <td><b>Authorised Signatory</b></td>
  </tr>
</table>





    

