<?php
date_default_timezone_set("Asia/Kolkata");
$date_new = date("Y-m-d");
$time_new = date("H:i");

$SessionDoctor = $_SESSION['doc_id'];
$RowDoctorDetails = get_doctor_details_from_id($DB,$SessionDoctor);
$Doc_DPId = $RowDoctorDetails['dp_id'];
$Doc_DepartMentDetails =  get_department_details_from_id($DB,$Doc_DPId);


?>
 <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Add
        <small>Patient (<?php echo $RowDoctorDetails['um_name']; ?>, <?php echo $Doc_DepartMentDetails['dp_name']; ?>)</small>
      </h1>
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        <!-- left column -->
        <div class="col-md-12">
          <!-- general form elements -->
          <div class="box box-primary">
            
            <!-- /.box-header -->
            <!-- form start -->
            
 
              <div class="box-body">              
                <div class="row">
                  <div class="form-group col-md-12">
                   <label>Patient Type</label>
                   <br>
                   <label><input type="radio" checked="" class="option_patient_type" value="New" name="option_patient_type"> New patient</label> &nbsp;&nbsp;&nbsp;
                   <label><input type="radio" class="option_patient_type" value="Old" name="option_patient_type"> Old patient</label>
                  </div>
                </div>
                
                <div class="form_new_patient">
                  <form role="form" id="new_patient_form_add" action="action/action_patient_master.php?do=add" method="post">
                    
                    <div class="row">
                      <div class="form-group col-md-3">
                        <label for="exampleInputEmail1">Patient ID</label>
                        <input type="text" id="" name="" class="form-control" value="" readonly="" readonly="true" placeholder="Patient ID">

                      </div>

                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1">Reference ID</label>
                        <input type="text" id="pm_ref_id" name="pm_ref_id" class="form-control" placeholder="Reference ID">
                      </div>

                      <div class="form-group col-md-3">
                         <label>Blood Group</label>

                      <select name="pm_blood_group" id="pm_blood_group" class="form-control select2" style="width: 100%;">

                                      <option value="">Select</option>
                                      <option value="A+">A+</option>
                                      <option value="A-">A-</option>
                                      <option value="B+">B+</option>
                                      <option value="B-">B-</option>
                                      <option value="AB+">AB+</option>
                                      <option value="AB-">AB-</option>
                                      <option value="O+">O+</option>
                                      <option value="O-">O-</option>
                      </select>
                        
                      </div>

                      <div class="form-group col-md-3">
                        <label for="exampleInputEmail1">Mediclaim</label>
                        <input type="text" name="pm_mediclaim" id="pm_mediclaim" class="form-control" placeholder="Mediclaim">

                      </div>
                    </div>
                    <div class="row">
                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1">First Name*</label>
                        <input type="text" name="pm_first_name" id="pm_first_name" class="form-control" placeholder="First Name">
                      </div>
                     
                      <div class="form-group col-md-2">
                       <label for="exampleInputPassword1">Middle Name</label>
                        <input type="text" id="pm_middle_name" name="pm_middle_name" class="form-control" placeholder="Middle Name">
                      </div>

                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1">Last Name*</label>
                        <input type="text" id="pm_last_name" name="pm_last_name" class="form-control" placeholder="Last Name">
                      </div>

                     <div class="form-group col-md-6">
                        <label for="exampleInputPassword1">Remarks</label>
                        <input type="text" id="pm_remarks" name="pm_remarks" class="form-control" placeholder="Remarks">
                      </div>
                    </div>
                    <div class="row">
                      <div class="form-group col-md-6">
                        <label for="exampleInputPassword1">Gender*</label>
                        <br>
                        <label><input type="radio" id="pm_gender1" value="Male" name="pm_gender"> Male</label> &nbsp;&nbsp;&nbsp;
                        <label><input type="radio" id="pm_gender2" value="Female" name="pm_gender"> Female</label> &nbsp;&nbsp;&nbsp;
                        <label><input type="radio" id="pm_gender3" value="Other" name="pm_gender"> Other</label>
                      </div>

                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1">Secondary Contact</label>
                        <input type="text" class="form-control" name="pm_second_name" id="pm_second_name" placeholder="Name">
                      </div>

                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1"> </label>
                        <input type="text" class="form-control" id="pm_contact_no2" placeholder="Phone Number" name="pm_contact_no2" style="margin-top: 5px;">
                      </div>
                     
                      <div class="form-group col-md-2">
                       <label for="exampleInputPassword1"> </label>
                        <input type="text" id="pm_relation" name="pm_relation" class="form-control" placeholder="Relationship" style="margin-top: 5px;">
                      </div>
                    </div>
                    <div class="row">
                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1"> Date of Birth*</label>
                        <input type="text" data-inputmask="'alias': 'dd/mm/yyyy'" data-mask name="pm_dob" id="pm_dob" class="form-control datemask" placeholder="">
                      </div>
                     
                      <div class="form-group col-md-2">
                       <label for="exampleInputPassword1">Age *</label>
                        <input type="text" id="pm_age" name="pm_age" class="form-control" placeholder="Age">
                      </div>

                      <div class="form-group col-md-1">
                        <p id="age_string" style="margin-top: 30px;"></p>
                      </div>

                       <div class="form-group col-md-6">
                        <br>
                          <label for="exampleInputPassword1">Appointment Details: </label>
                         <label><input type="radio" checked value="Walk" class="walk" id="pm_appointment_type" name="pm_appointment_type"> Walk In</label>  &nbsp;&nbsp;&nbsp;
                          <label><input type="radio" value="Appointment" class="appointment" id="pm_appointment_type" name="pm_appointment_type"> Set Appointment</label> 
                          
                        </div>
                    </div>
                    
                    <div class="row">

                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1">Contact Info*</label>
                        <input type="text" class="form-control" name="pm_contact_no" id="pm_contact_no" placeholder="Contact Number">
                      </div>
                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1"></label>
                        <input type="text" class="form-control" name="pm_email" id="pm_email" placeholder="Email" style="margin-top: 5px;">
                      </div>


                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1">Appointment</label>
                        <input type="text" class="form-control" readonly="" name="pm_appointment_date" id="pm_appointment_date" value="<?php echo date('m/d/Y'); ?>">
                      </div>
                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1"></label>
                        <input type="time" class="form-control" readonly="" name="pm_appointment_time" id="pm_appointment_time" value="<?php echo date('H:i'); ?>" style="margin-top: 5px;">
                      </div>
                    </div>
                    
                    <div class="row">
                       <div class="form-group col-md-3">
                          <label for="exampleInputPassword1">Referred By</label>
                          <input type="text" class="form-control" name="srch_dr_names" id="srch_dr_names" placeholder="Doctor" autocomplete="on">
                        </div>

                        <div class="form-group col-md-1" id="edit_new_template_part">
                        <i class="fa fa-plus" aria-hidden="true" style="margin-top: 37px; cursor: pointer;"></i>
                        </div>
                        <div class="form-group col-md-2">
                          <label for="exampleInputPassword1"></label>
                          <input type="text" class="form-control" name="ad_other_ref" id="ad_other_ref" placeholder="Other" style="margin-top: 5px;">
                        </div>
                        <input type="hidden" name="ad_otr_rfe_phone" id="ad_otr_rfe_phone">

                        <div class="form-group col-md-6">
                         <label>Case Type*</label>
                          <select name="pm_case_type" id="pm_case_type" class="form-control select2" style="width: 100%;">
                              <option value="">Select One</option>
                              <option value="New">New</option>
                              <option value="Follow-up">Follow-up</option>
                              <option value="Urgent">Urgent</option>
                          </select>
                        
                        </div>
                    </div>

                    <div class="row">
                      <div class="form-group col-md-4">
                        <label for="exampleInputPassword1">Address</label>
                        <input type="text" class="form-control" name="pm_address" id="pm_address" placeholder="Address">
                      </div>
                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1"></label>
                        <input type="text" class="form-control" name="pm_city" id="pm_city" placeholder="City" style="margin-top: 5px;">
                      </div>

                        <div class="form-group col-md-6">
                        <br>
                          <label for="exampleInputPassword1">DND: </label><br>
                         <label><input type="radio" value="1" id="pm_dnd" name="pm_dnd"> Yes</label>  &nbsp;&nbsp;&nbsp;
                          <label><input type="radio" checked value="0" id="pm_dnd" name="pm_dnd"> No</label> 
                          
                        </div>
                    </div>

                    <div class="row">
                       <div class="form-group col-md-2">
                        <label for="exampleInputPassword1"></label>
                        <input type="text" class="form-control" name="pm_state" id="pm_state" placeholder="State" style="margin-top: 5px;">
                        </div>
                        <div class="form-group col-md-2">
                          <label for="exampleInputPassword1"></label>
                          <input type="text" class="form-control" name="pm_pincode" id="pm_pincode" placeholder="Pincode" style="margin-top: 5px;">

                        </div>
                        <div class="form-group col-md-2">
                          <label for="exampleInputPassword1"></label>
                          <input type="text" class="form-control" name="pm_country" id="pm_country" placeholder="Country" style="margin-top: 5px;">
                        </div>
                    </div>

                    <div class="box-footer">
                      <button type="submit" id="submit_new_patient_add" class="btn btn-primary">Submit</button>
                      <a href="reception.php"><button type="button" class="btn btn-danger">Cancel</button></a>
                      <span class="err_register_new" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                      <br />
                      <span class="help-block" style="margin-top: 5px; color: red;"></span>
                    </div>

                  </form>

                </div>

                <div class="form_old_patient" style="display: none;">
                  <form role="form" id="new_patient_form_add_old" action="action/action_patient_master.php?do=add_old" method="post">
                  <input type="hidden" name="old_pid" id="old_pid">
                    
                    <div class="row">
                      <div class="form-group col-md-3">
                        <label for="exampleInputEmail1">Patient ID</label>
                        <input type="text" id="old_pm_pid" name="old_pm_pid" class="form-control ui-autocomplete-input" value="" placeholder="Patient ID">

                      </div>

                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1">Reference ID</label>
                        <input type="text" id="old_pm_ref_id" name="old_pm_ref_id" class="form-control" placeholder="Reference ID">
                      </div>

                      <div class="form-group col-md-3">
                         <label>Blood Group</label>

                      <select name="old_pm_blood_group" id="old_pm_blood_group" class="form-control select2" style="width: 100%;">

                                      <option value="">Select</option>
                                      <option value="A+">A+</option>
                                      <option value="A-">A-</option>
                                      <option value="B+">B+</option>
                                      <option value="B-">B-</option>
                                      <option value="AB+">AB+</option>
                                      <option value="AB-">AB-</option>
                                      <option value="O+">O+</option>
                                      <option value="O-">O-</option>
                      </select>
                        
                      </div>

                      <div class="form-group col-md-3">
                        <label for="exampleInputEmail1">Mediclaim</label>
                        <input type="text" name="old_pm_mediclaim" id="old_pm_mediclaim" class="form-control" placeholder="Mediclaim">

                      </div>
                    </div>

                    <div class="row">
                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1">First Name*</label>
                        <input type="text" name="old_pm_first_name" id="old_pm_first_name" class="form-control" placeholder="First Name">
                      </div>
                     
                      <div class="form-group col-md-2">
                       <label for="exampleInputPassword1">Middle Name</label>
                        <input type="text" id="old_pm_middle_name" name="old_pm_middle_name" class="form-control" placeholder="Middle Name">
                      </div>

                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1">Last Name*</label>
                        <input type="text" id="old_pm_last_name" name="old_pm_last_name" class="form-control" placeholder="Last Name">
                      </div>

                     <div class="form-group col-md-6">
                        <label for="exampleInputPassword1">Remarks</label>
                        <input type="text" id="old_pm_remarks" name="old_pm_remarks" class="form-control" placeholder="Remarks">
                      </div>
                    </div>
                    <div class="row">
                      <div class="form-group col-md-6">
                        <label for="exampleInputPassword1">Gender*</label>
                        <br>
                        <label><input type="radio" id="old_pm_gender1" value="Male" name="old_pm_gender"> Male</label> &nbsp;&nbsp;&nbsp;
                        <label><input type="radio" id="old_pm_gender2" value="Female" name="old_pm_gender"> Female</label> &nbsp;&nbsp;&nbsp;
                        <label><input type="radio" id="old_pm_gender3" value="Other" name="old_pm_gender"> Other</label>
                      </div>

                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1">Secondary Contact</label>
                        <input type="text" class="form-control" name="old_pm_second_name" id="old_pm_second_name" placeholder="Name">
                      </div>

                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1"> </label>
                        <input type="text" class="form-control" id="old_pm_contact_no2" placeholder="Phone Number" name="old_pm_contact_no2" style="margin-top: 5px;">
                      </div>
                     
                      <div class="form-group col-md-2">
                       <label for="exampleInputPassword1"> </label>
                        <input type="text" id="old_pm_relation" name="old_pm_relation" class="form-control" placeholder="Relationship" style="margin-top: 5px;">
                      </div>
                    </div>
                    <div class="row">

                      <div class="form-group col-md-4">
                        <label for="exampleInputPassword1"> Date of Birth*</label>
                        <input type="text" data-inputmask="'alias': 'dd/mm/yyyy'" data-mask name="old_pm_dob" id="old_pm_dob" class="form-control datemask" placeholder="">
                      </div>
                     
                      <div class="form-group col-md-2">
                       <label for="exampleInputPassword1">Age *</label>
                        <input type="text" id="old_pm_age" name="old_pm_age" class="form-control" placeholder="Age">
                      </div>  
                      

                       <div class="form-group col-md-6">
                         <label for="exampleInputPassword1">Appointment Details: </label>
                         <label><input type="radio" checked value="Walk" class="old_walk" id="old_pm_appointment_type"  name="old_pm_appointment_type"> Walk In</label>  &nbsp;&nbsp;&nbsp;
                          <label><input type="radio" value="Appointment" class="old_appointment" id="old_pm_appointment_type" name="old_pm_appointment_type"> Set Appointment</label> 
                          
                       </div>
                    </div>
                    
                    <div class="row">

                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1">Contact Info*</label>
                        <input type="text" class="form-control" name="old_pm_contact_no" id="old_pm_contact_no" placeholder="Contact Number">
                      </div>
                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1"></label>
                        <input type="text" class="form-control" name="old_pm_email" id="old_pm_email" placeholder="Email" style="margin-top: 5px;">
                      </div>


                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1">Appointment</label>
                        <input type="text" readonly="" class="form-control" name="old_pm_appointment_date" id="old_pm_appointment_date" value="<?php echo date('m/d/Y'); ?>">
                      </div>
                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1"></label>
                        <input type="time" readonly="" class="form-control" name="old_pm_appointment_time" id="old_pm_appointment_time" value="<?php echo date('H:i'); ?>" style="margin-top: 5px;">
                      </div>
                    </div>
                    
                    <div class="row">
                       <div class="form-group col-md-3">
                          <label for="exampleInputPassword1">Referred By</label>
                          <input type="text" class="form-control" name="old_srch_dr_names" id="old_srch_dr_names" placeholder="Doctor">
                        </div>
                        <div class="form-group col-md-1" id="old_edit_new_template_part">
                        <i class="fa fa-plus" id="old_edit_new_template_btn" aria-hidden="true" style="margin-top: 37px; cursor: pointer;"></i>
                        </div>
                        <div class="form-group col-md-2">
                          <label for="exampleInputPassword1"></label>
                          <input type="text" class="form-control" name="old_other_ref" id="old_other_ref" placeholder="Other" style="margin-top: 5px;">
                        </div>

                         <input type="hidden" name="old_other_ref_phone" id="old_other_ref_phone">

                        <div class="form-group col-md-6">
                         <label>Case Type*</label>
                          <select name="old_pm_case_type" id="old_pm_case_type" class="form-control select2" style="width: 100%;">
                              <option value="">Select One</option>
                              <option value="New">New</option>
                              <option value="Follow-up">Follow-up</option>
                              <option value="Urgent">Urgent</option>
                          </select>
                        
                        </div>
                    </div>

                    <div id="old_edit_new_template" style="display: none;">
                        <input type="hidden" name="old_rfe_srch" id="old_rfe_srch">
                        <input type="hidden" name="old_new_doc_phone" id="new_doc_phone">
                       <div class="row">
                          <div class="col-md-3">
                             <label>Name</label>
                             <input type="text" class="form-control" autocomplete="off" placeholder="Doctor Name" id="ad_new_doc_name_old">
                             <p id="ad_span_name1" style="color: red;"></p>
                          </div>
                          <div class="col-md-3">
                             <label>Degree</label>
                             <input type="text" class="form-control new_rm_doc_degree" autocomplete="off" placeholder="Degree" id="ad_new_doc_degree_old">
                             <p id="ad_span_name2" style="color: red;"></p>
                          </div>
                       </div>
                       <div class="row">
                          <div class="col-md-3">
                             <label>Location</label>
                             <input type="text" class="form-control " autocomplete="off" placeholder="Location" id="ad_new_doc_location_old">
                             <p id="ad_span_name3" style="color: red;"></p>
                          </div>
                          <div class="col-md-3">
                             <label>Phone</label>
                             <input type="number" min="0" class="form-control new_rm_doc_phone" autocomplete="off" name="" placeholder="Phone" id="ad_new_doc_phone_old">
                             <p id="ad_span_name3" style="color: red;"></p>
                          </div>
                       </div>
                       <div class="row">
                          <div class="form-group col-md-3">
                             <label>Organization</label>
                             <input type="text" class="form-control new_rm_doc_organization" autocomplete="off" placeholder="Organization" id="ad_new_doc_organization_old">
                             <p id="ad_span_name5" style="color: red;"></p>
                          </div>
                          <div class="form-group col-md-3" style="margin-top: 23px">
                             <button type="button" id="submit_new_doctor_from_old" class="btn btn-primary">Submit</button>
                             <button type="button" class="btn btn-danger" id="edit_new_template_up">Cancel</button>
                          </div>
                       </div>
                    </div>
                    

                    <div class="row">
                      <div class="form-group col-md-4">
                        <label for="exampleInputPassword1">Address</label>
                        <input type="text" class="form-control" name="old_pm_address" id="old_pm_address" placeholder="Address">
                      </div>
                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1"></label>
                        <input type="text" class="form-control" name="old_pm_city" id="old_pm_city" placeholder="City" style="margin-top: 5px;">
                      </div>

                      <div class="form-group col-md-6">
                        <br>
                          <label for="exampleInputPassword1">DND: </label><br>
                         <label><input type="radio" value="1" id="old_pm_dnd" name="old_pm_dnd"> Yes</label>  &nbsp;&nbsp;&nbsp;
                          <label><input type="radio" checked value="0" id="old_pm_dnd" name="old_pm_dnd"> No</label> 
                          
                        </div>
                    </div>

                    <div class="row">
                       <div class="form-group col-md-2">
                        <label for="exampleInputPassword1"></label>
                        <input type="text" class="form-control"  name="old_pm_state" id="old_pm_state" placeholder="State" style="margin-top: 5px;">
                        </div>
                        <div class="form-group col-md-2">
                          <label for="exampleInputPassword1"></label>
                          <input type="text" class="form-control"  name="old_pm_pincode" id="old_pm_pincode" placeholder="Pincode" style="margin-top: 5px;">

                        </div>
                        <div class="form-group col-md-2">
                          <label for="exampleInputPassword1"></label>
                          <input type="text" class="form-control"  name="old_pm_country" id="old_pm_country" placeholder="Country" style="margin-top: 5px;">
                        </div>
                    </div>

                    <div class="box-footer">
                      <button type="submit" id="submit_new_patient_add_old" class="btn btn-primary">Submit</button>
                      <a href="reception.php"><button type="button" class="btn btn-danger">Cancel</button></a>
                      <span class="err_register_old" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                      <br />
                      <span class="help-block" style="margin-top: 5px; color: red;"></span>
                    </div>

                  </form>

                </div>

              </div>

          </div>
          <!-- /.box -->

         </div>
        <!--/.col (left) -->
        <!-- right column -->
        
        <!--/.col (right) -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->

<div class="modal fade" id="modal_new_referance">
        <form id="form_modal_chief_com">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Referance</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Type</label>
                    <select class="form-control" id="rm_type" name="rm_type">
                      <option value="">--Select Type--</option>
                      <?php 
                        $resultsPTRef = get_all_refer_type($DB);
                        foreach ($resultsPTRef as $rowPTRef) {
                      ?>
                      <option value="<?php echo $rowPTRef['rt_ide']; ?>"><?php echo $rowPTRef['rt_name']; ?></option>
                      <?php } ?>
                    </select>
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Name</label>
                    <input type="text" class="form-control" id="rm_name" name="rm_name" placeholder="Name">
                  </div>

                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Phone</label>
                    <input type="text" class="form-control" id="rm_phone_no" name="rm_phone_no" placeholder="Phone">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Email</label>
                    <input type="text" class="form-control" id="rm_email" name="rm_email" placeholder="Email">
                  </div>

                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Degree/Designation</label>
                    <input type="text" class="form-control" id="rm_degree" name="rm_degree" placeholder="Degree/Designation">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Organisation/Hospital</label>
                    <input type="text" class="form-control" id="rm_organization" name="rm_organization" placeholder="Organisation/Hospital">
                  </div>

                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Category</label>
                    <select class="form-control" id="rm_category" name="rm_category">
                      <option value="">--Select Category--</option>
                      <?php 
                        $resultsPTRefCat = get_all_refer_category($DB);
                        foreach ($resultsPTRefCat as $rowPTRefCat) {
                      ?>
                      <option value="<?php echo $rowPTRefCat['rc_ide']; ?>"><?php echo $rowPTRefCat['rc_name']; ?></option>
                      <?php } ?>
                    </select>
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Address line</label>
                    <input type="text" class="form-control" id="rm_location" name="rm_location" placeholder="Address line">
                  </div>

                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Pin Code</label>
                    <input type="text" class="form-control" id="rm_pincode" name="rm_pincode" placeholder="Pin Code">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Area</label>
                    <input type="text" class="form-control" id="rm_area" name="rm_area" placeholder="Area">
                  </div>

                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">City</label>
                    <input type="text" class="form-control" id="rm_city" name="rm_city" placeholder="City">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">District</label>
                    <input type="text" class="form-control" id="rm_district" name="rm_district" placeholder="District">
                  </div>

                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">State </label>
                    <input type="text" class="form-control" id="rm_state" name="rm_state" placeholder="State">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Country</label>
                    <input type="text" class="form-control" id="rm_country" name="rm_country" placeholder="Country">
                  </div>

                  <div class="form-group col-md-12 title_validation">
                    <label for="exampleInputEmail1">Remark</label>
                    <input type="text" class="form-control" id="rm_remark" name="rm_remark" placeholder="Remarks">
                  </div>


                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_button_chief_com" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
        </form>
          <!-- /.modal-dialog -->
          
</div>
