<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>
<?php
		if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add"){

			$HosId = $_SESSION['hm_id'];
			//$DocId = $_SESSION['doc_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$tmm_brand_name = $_POST['tmm_brand_name'];
			$tmm_type = $_POST['tmm_type'];
			$tmm_strength = $_POST['tmm_strength'];
			$tmm_unit = $_POST['tmm_unit'];
			$tmm_generic = $_POST['tmm_generic'];
			$tmm_company = $_POST['tmm_company'];

			if(isset($_POST['tmm_generic']) && !empty($_POST['tmm_generic']))
                  {
                    $Generic1 = $_POST['tmm_generic'];
                  }
            else {
                    $Generic1 = "-";
                  }

            if(isset($_POST['tmm_company']) && !empty($_POST['tmm_company']))
                  {
                    $Company1 = $_POST['tmm_company'];
                  }
            else {
                    $Company1 = "-";
                  }

            if(isset($_POST['tmm_time']) && !empty($_POST['tmm_time']))
                  {
                    $tmm_time = $_POST['tmm_time'];
                  }
            else {
                    $tmm_time = "None";
                  }  


			//$tmm_time = $_POST['tmm_time'];
			
			$sql = "INSERT INTO ".$DB_Prefix."medicine_master(`hm_id`, `um_id`, `tmm_brand_name`, `tmm_type`, `tmm_strength`, `tmm_unit`, `tmm_generic`, `tmm_company`, `tmm_time`, `tmm_created_by`) VALUES (:hm_id, :um_id, :tmm_brand_name,:tmm_type,:tmm_strength,:tmm_unit,:tmm_generic,:tmm_company,:tmm_time,:tmm_created_by)"; 
			$statement = $DB->prepare($sql);
			$statement->bindValue(":hm_id", $HosId);
			$statement->bindValue(":um_id", $created_by);
			$statement->bindValue(":tmm_brand_name", $tmm_brand_name);
			$statement->bindValue(":tmm_type", $tmm_type);
			$statement->bindValue(":tmm_strength", $tmm_strength);
			$statement->bindValue(":tmm_unit", $tmm_unit);
			$statement->bindValue(":tmm_generic", $tmm_generic);
			$statement->bindValue(":tmm_company", $tmm_company);
			$statement->bindValue(":tmm_time", $tmm_time);
			$statement->bindValue(":tmm_created_by", $created_by);
			$res = $statement->execute();
			$PID = $DB->lastInsertId();
			if($res) { ?>
			    <tr id="tr_<?php echo $PID; ?>">
                  <td><?php echo $tmm_type; ?></td>
                  <td><?php echo $tmm_brand_name; ?></td>
                  <td><?php echo $tmm_strength." ".$tmm_unit; ?></td>
                  <td><?php echo "<b>Generic:</b> ".$Generic1."<br/ > <b>Company:</b> ".$Company1; ?></td>
                  <td><?php echo $tmm_time; ?></td>
                  <td><a href="javascript:void(0)" id="edit_medicine" data-id="<?php echo $PID;?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="javascript:void(0)" id="delete_medicine" data-id="<?php echo $PID;?>"  title="Delete"><i class="fa fa-trash" style="color: red;"></i></a>
                  </td>                  
                </tr>
			<?php } ?>


		<?php }

		else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit"){
			
			$HosId = $_SESSION['hm_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$id = $_POST['investigation_out_id'];		
			$edit_temp_title_out_investigation = $_POST['edit_temp_title_out_investigation'];
			$edit_temp_content_out_investigation = $_POST['edit_temp_content_out_investigation'];
			
			
			$sql_edit = "UPDATE ".$DB_Prefix."outpatient_investigation_master
															  SET toim_template_name=:toim_template_name,
																  toim_template_content=:toim_template_content,
																  toim_modify_by=:toim_modify_by
																  WHERE toim_id='$id'"; 

			$statement_edit = $DB->prepare($sql_edit);
			$statement_edit->bindValue(":toim_template_name", $edit_temp_title_out_investigation);
			$statement_edit->bindValue(":toim_template_content", $edit_temp_content_out_investigation);
			$statement_edit->bindValue(":toim_modify_by", $created_by);
			$res1 = $statement_edit->execute();
			if($res1){ ?>
				  <td><?php echo $edit_temp_title_out_investigation; ?></td>
                  <td><?php echo $edit_temp_content_out_investigation; ?></td>
                  <td><a href="#" id="edit_out_investigation" data-id="<?php echo $id; ?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="javascript:void(0)" id="delete_out_investigation" data-id="<?php echo $id; ?>" title="Delete"><i class="fa fa-trash" style="color: red;"></i></a>
                  </td>  
                  <?php } ?>

	<?php

		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete"){ 
			$id = $_POST['id'];	
			$email = $_SESSION['admin_user'];
			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$sql_edit = "UPDATE ".$DB_Prefix."outpatient_investigation_master SET toim_delete=:toim_delete,
																  toim_delete_by=:toim_delete_by
																  WHERE toim_id='$id'"; 

			$statement_edit = $DB->prepare($sql_edit);
			$statement_edit->bindValue(":toim_delete", '1');
			$statement_edit->bindValue(":toim_delete_by", $created_by);
			$res1 = $statement_edit->execute();
			echo $res1;
		}
?>

