<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>
<?php
		if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add"){

			$HosId = $_SESSION['hm_id'];
			//$DocId = $_SESSION['doc_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$tmm_medicine_name = $_POST['tmm_medicine_name'];
			$tmm_generic = $_POST['tmm_generic'];
			$tmm_company = $_POST['tmm_company'];

			if(isset($_POST['tmm_generic']) && !empty($_POST['tmm_generic']))
                  {
                    $Generic1 = $_POST['tmm_generic'];
                  }
            else {
                    $Generic1 = "-";
                  }

            if(isset($_POST['tmm_company']) && !empty($_POST['tmm_company']))
                  {
                    $Company1 = $_POST['tmm_company'];
                  }
            else {
                    $Company1 = "-";
                  }

            //$tmm_time = $_POST['tmm_time'];
			
			$sql = "INSERT INTO ".$DB_Prefix."medicine_master(`hm_id`, `um_id`, `tmm_medicine_name`, `tmm_generic`, `tmm_company`, `tmm_created_by`) VALUES (:hm_id, :um_id, :tmm_medicine_name,:tmm_generic,:tmm_company,:tmm_created_by)"; 
			$statement = $DB->prepare($sql);
			$statement->bindValue(":hm_id", $HosId);
			$statement->bindValue(":um_id", $created_by);
			$statement->bindValue(":tmm_medicine_name", $tmm_medicine_name);
			$statement->bindValue(":tmm_generic", $tmm_generic);
			$statement->bindValue(":tmm_company", $tmm_company);
			$statement->bindValue(":tmm_created_by", $created_by);
			$res = $statement->execute();
			$PID = $DB->lastInsertId();
			if($res) { ?>
			    <tr id="tr_<?php echo $PID; ?>">
                  <td><?php echo $tmm_medicine_name; ?></td>
                  <td><?php echo "<b>Generic:</b> ".$Generic1."<br/ > <b>Company:</b> ".$Company1; ?></td>
                  <td><a href="javascript:void(0)" id="edit_medicine" data-id="<?php echo $PID;?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="javascript:void(0)" id="delete_medicine" data-text="<?php echo $tmm_medicine_name; ?>" data-id="<?php echo $PID;?>"  title="Delete"><i class="fa fa-trash" style="color: red;"></i></a>
                  </td>                  
                </tr>
			<?php } ?>


		<?php }

		else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit"){
			
			$HosId = $_SESSION['hm_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$id = $_POST['m_id'];		
			$edit_tmm_medicine_name = $_POST['edit_tmm_medicine_name'];
			$edit_tmm_generic = $_POST['edit_tmm_generic'];
			$edit_tmm_company = $_POST['edit_tmm_company'];
			
			$sql_edit = "UPDATE ".$DB_Prefix."medicine_master SET tmm_medicine_name=:tmm_medicine_name,
																  tmm_generic=:tmm_generic,
																  tmm_company=:tmm_company,
																  tmm_modify_by=:tmm_modify_by
																  WHERE tmm_id='$id'"; 

			$statement_edit = $DB->prepare($sql_edit);
			$statement_edit->bindValue(":tmm_medicine_name", $edit_tmm_medicine_name);
			$statement_edit->bindValue(":tmm_generic", $edit_tmm_generic);
			$statement_edit->bindValue(":tmm_company", $edit_tmm_company);
			$statement_edit->bindValue(":tmm_modify_by", $created_by);
			$res1 = $statement_edit->execute();
			if($res1){ ?>
				  <td><?php echo $edit_tmm_medicine_name; ?></td>
                  <td><?php echo "<b>Generic:</b> ".$edit_tmm_generic."<br/ > <b>Company:</b> ".$edit_tmm_company; ?></td>
                  <td><a href="javascript:void(0)" id="edit_medicine" data-id="<?php echo $id;?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="javascript:void(0)" data-text="<?php echo $edit_tmm_medicine_name; ?>" id="delete_medicine" data-id="<?php echo $id;?>"  title="Delete"><i class="fa fa-trash" style="color: red;"></i></a>
                  </td>
                  <?php } ?>

	<?php

		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete"){ 
			$id = $_POST['id'];	
			$email = $_SESSION['admin_user'];
			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$sql_edit = "UPDATE ".$DB_Prefix."medicine_master SET tmm_del=:tmm_del,
																  tmm_delete_by=:tmm_delete_by
																  WHERE tmm_id='$id'"; 

			$statement_edit = $DB->prepare($sql_edit);
			$statement_edit->bindValue(":tmm_del", '1');
			$statement_edit->bindValue(":tmm_delete_by", $created_by);
			$res1 = $statement_edit->execute();
			echo $res1;
		}
?>

